Getting started with Internet Explorer

Getting started with
Internet Explorer

With an Internet connection and Internet Explorer, you can find and view information about anything on the web. Just click the topics below to get started.

  • Introducing Internet Explorer
  • Learn about security and privacy features in Internet Explorer
  • Help protect yourself from fraudulent websites by using SmartScreen Filter
  • Learn how to browse the web faster and more easily
  • Find the information you want


Tips for searching the Internet

The Internet contains a vast collection of information, but finding what you are looking for can be a challenge. Here are a few tips to help you search the web more effectively.

Use the Search box

In the Internet Explorer search box, type a keyword or phrase and then press ENTER (or press ALT+ENTER to display the search results in a new tab).

Picture of the Search box

Note

  • Press CTRL+E to go to the search box without using the mouse.

Use search suggestions

Some search providers offer search term suggestions as you type. When you add a new search provider, you can choose to use search suggestions if the provider offers them. For more information on how to turn search suggestions on or off, see Change or choose a search provider in Internet Explorer.

Use the Address bar

In the Internet Explorer Address bar, type Find, Go, or ? followed by a keyword, website name, or phrase, and then press ENTER. If you want the search results to display in a new tab, press ALT+ENTER after typing the phrase. The Address bar uses your default search provider. If you want to change your default search provider or use search suggestions when you search with the Address bar, see Change or choose a search provider in Internet Explorer.

Use more than one search provider

If you do not find what you're looking for with a particular search provider, you can search using a different one. The Internet Explorer search box lets you add additional search providers and switch between them to improve your search results. You can quickly change which search provider to use on a search by clicking the provider's icon below the search box.

To learn how to use different search providers, install new search providers, or change the search provider that Internet Explorer uses by default, see Change or choose a search provider in Internet Explorer.

Search more efficiently

Here are a few ideas for improving the results of searches:

  • Use specific words rather than generic categories. For example, instead of searching for dogs, search for a specific breed of dog.
  • Use quotation marks to search for specific phrases. Surrounding terms with quotation marks limits the search results to only those webpages that contain the exact phrase you've specified. Without the quotation marks, the results will include any page that contains the words you've used, regardless of what order those words are in.
  • Use the minus (-) sign before a keyword to tell search providers to exclude pages with that term. Using a minus sign will retrieve webpages that do not include the word. It's important not to include any spaces between the signs and the search terms (for example, -Bogart, not - Bogart).
  • Eliminate common words such as a, my, or the, unless you're looking for a specific title. If the word is part of something you're looking for (a song title, for example), include the common word and surround the phrase with quotation marks.
  • Use synonyms or alternative search terms. Be creative or use a thesaurus for ideas. Type thesaurus in the search box to find an online thesaurus.
  • Search only a specific website or domain. Type the search term you're looking for followed by site: and the address of the website you want to search to narrow the search to that specific site. For example, to search Microsoft.com for information about viruses, type virus site:www.microsoft.com (with no spaces between site: and the domain).
  • Use a specialty search engine or provider, such as MSN Image search, to look for pictures. Many websites offer their own special searches for anything from shopping to hobbies. Internet Explorer can detect specialty search providers on some websites, which you can add to your list of search providers.

Finding words or phrases on a page

Once you've found a webpage that seems like what you're looking for, you might need to find a specific word or phrase. To find a word or phrase on the page, press CTRL+F to open the Find box. When you start typing a word in the Find box, highlighted matches will appear on the webpage, and the page will automatically scroll to the first match.

Related Topics


Tabbed browsing: frequently asked questions

Here are answers to some common questions about tabbed browsing.

What is tabbed browsing?

Tabbed browsing is a feature in Internet Explorer that enables you to open multiple websites in a single browser window. You can open webpages in new tabs, and switch between them by clicking the tabs you want to view. By using tabbed browsing, you potentially reduce the number of items that are displayed on the taskbar.

If you have multiple tabs open, you can also use Quick Tabs to easily switch to other tabs. For more information, see Using Quick Tabs.

How do I open a new tab?

To open a new blank tab, click the New Tab button on the tab row or press CTRL+T. To open a new tab from a link on a webpage, press CTRL as you click the link, or right-click the link and then click Open in New Tab. If you have a mouse with a wheel, you can click a link with the wheel to open it in a new tab.

Picture of the New Tab button
New Tab Button

On the new tab page, you can type a web address into the Address bar, open previously closed tabs or browsing sessions, choose an Accelerator, or start InPrivate Browsing. For more details on the new tab page, see Tabs, Accelerators, and InPrivate Browsing: recommended links.

How can I tell which tabs I opened from links on a webpage?

When you open links on a webpage in new tabs, Internet Explorer groups those tabs by displaying new tabs in the same color as the page you linked from.

How do I close a tab?

If you have more than one tab open, click the Close Tab button Picture of the Close Tab button on the tab you want to close. If you have a mouse with a wheel, and have more than one tab open, you can click a tab with the wheel to close it. If you only have one tab open, you must close the browser window to close the tab.

If you click the Close button in the upper-right corner of Internet Explorer, you will be asked whether you want to close the tab you're currently viewing, or the entire browser window.

Can I reopen tabs I've already closed?

Yes, you can open tabs you've closed during a single browsing session, or all the tabs that were open when you previously closed the browser. For more information, see Open tabs you've previously closed.

How do I open a new tab to my home page?

When you open a new tab, Internet Explorer displays the new tab page by default. If you prefer that your home page appear when you open a new tab, follow these steps:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then, under Tabs, click Settings.
  3. In the Tabbed Browsing Settings dialog box, click the list under When a new tab is opened, open, click Your first home page, and then click OK twice.

How do I save a group of tabs?

To save a group of tabs, click the Favorites button, click the arrow next to the Add to Favorites button, and then click Add Current Tabs to Favorites. Give the tab group a name, and then click Add.

How do I open a group of tabs that I've saved?

In Internet Explorer, click the Favorites button, and then click the folder that you want to open. Click the arrow Picture of the Open in tab group button to the right of the folder name. All of the webpages will open on separate tabs. When you open a group of tabs in this way, Internet Explorer groups those tabs by displaying a color band at the top of the tabs.

I opened a lot of tabs, but I can't see them all. Where are they?

Internet Explorer displays up to 10 tabs on the screen. To display all tabs, click the Quick Tabs button Picture of the Quick Tabs button. All open webpages will be displayed as thumbnails. Click the page you want to view.

Can I turn off tabbed browsing?

Yes. Here's how:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then, in the Tabs section, click Settings.
  3. Clear the Enable Tabbed Browsing check box.
  4. Click OK twice.
  5. Close Internet Explorer, and then open it again.

Tabbed browsing will now be off, and every webpage will open in a new Internet Explorer window.

What keyboard shortcuts can I use when working with tabs?

The following table describes the keyboard shortcuts that are available when working with tabs.

To | Press
Open links in a new tab in the background | CTRL while clicking the link
Open links in a new tab in the foreground | CTRL+SHIFT while clicking the link
Open a new tab in the foreground | CTRL+T or double-click an empty space on the tab row
Open a copy of the current tab in a new tab | CTRL+K
Switch between tabs | CTRL+TAB to move forward or CTRL+SHIFT+TAB to move backward
Close the current tab (or the current window when there are no open tabs) | CTRL+W or ALT+F4
Open a new tab in the foreground from the Address bar | ALT+ENTER
Switch to a specific tab number | CTRL+n (where n is a number between 1 and 8)
Switch to the last tab | CTRL+9
Close all tabs except for the one you're viewing | CTRL+ALT+F4
Open Quick Tabs (thumbnail view) | CTRL+Q

Can I choose whether pop-ups are displayed in a new window or on a new tab?

Yes. You can choose to always display pop-ups on a new tab, to always display them in a new window, or to let Internet Explorer decide how to display them. If you opt to let Internet Explorer decide how to display pop-ups, it will display the pop-up in a new window if the pop-up specifies size or display requirements. Otherwise, the pop-up is displayed in a new tab.

To change how pop-ups are displayed

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then, in the Tabs section, click Settings.
  3. Make a selection in the When a pop-up is encountered section.
  4. Click OK twice.


Keeping track of your favorite webpages

Here are some ideas for keeping track of your favorite websites and making them easy to find.

  • Add the page to your list of favorites. Any time you want to open that page, click the Favorites button on the toolbar, and then click the shortcut in the list. To learn how to do this, see Add a webpage to your list of favorite pages.
  • Add the page to the Favorites bar. Put the websites you visit most frequently on the Favorites bar and they're always only one click away. To learn how to do this, see Customize your Favorites bar.
  • Make the page your home page. If there is one page that you always want to go to, make it your home page. If there are several webpages that you visit on a daily basis, you might want to make those into a set of home page tabs so they appear every time you start Internet Explorer. To learn how to do this, see Change your home page.

Note

  • If you recently visited a webpage and want to find it again but you didn't save the link, click the Favorites button on the toolbar, and then click History. To learn how to navigate through the history of websites you have visited, see Find websites you have visited.


Using Internet Explorer keyboard shortcuts

Internet Explorer keyboard shortcuts

You can use the Internet Explorer shortcut keys to perform lots of different tasks quickly or to work without a mouse.

Viewing and exploring webpages

The following table describes shortcuts used to view and explore webpages.

To do this | Press this
Display Help | F1
Toggle between full-screen and regular views of the browser window | F11
Move forward through the items on a webpage, the Address bar, or the Favorites bar | TAB
Move back through the items on a webpage, the Address bar, or the Favorites bar | SHIFT+TAB
Go to your home page | ALT+HOME
Start Caret Browsing | F7
Go to the next page | ALT+RIGHT ARROW
Go to the previous page | ALT+LEFT ARROW or BACKSPACE
Display a shortcut menu for a link | SHIFT+F10
Move forward through frames and browser elements (only works if tabbed browsing is disabled) | CTRL+TAB or F6
Move backward between frames (only works if tabbed browsing is disabled) | CTRL+SHIFT+TAB
Scroll toward the beginning of a document | UP ARROW or SHIFT+SPACEBAR
Scroll toward the end of a document | DOWN ARROW or SPACEBAR
Scroll toward the beginning of a document in larger increments | PAGE UP
Scroll toward the end of a document in larger increments | PAGE DOWN
Move to the beginning of a document | HOME
Move to the end of a document | END
Find on this page | CTRL+F
Refresh the current webpage | F5
Refresh the current webpage, even if the time stamp for the web version and your locally stored version are the same | CTRL+F5
Stop downloading a page | ESC
Open a new website or page | CTRL+O
Open a new window | CTRL+N
Open a new InPrivate Browsing window | CTRL+ALT+P
Duplicate tab (open current tab in a new tab) | CTRL+K
Close the current window (if you only have one tab open) | CTRL+W or ALT+F4
Save the current page | CTRL+S
Print the current page or active frame | CTRL+P
Activate a selected link | ENTER
Open Favorites | CTRL+I
Open History | CTRL+H
Open Feeds | CTRL+J
Open the Page menu | ALT+P
Open the Tools menu | ALT+T
Open the Help menu | ALT+H

Working with tabs

The following table describes shortcuts used when working with tabs.

To do this | Press this
Open links in a new tab in the background | CTRL+click
Open links in a new tab in the foreground | CTRL+SHIFT+click
Open a new tab in the foreground | CTRL+T
Switch between tabs | CTRL+TAB or CTRL+SHIFT+TAB
Close current tab (or the current window if tabbed browsing is disabled) | CTRL+W or ALT+F4
Open a new tab in the foreground from the Address bar | ALT+ENTER
Switch to a specific tab number | CTRL+n (where n is a number between 1 and 8)
Switch to the last tab | CTRL+9
Close other tabs | CTRL+ALT+F4
Toggle Quick Tabs (thumbnail view) on or off | CTRL+Q

Using zoom

The following table describes shortcuts used for zooming.

To do this | Press this
Increase zoom (+ 10%) | CTRL+PLUS SIGN
Decrease zoom (- 10%) | CTRL+MINUS SIGN
Zoom to 100% | CTRL+0

Using search

The following table describes shortcuts used for search.

To do this | Press this
Go to the search box | CTRL+E
Open your search query in a new tab | ALT+ENTER
Open the search provider menu | CTRL+DOWN ARROW

Using Print Preview

The following table describes shortcuts used to preview and print webpages.

To do this | Press this
Set printing options and print the page | ALT+P
Change paper, headers and footers, orientation, and margins for this page | ALT+U
Display the first page to be printed | ALT+HOME
Display the previous page to be printed | ALT+LEFT ARROW
Type the number of the page you want displayed | ALT+A
Display the next page to be printed | ALT+RIGHT ARROW
Display the last page to be printed | ALT+END
Specify how you want frames to print (this option is available only if you are printing a webpage that uses frames) | ALT+F
Close Print Preview | ALT+C

Using the Address bar

The following table describes shortcuts used on the Address bar.

To do this | Press this
Select the text in the Address bar | ALT+D
Display a list of addresses you've typed | F4
When in the Address bar, move the cursor left to the next logical break in the address (period or slash) | CTRL+LEFT ARROW
When in the Address bar, move the cursor right to the next logical break in the address (period or slash) | CTRL+RIGHT ARROW
Add "www." to the beginning and ".com" to the end of the text typed in the Address bar | CTRL+ENTER
Move forward through the list of AutoComplete matches | UP ARROW
Move back through the list of AutoComplete matches | DOWN ARROW

Opening Internet Explorer toolbar menus

The following table describes shortcuts used to open Internet Explorer toolbar and Command bar menus.

To do this | Press this
Open the Home menu | ALT+M
Open the Print menu | ALT+R
Open the RSS menu | ALT+J
Open the Tools menu | ALT+O
Open the Safety menu | ALT+S
Open the Help menu | ALT+L

Working with feeds, history, and favorites

The following table describes shortcuts used when working with feeds, history, and favorites.

To do this | Press this
Add the current page to your favorites | CTRL+D
Delete browsing history | CTRL+SHIFT+DEL
Open an InPrivate Browsing window | CTRL+SHIFT+P
Open the Organize Favorites dialog box | CTRL+B
Move selected item up in the Favorites list in the Organize Favorites dialog box | ALT+UP ARROW
Move selected item down in the Favorites list in the Organize Favorites dialog box | ALT+DOWN ARROW
Open the Favorites menu | ALT+A
Open Favorites Center and display your favorites | CTRL+I
Open Favorites Center and display your history | CTRL+H
Open Favorites Center and display your web feeds | CTRL+J
Open Add to Favorites menu | ALT+Z
Display all feeds (when in feed view) | ALT+I
Mark a feed as read (when in feed view) | ALT+M
Put cursor in Search box in feed view | ALT+S

Editing

The following table describes shortcuts used when editing webpages.

To do this | Press this
Remove the selected items and copy them to the Clipboard | CTRL+X
Copy the selected items to the Clipboard | CTRL+C
Insert the contents of the Clipboard at the selected location | CTRL+V
Select all items on the current webpage | CTRL+A
Open Internet Explorer Developer Tools | F12

Using the Information bar

The following table describes shortcuts used with the Information bar.

To do this | Press this
Move focus to the Information bar | ALT+N
Click the Information bar | SPACEBAR


Change your Internet Explorer home page

Your home page is displayed when you first start Internet Explorer, or when you click the Home button Picture of the Home button.

To set the current webpage as the home page

  1. If you have not already done so, open Internet Explorer and go to the page you want to use as the home page.
  2. Click the arrow to the right of the Home button Picture of the Home button, and then click Add or Change Home Page.
  3. In the Add or Change Home Page dialog box, do one of the following:
    • To make the current webpage your only home page, click Use this webpage as your only home page.
    • To start a home page tab set or to add the current webpage to your set of home page tabs, click Add this webpage to your home page tabs.
    • To replace your existing home page or home page tab set with the webpages you currently have open, click Use the current tab set as your home page. This option will only be available if you have more than one tab open in Internet Explorer.
  4. Click Yes to save your changes.

To reset the home page to the default

  1. Open Internet Explorer.
  2. Click the Tools button, and then click Internet Options.
  3. Click the General tab.
  4. Click Use default to replace your current home page with the one that was used when you first installed Internet Explorer.
  5. Click OK to save your changes.

Note

  • If you do not want any home page to be opened when Internet Explorer starts, click Use blank in step 4 above. You might want to have a blank home page if you frequently work offline and are not connected to the Internet when you open Internet Explorer.


Import or export favorites in Internet Explorer

Favorites, also known as bookmarks, are a convenient way to organize and link to webpages that you visit frequently.

To export favorites

Follow these steps on the computer that you're exporting your favorites from.

  1. Open Internet Explorer.
  2. Click the Favorites button, click the arrow next to the Add to Favorites button, and then click Import and Export.
  3. In the Import/Export Settings dialog box, click Export to a file, and then click Next.
  4. Select the Favorites check box, and then click Next.
  5. Select the folder that you want to export your favorites from, and then click Next.
  6. By default, Internet Explorer creates a file called bookmark.htm in your My Documents folder. If you want to use a name other than bookmark.htm or to store the exported favorites in a folder other than My Documents, specify the new file and folder name.
  7. Click Export. If you already have a file by the same name, Internet Explorer will ask you to replace it. Click Yes if you want replace the file or click No and type a new file name.
  8. Click Finish.

To import favorites

Follow these steps on the computer that you want to import your favorites to.

  1. Open Internet Explorer.
  2. Click the Favorites button, click the arrow next to the Add to Favorites button, and then click Import and Export.
  3. In the Import/Export Settings dialog box, click Import from a file, and then click Next.
  4. Select the Favorites check box, and then click Next.
  5. By default, Internet Explorer imports from a file called bookmark.htm in your My Documents folder, but you can tell it to import favorites that are saved under another name. Click Browse and select a file, or type a location and file name to import, or click Next to accept the default.
  6. Select the folder where you want to place the imported favorites, and then click Import.
  7. Click Finish.

Notes

  • To share or move favorites from one computer to another, export or copy the Bookmark.htm file to a disk or flash drive. You can then import your favorites from the disk or flash drive to the new computer.
  • To print your list of favorites, open Bookmark.htm in Internet Explorer and then click the Print button Picture of the Print button.


Enter web information more easily

The AutoComplete feature saves the text you've previously entered for web addresses, forms, and passwords, and retrieves that same text for you if you begin to type the same information again later.

To use the AutoComplete feature

  1. In the Address bar, a field on a webpage, or a box for a user name or password, start typing the information. If you've typed a similar entry before, AutoComplete lists possible matches as you type.
  2. If a suggestion in the list matches what you want to enter in that field, click the suggestion. If no suggestion matches what you are typing, continue typing.

Notes

  • The information used for suggested matches is stored on your computer and is encrypted to help protect your privacy. Websites do not have access to this information.
  • You can remove an item from the list of suggestions on web forms by clicking that item and then pressing the DELETE key. To learn how to delete entries from the Address bar list, click Related Topics.
  • You can decide what type of information the AutoComplete feature will remember or you can turn off the feature altogether. To learn how, click Related Topics.


Zoom in on a webpage

Internet Explorer Zoom lets you enlarge or reduce the view of a webpage. Unlike changing font size, zoom enlarges or reduces everything on the page, including text and images. You can zoom from 10% to 1000%.

To zoom a webpage

  1. On the bottom right of the Internet Explorer screen, click the arrow to the right of the Change Zoom Level button Picture of the Change Zoom Level button.
  2. Do one of the following:
    • To go to a predefined zoom level, click the percentage of enlargement or reduction you want.
    • To specify a custom level, click Custom. In the Percentage zoom box, type a zoom value, and then click OK.

Notes

  • If you have a mouse with a wheel, hold down the CTRL key, and then scroll the wheel to zoom in or out.
  • If you click the Change Zoom Level button Picture of the Change Zoom Level button, it will cycle through 100%, 125%, and 150%, giving you a quick enlargement of the webpage.
  • From the keyboard you can increase or decrease the zoom value in 10% increments. To zoom in, press CTRL+PLUS SIGN. To zoom out, press CTRL+MINUS SIGN. To restore the zoom to 100%, press CTRL+0.


Find text and other information on a webpage

Finding the information you want on the web often requires more than just searching for a webpage. Once you're viewing a webpage, you often need to find the information or reference that is buried somewhere within the page. Now you can search more effectively within webpages by using Internet Explorer 8. Earlier versions of Internet Explorer had the ability to find words or phrases in a webpage. Internet Explorer 8 features several improvements that enable you to do all that and more:

  • The text box into which you type the words you want to find now appears on the tab row and not as a separate dialog box. This enables you to stay on the webpage, and doesn't block parts of the page.
  • As you type words into the text box, the matching words are highlighted on the webpage, making it easy to quickly scroll the page and see all the instances of the words you're searching for. In addition, you can still click the Next and Previous buttons to move around the page just as you did in previous versions of Internet Explorer.

To find information on a webpage

  1. In Internet Explorer, click the Edit menu, and then click Find on this Page to display the text box on the tab row.
  2. In the text box on the tab tow, type the word or phrase you want to find on this page. The number of matches found will appear next to the Options button, and the page will automatically scroll to the first occurrence of the word or phrase.
  3. To go to the next or previous instance of the word or phrase, click the Next or Previous button.

Notes

  • If the Edit menu does not appear, press the ALT key to display it. To turn menus on permanently, see Show the menus in Internet Explorer.
  • You can also use keyboard shortcuts to find text on a webpage, and to navigate to the next or previous instance of that text. To display the text box on the tab row so that you can find text on a webpage, press CTRL+F. Press ENTER to go to the next word or phrase found on the page, and press SHIFT+ENTER to go to the previous word or phrase.

To fine-tune your matches

By default, Internet Explorer 8 will find anything on the webpage that matches what you typed into the text box. This can sometimes give a lot of matches you don't want. To narrow your search on a page, you can limit matches to whole words only, or match case or capitalization.

If you are trying to find text on a webpage and there are partial or wrong matches, click the Options button, and then click one or both of the following:

  • Match Whole Word Only

    This will only show matches that are complete words, and not part of another word or phrase.

  • Match Case

    This will only show matches that use the same combination of capital and lowercase letters that you typed into the text box.

Note

  • For more information on finding what you want on the web, see Tips for searching the Internet.


Open tabs you've previously closed

If you close one or more tabs during a browsing session, or close a browsing session entirely—either accidentally or on purpose—you can now use Internet Explorer 8 to reopen the tabs or browsing session that you closed.

To reopen the tabs you closed during your current browsing session

  1. In Internet Explorer, click the New Tab button.

    Picture of the New Tab button

  2. On the new tab page, under Reopen closed tabs, find and click the address for the webpage that you want to open.

Notes

  • If you have changed the new tab page to your home page, you can type about:tabs in the Address bar to view the new tab page. For more information about changing what the New Tab button opens, see Open a new tab to your home page in Internet Explorer
  • Internet Explorer only keeps track of history and form data for tabs that you close during your current browsing session. If you close tabs, and then end your browsing session by closing the browser, you won't be able to reopen those tabs. You can reopen that browsing session, but it will only display the tabs that were open when you closed the browser.

To reopen the last browsing session you closed

When you close Internet Explorer and end your browsing session, it keeps track of the webpages that you had open at the time. As a result, when you open a new browsing session, you can reopen the webpages that were open during your previous browsing session. Follow these steps to reopen your last browsing session:

  1. In Internet Explorer, click the Tools button.
  2. Click Reopen Last Browsing Session. All the webpages that you had open when Internet Explorer was last closed will open in new tabs.

Notes

  • You can also reopen the last browsing session from the new tab page.
  • For more information on using tabs, see Tabbed browsing: frequently asked questions.


Using Accelerators to find addresses, define words, and do other tasks with selected text

You can use Accelerators with text that you select on a webpage to perform such tasks as opening a street address in a mapping website or looking up the dictionary definition for a word. You can also choose the web services or websites that Accelerators use to handle different types of tasks. Internet Explorer 8 comes with a selection of Accelerators included by default, but you can add or remove them as you like.

When you first install Internet Explorer 8, you can accept a selection of default Accelerators, or you can choose your own from an online list of Accelerators. The list of new Accelerators is frequently updated, so be sure to check back from time to time.

Using Accelerators

To use an Accelerator, follow these steps:

  1. In Internet Explorer, go to the webpage that contains the text that you want to use with an Accelerator, and select the text.
  2. Click the Accelerator button Picture of the Accelerator button to display a list of Accelerators.

If you rest your mouse pointer over each Accelerator, you'll see a preview of the information or content. In many cases, the preview will tell you what you want to know, such as a word definition or translation. If not, click the Accelerator and Internet Explorer will open the web service using the text you've highlighted.

You can also use an Accelerator from the new tab page with text you've copied to the Clipboard, such as from an e-mail message or word-processing document. For example, if you receive a street address in an e-mail that you want to get directions for, you can copy the address to the Clipboard, open Internet Explorer, and open a new tab. On the new tab page, under Use an Accelerator, click Show copied text if you want to check the text you copied, and then click the Accelerator you've chosen for mapping.

Getting new Accelerators

While Internet Explorer comes with a selection of Accelerators to get you started, you might want to take a look at some of the other Accelerators that are available. To find new Accelerators, follow these steps:

  1. In Internet Explorer, click the Tools button, and then click Manage Add-ons.
  2. In Manage Add-ons, under Add-on Types, click Accelerators to display a list of your current Accelerators.
  3. At the bottom of the screen, click Find More Accelerators.
  4. On the Internet Explorer service provider webpage, click a category, and then click the service you want.
  5. In the Add Accelerator dialog box, do one of the following:
    • If you're adding a new Accelerator, click Add. When you add an Accelerator, you can also select the Make this my default provider for this Accelerator Category check box.
    • If you're replacing an existing Accelerator, click Replace.
    • If you're not sure you trust the website listed in the From field, click Cancel.

Using non-default Accelerators

While you always have one default Accelerator provider for each category of Accelerator, you can add more to the category. When you add a new provider to a category, you can see it by following these steps:

  1. In Internet Explorer, go to the webpage that contains the text that you want to use with an Accelerator, and select the text.
  2. Click the Accelerator button Picture of the Accelerator button to display a list of Accelerators, point to All Accelerators, and then click the Accelerator you want to use.

Managing your Accelerators

To manage your Accelerators, follow these steps:

  1. In Internet Explorer click the Tools button, and then click Manage Add-ons.
  2. In Manage Add-ons, under Add-on Types, click Accelerators to display a list of your current Accelerators.
  3. Click an Accelerator in the list and do one or more of the following:
    • To change the status of an Accelerator, click the Enable, Disable, Set as default, or Remove as default buttons. Note that the buttons might change based on the current status of the Accelerator.
    • You can view the home page for the Accelerator service, or the site it was installed from.
    • To change the category of an Accelerator, click change next to the Category field in the status area at the bottom of Manage Add-ons.
    • To find and add more Accelerators, click Find More Accelerators at the bottom of Manage Add-ons.
    • To remove an Accelerator, click the Remove button.
  4. When you're done, click Close.


Tabs, Accelerators, and InPrivate Browsing: recommended links

When you open a new tab in your browser, you have a number of options. You can:

  • Type or paste an address into the Address bar to navigate to a new webpage.
  • Use any number of Accelerators, which enable you to select text and use it to do such things as opening a street address in a mapping website or looking up the dictionary definition of a word.
  • Turn on InPrivate Browsing, which enables you to surf the web without leaving a trace by automatically clearing your website history when you close the browser window.
  • Reopen tabs you have previously closed, either in your current browser session or in a previous one.

Here are some links to more detailed information on these options:

  • Tabbed browsing: frequently asked questions
  • Using Accelerators to find addresses, define words, and do other tasks with selected text
  • What is InPrivate Browsing?
  • Open tabs you've previously closed


What happened to Phishing Filter?

Phishing Filter has been replaced in Internet Explorer 8 by a new feature called SmartScreen Filter. Using SmartScreen Filter can help protect your computer from fraudulent and phishing websites, and from other threats as well. For more information, see How does SmartScreen Filter help protect my computer from malicious or phishing websites?


What is InPrivate Browsing?

InPrivate Browsing enables you to surf the web without leaving a trail in Internet Explorer. This helps prevent anyone else who might be using your computer from seeing where you visited and what you looked at on the web. You can start InPrivate Browsing from the New Tab page, or by pressing CTRL+ALT+P.

When you start InPrivate Browsing, Internet Explorer opens a new window. The protection that InPrivate Browsing provides is only in effect during the time that you use that window. You can open as many tabs as you want in that window, and they will all be protected by InPrivate Browsing. However, if you open another browser window, that window will not be protected by InPrivate Browsing. To end your InPrivate Browsing session, close the browser window.

While you are surfing using InPrivate Browsing, Internet Explorer stores some information—such as cookies and temporary Internet files—so that the webpages you visit will work correctly. However, at the end of your InPrivate Browsing session, this information is discarded. The following table describes which information InPrivate Browsing discards when you close the browser and how it is affected during your browsing session:

Information | How it is affected by InPrivate Browsing
Cookies | Kept in memory so pages work correctly, but cleared when you close the browser.
Temporary Internet files | Stored on disk so pages work correctly, but deleted when you close the browser.
Webpage history | This information is not stored.
Form data and passwords | This information is not stored.
Anti-phishing cache | Temporary information is encrypted and stored so pages work correctly.
Address bar and search AutoComplete | This information is not stored.
Automatic Crash Restore (ACR) | ACR can restore when a tab crashes in a session, but if the whole window crashes, data is deleted and the window cannot be restored.
Document Object Model (DOM) storage | The DOM storage is a kind of "super cookie" web developers can use to retain information. Like regular cookies, they are not kept after the window is closed.

What InPrivate Browsing doesn't do

  • While InPrivate Browsing keeps other people who might be using your computer from seeing what you visited on the web, it does not prevent someone on your network—such as a network administrator or hacker—from seeing where you went.
  • InPrivate Browsing does not necessarily provide you with anonymity on the Internet. That means that websites might be able to identify you through your web address, and anything you do or enter on a website can be recorded by that website.
  • Any favorites or feeds that you add while using InPrivate Browsing are not going to be removed when you close your InPrivate Browsing session. Changes to Internet Explorer settings, such as adding a new home page, are also retained after you close your InPrivate Browsing session.

Using toolbars and extensions in InPrivate

InPrivate doesn't clear any history or information about toolbars or browser extensions that is stored on your computer. To help protect your privacy, Internet Explorer disables all toolbars and extensions by default in an InPrivate Browsing window. If you would prefer, you can do the following:

  1. In Internet Explorer, click Tools, and then click Manage Add-ons.
  2. Click Toolbars and extensions, click the toolbar or extension you want to use, and then click Enable.
  3. Click Close.

For more information on toolbars and extensions, see How do browser add-ons affect my computer?


What is the Favorites bar?

The Favorites bar is the new name for the Links toolbar that was in previous versions of Internet Explorer. Just as before, you can drag web addresses from the Address bar to the Favorites bar, but now you can also drag links from webpages you are viewing. In addition, you can use the Favorites bar to monitor RSS feeds you've subscribed to, and to store your collection of Web Slices. Web Slices are specific bits of web content—such as the temperature outside, or the price on an auction item you're watching—that you can add to the Favorites bar. The appearance of the Web Slice on the Favorites bar changes to notify you of changes to the web content, so you can stay up to date with the most current information.


Customize your Favorites bar

The Favorites bar replaces the Links toolbar from previous versions of Internet Explorer, and hosts not only your favorite links, but also feeds and Web Slices. You can drag links—either from the Address bar or from webpages—onto the Favorites bar so that your favorite information is only a click away. You can also rearrange the items on your Favorites bar or organize them into folders. And you can use feeds and a new feature called Web Slices to check for updates to content on your favorite websites without navigating away from your current page.

Adding links to the Favorites bar

The Favorites bar provides convenient access to the websites that you most frequently visit. Here's how to add links to the Favorites bar for your favorite webpages.

  1. Open Internet Explorer.
  2. Go to the webpage you want to add to the Favorites bar.
  3. Do one of the following:
    • Click the Add to Favorites Bar button Picture of the Add to Favorites Bar button.
    • Drag the webpage icon from the Address bar to the Favorites bar.
    • Drag a link from a webpage directly to the Favorites bar.

Using Web Slices

Web Slices enable you to see when updated content—such as the current temperature, or a changing auction price—is available from your favorite websites. A Web Slice is a specific portion of a webpage that you can add to your Favorites bar. When you add a Web Slice, you are also subscribing to the content, as you would with a web feed. Once you have added it, the link on the Favorites bar will appear with bold formatting when the Web Slice is updated. You can then click the link to see the updated content.

When a Web Slice is available on a webpage, you'll see the Web Slice button Picture of Web Slice button change color on the Command bar.

You will also see a Web Slice icon appear on the webpage next to the content that you can add to your Favorites bar.

To subscribe to a Web Slice and add it to the Favorites bar, follow these steps:

  1. Open Internet Explorer.
  2. Go to the page with a Web Slice you want to add to the Favorites bar.
  3. Do one of the following:
    • Click the Web Slice button Picture of Web Slice button on the Command bar.
    • Click the Web Slice icon Picture of Web Slice button on the page.

After you subscribe to a Web Slice, you will see it appear on the left side of the Favorites bar.

To preview the updated Web Slice content without leaving the website you're currently viewing, click the Web Slice link on the Favorites bar. This will open a rich preview of the webpage, which you can then click to go to the website itself.

Subscribing to feeds

When you subscribe to a feed, you can watch for updates to it on the Favorites bar. To subscribe to a feed and monitor it on the Favorites bar, follow these steps:

  1. Open Internet Explorer.
  2. Go to the page with a feed you want to subscribe to.
  3. Do one of the following:
    • If there is only one feed available, click the Feed Discovery button Picture of the Feed Discovery button to view the feed.
    • If there is a Web Slice, or multiple feeds, click the arrow next to the Feed Discovery button Picture of the Feed Discovery button or Web Slice button Picture of Web Slice button, and then click the feed you want to view.
  4. Click Subscribe to this feed on the feed page.
  5. In the Subscribe to this Feed dialog box, select the Add to Favorites Bar check box, and then click Subscribe.

Getting organized

You can rearrange links and other items on your Favorites bar by dragging them from one spot on the Favorites bar to another. You can also create folders and organize your favorite links, Web Slices, and feeds.

  1. Open Internet Explorer.
  2. Do one of the following:
    • Create folders by right-clicking an existing item on the Favorites bar, clicking New Folder, and then giving the folder a name. You can then drag items from the Favorites bar into that folder.
    • Remove old items by right-clicking the item on the Favorites bar, and then clicking Delete.
    • Click the Favorites button, click the arrow next to the Add to Favorites button, and then click Organize Favorites. From here you can add, remove, or rearrange your links, feeds, and Web Slices in the Favorites bar folder.


Find more information on the Internet Explorer Developer Tools

Internet Explorer 8 Developer Tools help you to research and resolve problems involving HTML, Cascading Style Sheets (CSS), and JavaScript. The Developer Tools include a built-in debugger that enables website programmers to set breakpoints and step through client-side script without leaving Internet Explorer. In addition, the code you see in the debugger appears as it is rendered, and not as it appears in the source file. You can also edit HTML and CSS live so you see the results immediately.

To open Internet Explorer Developer Tools, click the Tools button, and then click Developer Tools.

For more information on the Internet Explorer Developer Tools, visit the Internet Explorer website (http://www.microsoft.com/windows/products/winfamily/ie/ie8/default.mspx).


How can I select text and move around a webpage with my keyboard?

Rather than using a mouse to select text and move around within a webpage, you can use standard navigation keys on your keyboard—HOME, END, PAGE UP, PAGE DOWN, and the arrow keys. This feature is called Caret Browsing and is named after the caret—or cursor—that appears when you edit a document.

To turn on Caret Browsing

  1. In Internet Explorer, do one of the following:
    • Press F7
    • Click the Page button, and then click Caret Browsing.
  2. Click Yes to turn on Caret Browsing.


How do I prevent programs from changing my default search provider?

It can be frustrating when a program changes your default search provider, especially if the provider is changed without your permission. But it's also preventable. Whenever a program such as an add-on or toolbar tries to request a change to your default search provider, Internet Explorer displays a dialog box that lets you make the decision whether to keep or change your current default provider.

If you want Internet Explorer to always block changes to your default search provider, you can select the Prevent programs from suggesting changes to my default search provider check box in the dialog box that appears when a program attempts a change.

You can also do the same thing by following these steps:

  1. Open Internet Explorer.
  2. Click the Tools button, and then click Manage Add-ons.
  3. In Manage Add-ons, under Add-on Types, click Search Providers.
  4. Toward the bottom of the screen, select the Prevent programs from suggesting changes to my default search provider check box, and then click Close.


Why don't some websites display correctly in Internet Explorer 8?

Websites that were designed for earlier versions of Internet Explorer might not display correctly in the current version. However, you can often improve how a website will look in Internet Explorer by using a new feature called Compatibility View.

When you turn on Compatibility View, the webpage you're viewing—as well as any other webpages within the website's domain—will be displayed as if you were using an earlier version of Internet Explorer.

To turn on Internet Explorer Compatibility View

  1. Open Internet Explorer.
  2. Click the Tools button, and then click Compatibility View.

If Internet Explorer recognizes a webpage that is not compatible, you will see the Compatibility View button Picture of the Compatibility View button on the Address bar. To turn Compatibility View on or off, click the Compatiblity View button Picture of the Compatibility View button.

From now on, whenever you visit this website, it will be displayed in Compatibility View. However, if the website receives updates to display correctly in the current version of Internet Explorer, Compatibility View will automatically turn off.

Notes

  • Not all website display problems are caused by browser incompatibility. Interrupted Internet connections, heavy traffic, or website bugs can also affect how a webpage is displayed.


How does SmartScreen Filter help protect my computer from malicious or phishing websites?

Microsoft SmartScreen Filter is a feature in Internet Explorer that helps detect phishing websites and websites that distribute malicious software (also known as malware). Phishing websites are fraudulent sites that impersonate trusted or known websites to trick computer users into revealing personal or financial information. Malware websites distribute software that can attack your computer or steal your personal information.

While you browse the web, SmartScreen Filter runs in the background and (with your consent) sends the web addresses of the sites you are visiting to the Microsoft SmartScreen service to be compared against lists of known phishing and malware sites. If SmartScreen Filter discovers that a website you're visiting is on the list of known malware or phishing sites, Internet Explorer will display a blocking webpage and the Address bar will appear in red. From the blocking page, you can choose to bypass the blocked website and go to your home page instead, or you can continue to the blocked website, though this is not recommended. If you decide to continue to the blocked website, the Address bar will continue to appear in red.

To protect your privacy, information that is submitted to the SmartScreen web service is transmitted in encrypted format over HTTPS. This information is not stored with your IP address or other personally identifiable information, and will not be used to identify, contact, or provide advertising to you. For more information on how Microsoft is helping to protect your privacy, read the Internet Explorer privacy statement online.


Web Slices: frequently asked questions

Here are answers to some common questions about Web Slices.

What is a Web Slice?

A Web Slice is a specific portion of a webpage that you can subscribe to, and which enables you to see when updated content—such as the current temperature, or a changing auction price—is available from your favorite websites. Once you have subscribed to the Web Slice, it appears as a link on the Favorites bar. When the Web Slice is updated, the link on the Favorites bar will appear with bold formatting. You can then click the link to see the updated content.

How do I know when a Web Slice is available on a webpage?

When a Web Slice is available on a webpage, you will see the Web Slice button Picture of the Web Slice button on the Command bar. The Web Slice button will also appear on the webpage next to the content that is available when you point to the content with your mouse.

Can I have Internet Explorer make a sound when a Web Slice is available or updated?

Yes. To enable sounds for Web Slices, follow these steps:

  1. Open Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then, under Feeds and Web Slices, click Settings.
  3. In the Feed and Web Slice Settings dialog box, select one or both of the following check boxes:
    • Play a sound when a feed or Web Slice is found for a webpage
    • Play a sound when a monitored feed or Web Slice is updated

How do I add a Web Slice to the Favorites bar?

To add a Web Slice to the Favorites bar, follow these steps:

  1. Open Internet Explorer, and go to the page with a Web Slice you want to add to the Favorites bar.
  2. Do one of the following:
    • Click the Web Slice button Picture of the Web Slice button on the Command bar.
    • Click the Web Slice button Picture of the Web Slice button on the page.
  3. In the dialog box, click Add to Favorites Bar.

After you add a Web Slice, you will see it appear on the left side of the Favorites bar.

How do I delete a Web Slice from the Favorites bar?

To delete a Web Slice from the Favorites bar, right-click the Web Slice, and then click Delete.

How do I turn off Web Slice buttons on a webpage?

You can stop Web Slice buttons from appearing on a webpage by following these steps:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then, under Feeds and Web Slices, click Settings.
  3. In the Feed and Web Slice Settings dialog box, clear the Turn on in page Web Slice discovery check box.


What are Internet Explorer styles?

A style—or style sheet—is the code that a webpage uses to define its appearance and formatting. Styles can define webpage attributes such as fonts, columns, headings, and how images are displayed. By using styles, web developers can separate the formatting from the content. Web developers can also provide more than a single style for their website by providing alternate styles. If the website provides alternate styles, you can change the formatting of the webpages, or you can choose to turn styles off completely.

Here are just a few of the uses for Internet Explorer styles:

  • Accessibility. Websites can offer alternate style sheets designed for different needs, locales, and so on.
  • Printing. A website can offer a printable version of each webpage without requiring print buttons on each page.
  • Demos. Web developers can quickly change styles to demonstrate multiple website designs that use the same content.
  • Blogs. Websites can offer summaries and complete views of blog postings.

To change a style

  • In Internet Explorer, click the Page button, point to Style, and then click the style you want to use to display the webpage.

Notes

  • To enable you to change your current style, the website must provide alternate styles.
  • You can also change styles from the View menu.
  • For more information about using style sheets for accessibility, see Use your own style sheet to format webpages.


Suggested Sites: frequently asked questions

Here are answers to some common questions about Suggested Sites.

What is Suggested Sites?

Suggested Sites is an online service designed to suggest other websites you might be interested in based on the websites you visit most.

How do I view Suggested Sites?

To view suggestions for other websites based on the webpage you're visiting, click the Suggested Sites Web Slice on the Favorites bar. When you turn on Suggested Sites for the first time, or go to a webpage you haven't visited before, there might not be enough history for the service to offer you suggestions. In this case you'll get a message suggesting you browse the web a little more and come back later.

How does Suggested Sites work?

When you turn on Suggested Sites, your web browsing history is sent to Microsoft, where it is saved and compared to a frequently updated list of related websites. You can choose to stop Internet Explorer from sending your web browsing history to Microsoft at any time. You can also delete individual entries from your history at any time. Deleted entries will not be used to provide you with suggestions for other websites, although they will be retained by Microsoft for a period of time to help improve our products and services, including this feature. For more information on what data Suggested Sites sends to Microsoft and how it's used, read the Internet Explorer 8 privacy statement online.

How do I turn Suggested Sites on or off?

To turn Suggested Sites on or off in Internet Explorer, click the Tools button, and then click Suggested Sites.

Does Suggested Sites work with InPrivate Browsing?

No, Suggested Sites does not record or send browsing history information when InPrivate Browsing is turned on.


How to get the latest Internet Explorer Help

Microsoft publishes updated Help on a continuing basis online. To view the latest Internet Explorer Help content, visit Windows Help online.

Note

  • The Internet Explorer Help on the Windows Help and How-to website applies to Internet Explorer 8 running on Windows Vista, Windows XP Service Pack 2, and Windows Server 2003.


Using Quick Tabs

When you have multiple webpages open at once, each one is displayed on a separate tab. These tabs make it easy for you to switch between open websites. Quick Tabs provides a miniature visual view (called a thumbnail) of all your open tabs. This makes it easier to find the webpage that you want to view.

How do I open Quick Tabs?

Click the Quick Tabs button Picture of the Quick Tabs button to the left of the row of tabs. The Quick Tabs button is only displayed when you have more than one webpage open.

How do I open a webpage tab from Quick Tabs?

Click the thumbnail that you want to open.

How do I close tabs from Quick Tabs?

Click the Close button Picture of Quick Tabs close button in the upper-right corner of the thumbnail for the webpage that you want to close.

What does the arrow next to the Quick Tabs button do?

When you click the arrow next to the Quick Tabs button Picture of the Quick Tabs button, a list of all the websites that you have open is displayed. To switch to a different website, click the site name.

How do I close the Quick Tabs view?

Click the Quick Tabs button Picture of the Quick Tabs button. Quick Tabs will close and the last webpage that you viewed will be displayed.


Show the menus in Internet Explorer

The menu bar can be turned on or off in Internet Explorer, here's how to turn them on if they are off.

To display the menu bar temporarily

  1. Open Internet Explorer.
  2. Press ALT.

To display the menu bar permanently

  1. Open Internet Explorer.
  2. Click the Tools button, point to Toolbars, and then click Menu Bar.

To turn the menu bar off, repeat the steps above.


Search from the Address bar

To search from the Address bar

When a website address cannot be found, Internet Explorer automatically searches the web to try to find that site by using your default search provider. Follow these steps to set your preferences for how this is done.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab.
  3. In the Settings list, scroll down until you find Search from the Address bar.
  4. Do one of the following:
    • To view a list of likely matches in the main window so that you can choose which webpage to display, click Just display the results in the main window.
    • To turn off searching from the Address bar, click Do not submit unknown addresses to your auto-search provider.
  5. When you have made your selection, click OK.

Notes

  • When you search from the Address bar, Internet Explorer can automatically display the webpage that most likely matches what you are searching for and list other likely sites as well. To search in this way, type common names or words in the Address bar, and then click the Go button Picture of the Go button.
  • No matter which option you choose, you can still search for websites by typing search terms in the search box on the toolbar.


Find recently visited webpages

The following table describes the different ways you can find recently visited webpages.

To | Do this
Return to the webpage you just left | Click the Back button Picture of the Back button .
View the history of webpages you've visited previously in Internet Explorer | Click the Favorites button, and then click the History tab. Click the site you want to visit. The history listing can be sorted by date, site name, most frequently visited, or most recently visited by clicking the list that appears under the History tab.
Return to one of the webpages you visited during this session | Click the arrow to the right of the Forward button Picture of the Back and Forward buttons , and then select from the list to get back to a previously visited page.
Display the Favorites Center all the time | Click the Pin button Picture of the Pin the Favorites Center button in the Favorites Center.
Return to webpages you typed into the Address bar | Click the arrow at the end of the Address bar to display a list of websites that you have previously typed into the address bar. You can also start typing and Internet Explorer will suggest matches.
Open your last browsing session | Click the Tools button, and then click Reopen Last Browsing Session.
Open tabs you've closed since starting Internet Explorer | Click the New Tab button, and then, under Reopen closed tabs, click the webpage you want to open. Picture of the New Tab button New Tab Button


Where is Search Assistant?

In Internet Explorer, Search Assistant has been replaced by the search box, which is located in the upper-right corner next to the Address bar.

Picture of the search box

Type the topic or phrase you want to find on the web into the search box, and then press ENTER. If you don't find the results you want, click the arrow to the right of the Search button Picture of the Search button, and choose a different search provider.


Sort your favorites alphabetically

As you build up a collection of favorites in Internet Explorer, you might find it easier to locate the one you want by sorting them alphabetically. Here's how:

  1. In Internet Explorer, click the Favorites button.
  2. Right-click any item in the Favorites list, and then click Sort by Name.


Managing your Internet Explorer favorites

Here are answers to some common questions about organizing and managing your favorite webpage links.

How do I organize my favorites?

  1. In Internet Explorer, click the Favorites button, click the arrow next to the Add to Favorites button, and then click Organize Favorites.
  2. In the Organize Favorites dialog box, you will see a list of your favorite links and folders. From here you can do the following:
    • Open folders: Click a folder to expand it and see the links it contains.
    • Create new folders: Click New Folder, type a name for the new folder, and then press ENTER.
    • Move favorites: Select a link or folder and then drag it to the new position or folder. You can also move items by selecting the link or folder, clicking Move, and then choosing the folder you want to move it to.
    • Rename links or folders: Select a link or folder, and then click Rename. Type the new name, and then press ENTER.
    • Delete links or folders: Click a link or folder, click Delete, and then click Yes to remove it.
  3. When you are finished organizing your favorite links, click Close.

How do I use folders?

Folders are used to organize your favorite links into groups that are meaningful to you. For example, you might create one folder for links to financial institutions and another folder for links to your favorite blogs.

  1. In Internet Explorer, click the Favorites button, click the arrow next to the Add to Favorites button, and then click Organize Favorites.
  2. In the Organize Favorites dialog box, click New Folder, type a name for the folder, and then press ENTER. Repeat this step until you have created as many folders as you'd like.
  3. Drag favorites from the list into the appropriate new folders. You can create nested folders by dragging one folder into another.
  4. When you are finished creating and organizing folders, click Done.

Notes

  • In the Favorites Center, click the blue arrow to the right of a folder's name Picture of the folder arrow to open all of that folder's favorites on different tabs.
  • You can also save groups of open tabs as folders in the Favorites Center. For more information see Tabbed browsing: frequently asked questions.

How do I sort my favorites alphabetically?

Click the Favorites button, right-click any item, and then click Sort by Name

Can I rearrange my favorite links on the Favorites bar?

Yes. Just drag favorites from their old positions on the Favorites bar to their new positions. For more information, see Customize your Favorites bar.


What happened to offline favorites?

The offline favorites feature has been removed from Internet Explorer. If you want to read web content offline, here are a couple of different ways to do it:

  • Subscribe to an RSS feed. Many websites offer content as feeds, which can be downloaded and read offline. For more information about feeds, see Using feeds (RSS).
  • Save a webpage as a web archive (MHT) or HTML file. For more information, see Save a webpage on your computer.


Open a new tab to your home page in Internet Explorer

When you open a new tab by clicking the New Tab button or by pressing CTRL+T, Internet Explorer displays the new tab page.

Picture of the New Tab button
New Tab button

If you prefer that your home page appear when you open a new tab, follow these steps:

To display the home page on new tabs

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then, under Tabs, click Settings.
  3. In the Tabbed Browsing Settings dialog box, click the list under When a new tab is opened, open, click Your first home page, click OK, and then click OK again.


What is a feed?

What is a feed (RSS)?

Feeds, also known as RSS feeds, XML feeds, syndicated content, or web feeds, contain frequently updated content published by a website. They are usually used for news and blog websites, but are also used for distributing other types of digital content, including pictures, audio files, or video.

Internet Explorer can discover and display feeds as you visit websites. You can also subscribe to feeds to automatically check for and download updates that you can view later. In addition, when you add a Web Slice to your Favorites bar, you automatically subscribe to its associated feed.


Using web feeds (RSS)

Here are answers to some common questions about using feeds (RSS).

What is a feed?

A feed, also known as RSS feed, XML feed, syndicated content, or web feed, is frequently updated content published by a website. It is usually used for news and blog websites, but can also be used for distributing other types of digital content, including pictures, audio, or video. Feeds can also be used to deliver audio content (usually in MP3 format) which you can listen to on your computer or MP3 player. This is referred to as podcasting.

How do I know if a website offers feeds?

When you first view a website, Internet Explorer will search for feeds. If feeds are available, the Feeds button Picture of the Feeds button will change color and a sound will play.

How do I view a feed?

When you visit a webpage, the Feeds button Picture of the Feeds button will change color, letting you know that feeds are available. Click the Feeds button, and then click the feed you want to see. If the website offers Web Slices as well, you'll see the Web Slice button Picture of Web Slice button. To get content automatically, you should subscribe to a feed.

How do I subscribe to a feed?

To subscribe to a feed, follow these steps:

  1. Go to the webpage that has the feed to which you want to subscribe.
  2. Click the Feeds button Picture of Feeds button to discover feeds on the webpage. If the site also has Web Slices, you'll see the Web Slice button Picture of Web Slice button instead.
  3. Click a feed (if more than one is available). If only one feed is available, you will go directly to that page.
  4. Click Subscribe to this feed.
  5. Type a name for the feed and select the folder to create the feed in.
  6. Click Subscribe.

How do I add a feed to the Favorites bar?

To add a feed to the Favorites bar, subscribe to the feed, and click the Add to Favorites Bar check box in the Subscribe to this Feed dialog box. If you've already subscribed to the feed, you can click the Add to Favorites Bar button Picture of Add to Favorites Bar button to add the feed to the Favorites bar.

How does a feed differ from a website?

A feed can have the same content as a webpage, but it's often formatted differently. When you subscribe, Internet Explorer automatically checks the website and downloads new content so you can see what is new since you last visited the feed.

How can I automatically get updated content?

You can receive content automatically by subscribing to a web feed. When you subscribe to a web feed, you set the interval at which Internet Explorer will check the website for updates. Once you've set an interval, Internet Explorer will automatically download the most up-to-date web feed list. Click Related Topics to learn how to subscribe to a web feed.

Does a feed subscription cost money?

No, it's usually free to subscribe to a feed.

How can I view my subscribed feeds?

You view feeds on the Feeds tab in the Favorites Center. To view your feeds, click the Favorites button, and then click Feeds.

Can other programs display my subscribed feeds?

Yes, Internet Explorer provides the Common Feed List to other programs. This allows you to subscribe to feeds with Internet Explorer and read them in other programs, such as e-mail clients.

What does RSS mean?

RSS stands for Really Simple Syndication, and is used to describe the technology used in creating feeds.

What formats do feeds come in?

The most common formats are RSS and Atom. Feed formats are constantly being updated with new versions. Internet Explorer supports RSS 0.91, 1.0, and 2.0, and ATOM .3, 1.0. All web feed formats are based on XML (Extensible Markup Language), a text-based computer language used to describe and distribute structured data and documents.


Discover a feed

Internet Explorer looks for feeds (also known as RSS feeds) and Web Slices on every webpage you visit. When Internet Explorer finds available feeds, the Feeds button Picture of the Feeds button, located on the Internet Explorer toolbar, will change from gray to orange and play a sound.

If Internet Explorer also finds Web Slices, the button will change to display the Web Slice button Picture of the Web Slice button.

For more information on feeds, see Using web feeds (RSS).

For more information on Web Slices, see Web Slices: frequently asked questions.

To view available feeds or Web Slices

  1. In Internet Explorer, browse to a webpage that has feeds or Web Slices.
  2. Click the Feeds button Picture of the Feeds button or the Web Slices button Picture of the Web Slice button, and then click the feed or Web Slice you want to view. (If multiple feeds or Web Slices are available, you'll see a list of available feeds and Web Slices to choose from.)

Notes

  • If you click a feed, you'll see a page displaying a list of topics and articles you can read and subscribe to.
  • If you click a Web Slice, you will be asked if you want to subscribe to it. Once you subscribe to the Web Slice, it will be added to your Favorites bar.


Subscribe to a feed

  1. Go to the webpage that has the feed to which you want to subscribe.
  2. Click the Feeds button Picture of Feeds button to discover feeds on the webpage.
  3. Click a feed (if more than one is available). If only one feed is available, you will go directly to that page.
  4. Click Subscribe to this feed.
  5. Type a name for the feed and select the folder to create the feed in.
  6. Click Subscribe.

Note

  • To view your subscribed feeds, click the Favorites button, and then click the Feeds tab.


Preview the appearance of a printed webpage

When you print a webpage, Internet Explorer automatically scales it to fit within the margins of your paper. This sometimes causes the page to be reduced in size. Internet Explorer also reduces the size of a page slightly if a single line of text (sometimes called an orphan) would print on its own page. You can use Print Preview to see how a printed webpage will look and to adjust page orientation, scaling, and margins. For information about troubleshooting printing problems, see Printing webpages: frequently asked questions.

To preview how a page will look when it is printed

  1. Open Internet Explorer and go to the page you want to print.
  2. Click the arrow to the right of the Print button Picture of the Print button, and then click Print Preview.
  3. Press ESC to exit Print Preview without printing.

Changing how a page is displayed on the screen and printed page

The following table describes Print Preview options that affect both what you see on the screen and what appears on the printed page. More printer-specific tasks, such as printing a range of pages or choosing paper size, are set in the Print dialog box and are not set in Print Preview.

Click this | To do this
Portrait Picture of the Portrait button | Print the page vertically (portrait orientation).
Landscape Picture of the Landscape button | Print the page horizontally (landscape orientation).
Page Setup Picture of the Page Setup button | Change paper, headers and footers, orientation, and margins for this page.
Turn headers or footers on or off Picture of the Turn headers or footers on or off button | Decide whether to print additional information (such as the date, website address, or page number) at the top or bottom of the page.
Change Print Size Picture of the Change Print Size button | Stretch or shrink the page size to fill the printed page. This feature replaces the zoom feature that was in previous versions of Internet Explorer.
Adjust margins Picture of the vertical Adjust margin button Picture of the horizontal Adjust margin button | Drag the horizontal or vertical markers to adjust where the page will print.
Print Document Picture of the Print Document button | Print the page using the current settings.

Changing how a page is displayed on the screen

The following table describes Print Preview options that only affect how things look on the screen; they do not affect the printed copy.

Click this | To do this
View Full Width Picture of the View Full Width button | Zoom the webpage to the width of the preview screen.
View Full Page Picture of the View Full Page button | Zoom the webpage to show the full webpage in the preview screen.
Show multiple pages Picture of the Show multiple pages button | View multiple pages on the preview screen.
First Page Picture of the First Page button | Go to the first page.
Previous Page Picture of the Previous Page button | Go to the previous page.
Next Page Picture of the Next Page button | Go to the next page.
Last Page Picture of the Last Page button | Go to the last page.

Using headers and footers

Headers and footers enable you to add additional information on the top and bottom of webpages you print. You can add things like the date or time, page numbers, window title, or webpage address. You can include items on the left, center, or right of either the header or footer, or both.

To customize the header or footer of pages you print, do the following:

  1. Open Internet Explorer and go to the page you want to print.
  2. Click the arrow to the right of the Print button Picture of the Print button in the main browser window, and then click Page Setup.
  3. In the Page Setup dialog box, click the lists under Headers and Footers, and then click the items you want to print.

Creating headers and footers

The following table describes how to display different kinds of information in the headers or footers of printed webpages. Unlike earlier versions of Internet Explorer, you don't need to use special codes to build your headers or footers. You only need to choose an option from one of the header or footer lists in the Page Setup dialog box.

To print this | Click this option in the list
Nothing | Empty
Window title | Title
Page address (URL) | URL
Date in short format (as specified by Regional and Language Options in Control Panel) | Date in short format
Date in long format (as specified by Regional and Language Options in Control Panel) | Date in long format
Time (as specified by Regional and Language Options in Control Panel) | Time
Time in 24-hour format | Time in 24hr format
Current page number | Page number
Total number of pages | Total pages
Page number of total pages | Page # of total pages

Creating custom headers and footers

You can create your own custom header or footer text by using ampersand codes. To create a fully customized header or footer, click one of the lists under Headers and Footers in the Page Setup dialog box, and then click Custom. In the Custom dialog box, type your own custom text along with these codes. For example, to print the date and city on the document you might type Printed in Seattle on &D. The following table shows the ampersand codes that are available:

To print this | Type this code
Window title | &w
Page address (URL) | &u
Date in short format (as specified by Regional and Language Options in Control Panel) | &d
Date in long format (as specified by Regional and Language Options in Control Panel) | &D
Time (as specified by Regional and Language Options in Control Panel) | &t
Time in 24-hour format | &T
Current page number | &p
Total number of pages | &P
Right-aligned text (following &b) | &b
Centered text (between &b&b) | &b&b
A single ampersand (&) | &&

Notes

  • The Change Print Size feature might not work properly if the webpage you're trying to print specifies the exact location where text should print on the page.
  • If you go to a webpage and open Print Preview before the page is fully loaded in the browser, the page will appear blank in Print Preview.
  • If you change printing options in Print Preview, those changes will be in effect temporarily (until you close Print Preview). To make permanent changes to your printing options (for example, to change the default paper size), make changes in Page Setup.


Print a webpage

To print a webpage

  1. In Internet Explorer, go to the webpage that you want to print.
  2. Click the arrow to the right of the Print button Picture of the Print button, and then click Print.
  3. Set the printing options you want, and then click Print.

Notes

  • To print content that is in a frame, right-click the frame, click Print, and then, in the Print dialog box, click Print.
  • To print a picture, right-click the picture, click Print Picture, and then, in the Print dialog box, click Print.
  • To print a specific section of a webpage, select that section, right-click the section, and then click Print. In the Print dialog box, click Selection, and then click Print.
  • To preview how a webpage will look when it is printed, click the arrow to the right of the Print button Picture of the Print button, and then click Print Preview. In Print Preview, you can make changes to how the page will print (including rotating, shrinking, or stretching it).


Printing webpages: frequently asked questions

The following are answers to commonly asked questions about printing in Internet Explorer.

Why is my text so small when I print?

When you print a webpage, Internet Explorer shrinks the content of the webpage to fit the width of your paper. If the webpage is wide, reducing the text size to fit the page can cause the text to be unreadably small. You can work around this by trying one of the following:

  • Change print orientation to landscape.
  • Select portions of the webpage and print them separately. See the question "How do I print specific parts of a webpage?" that appears later in this topic to learn how to do this.
  • Click the arrow next to the Print button Picture of the Print button, click Print Preview, and then click Custom in the Change Print Size list. Specify how large you would like the webpage to be printed by setting a percentage in the Custom Size text box. This will enlarge the printed size of the entire webpage, but it might result in some of the webpage being cut off in the printed document. For more information about print preview, see Preview the appearance of a printed webpage.

How can I improve legibility when printing webpages?

To improve legibility when printing webpages, it might be helpful to stop printing background colors and images. That way, the text will stand out more clearly.

To stop printing background colors and images

  1. Open Internet Explorer.
  2. Click the arrow next to the Print button Picture of the Print button, and then click Page Setup.
  3. In the Page Setup dialog box, clear the Print Background Colors and Images check box, and then click OK.

Why don't I see the Print dialog box when I click the Print button?

When you click the Print button in Internet Explorer, the webpage is printed directly to your default printer. If you want to choose printing options before the page is sent to the printer, do one of the following:

  • Click the arrow next to the Print button Picture of the Print button, and then click Print.
  • Right-click the webpage, and then click Print.
  • Click the arrow next to the Print button Picture of the Print button to open Print Preview, and then print from the preview.
  • Click the File menu, and then click Print.

Why doesn't Shrink To Fit work when I print some webpages?

Some webpages specify exactly where text should print on the page. If the webpage you're printing specifies exactly where the text should print, Shrink To Fit will not work. You can work around this problem by setting a custom scale in print preview. For more information about print preview, see Preview the appearance of a printed webpage.

How do I print specific parts of a webpage?

If you want to print only a specific part of a webpage (instead of printing the whole thing), follow these steps:

To print selected webpage content

  1. In Internet Explorer, go to the webpage and select the content you want to print.
  2. Click the arrow next to the Print button Picture of the Print button, and then click Print.
  3. In the Print dialog box, click Selection, and then click Print.

Can I print multiple selections at once?

No, you can only print one selection at a time.

Why do I have to reset the print options every time I open Internet Explorer?

Printing changes made within Internet Explorer are always temporary. To make changes permanently, you need to change them in Windows. For information about changing Windows print options, open Help and Support Center, and search for information on printing preferences.

Why do some types of content not print when I print a webpage?

Some multimedia content (such as videos, slide shows, or content created with Adobe Flash) does not print when you print a webpage. To print this type of content, right-click the image or control, and then click Print. Be aware that not all websites will let you print this type of content, due to copyright restrictions. If the Print option is not available, the website will not let you print the content.

Why won't my webpages print?

Internet Explorer uses the same Windows printing capabilities that other programs use. Your printer must be correctly installed and working in Windows to be able to print webpages. If your printer isn't working with Internet Explorer, try it with a different program, such as your word processor or spreadsheet program. For more information, open Help and Support Center, and search for information on printer problems.


Save a webpage on your computer

To save a webpage on your computer

  1. In Internet Explorer, click the Page button, and then click Save As.
  2. Navigate to the folder you want to save the page in.
  3. In the File name box, type a name for the page.
  4. In the Save as type box, do one of the following:
    • To save all of the files needed to display this page, including graphics, frames, and style sheets, select Webpage, complete. This option saves each file in its original format.
    • To save all of the information needed to display this page in a single file, click Web Archive, single file. This option saves a snapshot of the current webpage. This option is available only if you have installed Outlook Express 5 or later.
    • To save just the current HTML page, click Webpage, HTML only. This option saves the information on the webpage, but it does not save the graphics, sounds, or other files.
    • To save just the text from the current webpage, click Text File. This option saves the information on the webpage in text format.


Saving pictures or text from a webpage

Saving pictures from a webpage

  1. In Internet Explorer, browse to a webpage with a picture you want to save.
  2. Right-click the picture.
  3. Click Save Picture As.
  4. In the Save Picture dialog box, browse to the folder where you want to save the file, and then click Save.

Here are some other things you can do with webpages:

To do this | Try this
Save a page or picture without opening it | Right-click the link for the item you want to save, and then click Save Target As.
Copy information from a webpage into a document | Select the information you want to copy, click the Page button, and then click Copy. Paste the information into the document you are working on.
Create a desktop shortcut to the current page | Right-click in the page, and then click Create Shortcut.
Use a webpage picture as desktop background | Right-click the image on the webpage, and then click Set as Background.
Send a webpage in e-mail | Click the Page button, and then click Send this Page by E-mail. Fill in the e-mail fields, and then send the message. Note that you must have an e-mail account and an e-mail program set up on your computer to send the webpage in e-mail.


Save a picture from a webpage

  1. In Internet Explorer, right-click the picture you want to save.
  2. Click Save Picture As.
  3. In the Save Picture dialog box, browse to the folder where you want to save the file, and then click Save.

Note

  • Pictures are saved in the My Pictures folder unless you specify a different location.


Print a picture from a webpage

  1. In Internet Explorer, right-click the picture you want to print.
  2. Click Print Picture.
  3. In the Print dialog box, click Print.


Understanding security and privacy features

Internet Explorer offers a number of features to help protect your security and privacy when you browse the web.

Privacy features in Internet Explorer include settings that allow you to control how your computer handles cookies, privacy alerts that let you know when you try to go to a site that doesn't meet the criteria in your privacy settings, and ability to view a website's privacy policy.

What security features does Internet Explorer have?

Internet Explorer includes the following security features:

  • SmartScreen Filter, which can help protect you from online phishing attacks, fraud, spoofed, and malicious websites. For more information, see SmartScreen Filter: frequently asked questions.
  • Pop-up Blocker, which can help block most pop-up windows. For more information, see Pop-up Blocker: frequently asked questions.
  • Add-on Manager, which lets you disable or allow web browser add-ons and delete unwanted ActiveX controls. For more information, see How do browser add-ons affect my computer?
  • Notification when a website is trying to download files or software to your computer, or run programs other than Internet Explorer.
  • Digital signatures, which tell you who published a file and whether it has been altered since it was digitally signed. For more information, see What's a digital signature?
  • A 128-bit secure (SSL) connection for using secure websites. This helps Internet Explorer create an encrypted connection with websites run by banks, online stores, medical sites, or other organizations that handle sensitive customer information. For more information, see How to know if an online transaction is secure.

How can I protect my privacy when I'm online?

Internet Explorer provides the following features that can help protect your privacy when you're online:

  • InPrivate Browsing, which allows you to browse the web without recording a history in the browser. For more information, see What is InPrivate Browsing?
  • Privacy settings that specify how your computer handles cookies. For more information, see Change Internet Explorer Privacy settings.
  • The ability to view a website's privacy statement. For more information, see View a website's computer-readable P3P privacy policy.

How can I keep websites and programs from changing my default search provider?

Some websites and add-ons might try to change your default search provider. To learn how to prevent this, see How do I prevent programs from changing my default search provider?

Why am I getting the message Your security setting level puts your computer at risk?

You are getting this message because certain security settings are at a lower level than is recommended. By default, Internet Explorer has a minimum level for some settings that can help protect your computer from websites that are trying to install malicious or unwanted software without your knowledge or permission.

How do I know which settings are not at recommended levels?

To see which security settings are not at recommended levels, follow these steps:

To view Internet Explorer security settings

  1. Click the Tools button, and then click Internet Options.
  2. Click the Security tab.
  3. Click the Internet icon, and then click the Custom level button.

    Settings that are not at recommended levels are highlighted in red.

  4. When you are finished reviewing your security settings, click OK twice.

What is changed when I click Fix settings for me on the Information bar when my computer is at risk?

When you click Fix settings for me on the Information bar, Internet Explorer will reset the security settings that put your computer at risk back to their recommended settings.

How can I change Internet Explorer security settings?

To change Internet Explorer security settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab.
  3. Click the Internet icon.
  4. Do one of the following:
    • To pick a preset security level, drag the slider.
    • To change individual security settings, click Custom level. Change the settings as desired and click OK when you are done.
    • To set Internet Explorer back to the default security level, click Default level.
    • Click Reset all zones to default level to clear any custom settings.
  5. When you are finished making changes, click OK.

How do I change my Internet Explorer privacy settings?

To change Internet Explorer privacy settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Privacy tab.
  3. Under Settings, do either of the following:
    • To allow or block cookies from specific websites, click Sites.
    • To load a customized settings file, click Import. These are files that modify the rules that Internet Explorer uses handle cookies. Since these files can override default settings, you should only import them if you know and trust the source.
  4. When you are finished making changes to your privacy settings, click OK.

Where can I find more information about protecting my computer and my privacy when I'm online?

You can find information about these topics on the Microsoft Security (http://www.microsoft.com/security) website and the Microsoft Protect Your PC (http://www.microsoft.com/athome/security/protect/windowsxpsp2) website.


How to know if an online transaction is secure

Here are answers to some common questions about online transactions.

What is a secure connection?

A secure connection is an encrypted exchange of information between the website you are visiting and Internet Explorer. Encryption is provided through a document the website provides called a certificate. When you send information to the website, it is encrypted at your computer and decrypted at the website. Under normal circumstances, the information cannot be read or tampered with while it is being sent, but it's possible that someone might find a way to crack the encryption.

Even if the connection between your computer and the website is encrypted, it does not guarantee that the website is trustworthy. Your privacy can still be compromised by the way the website uses or distributes your information.

Are secure connections private?

Not necessarily. Even though the information you are sending is encrypted (encoded), an intermediate party might be able to see the website you are connecting to. By knowing the website you are connecting to, the other party might have a pretty good idea what you are doing on that site. For example, if you're looking for a new job using a computer at work, your company might watch for key words in websites or keep a log of visited sites. If you upload a resume to a job website, the document might be encrypted, but your company would still know you're looking for a new job.

How can I tell if I have a secure connection?

In Internet Explorer, you will see a lock icon Picture of the Lock icon in the Security Status bar. The Security Status bar is located on the right side of the Address bar.

The certificate that is used to encrypt the connection also contains information about the identity of the website owner or organization. You can click the lock to view the identity of the website.

Why do I see different colors in the Security status bar?

When you visit a website that uses a secure connection, the color of the Security Status bar tells you whether the certificate is valid, and it displays the level of validation that was performed by the certifying organization.

The following table describes what the Security Status bar colors mean.

Color | What it means
Red | The certificate is out of date, invalid, or has an error. For more information, see "About certificate errors" in Related Topics.
Yellow | The authenticity of the certificate or certification authority that issued it cannot be verified. This might indicate a problem with the certification authority's website.
White | The certificate has normal validation. This means that communication between your browser and the website is encrypted. The certification authority makes no assertion about the business practices of the website.
Green | The certificate uses extended validation. This means that communication between your browser and website is encrypted and that the certification authority has confirmed the website is owned or operated by a business that is legally organized under the jurisdiction shown in the certificate and on the Security Status bar. The certification authority makes no assertion about the business practices of the website.

Do I need to upgrade my online accounts to use Extended Validation (EV) certificates?

No, you never need to update your online account or information to use EV certificates. Some phishing e-mails try to trick you into giving personal or financial information by claiming that you need to upgrade your account for better security with an EV certificate.

Internet Explorer supports EV certificates natively and you do not have to do anything other than visit a website. If your bank is using an EV certificate, your Address bar will be green. If you don't see a green Address bar, then the website does not use an Extended Validation certificate.

What should I do if I think a website is trying to mislead me about its identity?

If you believe that the site is attempting to mislead you about its identity, you should contact the certification authority whose name appears in the certificate and in the Security Status bar.

If a website has secure transactions, does that mean the website is safe to use?

Not necessarily. The secure (encrypted) connection is not a guarantee that it is safe to use. A secure connection only assures you of the identity of the website, based on the information provided by the certifying organization. You should only consider giving personal information to a website that you know and trust. To learn how to decide if you can trust a website, see How to decide if you can trust a website.

How can I increase the safety of my online transactions?

While there is no guarantee of safety on the web, you can minimize online privacy or security problems by using websites you know and trust. Internet Explorer cannot tell if a website owner is trustworthy. Try to use sites you've used previously or that are recommended by trusted friends or family. You should also turn on Internet Explorer's SmartScreen Filter to help identify fraudulent websites. For more information about SmartScreen Filter, see SmartScreen Filter: frequently asked questions.

What does it mean when I have both secure and non-secure (mixed) content?

Secure and non-secure content, or mixed content, means that a webpage is trying to display elements using both secure (HTTPS/SSL) and non-secure (HTTP) web server connections. This often happens with online stores or financial sites that display images, banners, or scripts that are coming from a server that is not secured.

The risk of displaying mixed content is that a non-secure webpage or script might be able to access information from the secure content.

Note

  • Internet Explorer uses an encrypted protocol called Secure Sockets Layer (SSL) to access secure webpages. These pages use the prefix HTTPS, while regular webpages use HTTP.


How to decide if you can trust a website

Knowing when to trust a website depends in part on who publishes the website, what information they want, and what you want from the site. If you're not sure whether to trust a website, consider these questions:

Are you visiting a secure site?

If you are visiting the website with a secure connection, you will be able to identify the website through the site's certificate. A secure or encrypted website address will begin with HTTPS rather than HTTP, and you will see a lock icon in the Address bar. Secure connections use certificates to identify the website and to encrypt your connection so that it will be more difficult for a hacker to view. You can also click the lock icon Picture of the lock icon in the Address bar to see more information about the website. For more information on secure websites, see How to know if an online transaction is secure.

When you click the lock icon in the Address bar, you can see the security report. Depending on the type of certificate the website has, you can see the website address or the company address that the certificate was issued to. Extended Validation (EV) certificates will turn the Address bar green, and will contain a confirmed name and address for the website owner. Non-EV certificates will display the website address or the domain of the site. If the security report only shows the website's address, be sure it is the address you wanted to visit. Phishing or fraudulent websites will often use similar website names to trick visitors into believing they are visiting trusted sites. For more information on phishing, see What is phishing?

Certificates are issued by companies called certification authorities (CA). Windows contains a list of the most common certification authorities. If Windows doesn't recognize the issuer of the certificate, you will get a warning. However, Windows can be configured to trust any certification authority, so you should not rely solely on receiving a warning message when a website is potentially fraudulent.

Is the website certified by an Internet trust organization?

Sites that display privacy certification logos have agreed to follow certain practices, such as providing a comprehensive privacy statement. If you read these statements, you should be able to determine what information the site collects and what the site does with that information (for example, whether it shares it with any other companies or uses it to display personalized advertisements). The certification does not indicate that the site collects no information. It means that the privacy statement will tell you what information (if any) the site does collect so you can decide if you want to use that website.

An Internet trust organization is a company that verifies that a website has a privacy statement (a posted notification of how your personal information is used) and that the website gives you a choice of how they use your information. Websites approved by Internet trust organizations are able to display the privacy certification seals, usually somewhere on their home page or order forms. However, these seals don't guarantee that a website is trustworthy; it just means the website complies with the terms acceptable to the Internet trust organization. Additionally, some unscrupulous websites might display the trust logos fraudulently. If you are not sure whether a trust logo is legitimate, contact the trust organization to see if the website is registered with them.

To learn more about these trust organizations, you can go to the TRUSTe (http://www.truste.com) website, the BBB Online (http://www.bbbonline.org) website, or the WebTrust (http://www.webtrust.org) website.

Is the website owned by a company or organization that you know well?

For example, if you bought merchandise from a physical store and were happy with the experience, you might want to try the store's website as well. However, even if you trust the company, always read the website's privacy or terms of use statement. Sometimes a company's website is independent of its stores, and it might have different privacy terms. Look for terms you don't agree with, such as requirements to accept e-mail offers or advertising from the website, or that your information is shared with the company's partners. If you are not comfortable with the terms or behaviors (for example, you do not want to be tracked or to see advertisements), do not use the site.

Does the website have a valid certificate?

A certificate is used primarily to help you identify the company or owner of the website. Extended Validation (EV)certificates turn the Address bar green, and provide more in-depth validation of the identity of a website. For more information see How to know if an online transaction is secure.

Does the website ask you for personal information?

If you are asked for personal information, such as credit card numbers or bank information, only provide it if there is a good reason to do so. Also, make sure there is a secure entry form for recording information. Look for a message stating that the information will be encrypted and check for the lock icon Picture of the lock icon in the Security Status bar in the Internet Explorer Address bar (do not enter confidential information if there is no lock icon in the Address bar). Also, try to find out what the website's policy is about storing information: Do they keep your credit card number on file? Do they have partners that they share information with? You should be confident that the site is using your information properly and in a secure manner before providing any information.

On a retail website, is there a way to contact someone by phone or mail?

Do they have a phone number that you can call if you have a problem, or that you can use to place an order? Does the website list a street address? Is there a posted return policy with acceptable terms? If the site doesn't provide a phone number or physical address, try contacting the company by e-mail to ask for that information.

If you don't recognize the site, do you have other information to help you decide?

If you are not familiar with a website or it does not have a privacy certification seal, that might not necessarily mean that you cannot trust it. Ask reliable friends or colleagues about the site. Search for references to the site on the Internet to see if a source, such as a magazine or company that you do trust, has referred to it. Read the website's privacy statements or other disclosures (but keep in mind that the site might not necessarily abide by them).

A website might not be trustworthy if:

  • The site is referred to you through an e-mail message from someone you don't know.
  • The site offers objectionable content, such as pornography or illegal materials.
  • The site makes offers that seem too good to be true, indicating a possible scam or the sale of illegal or stolen products.
  • You are lured to the site by a bait and switch scheme, in which the product or service is not what you were expecting.
  • You are asked for a credit card as a verification of identity or for personal information that does not seem necessary.
  • You are asked to provide a credit card number without proof that the transaction is secure.


How to decide if you can trust an e-mail message

E-mail is a great way to keep in touch with other people. Unfortunately, it can also open your computer to security risks, computer viruses, and potentially malicious software if you're not careful about the messages and attachments that you open. Before opening any e-mail message or attachment, be sure that you have an up-to-date antivirus program installed. The antivirus program should be configured to scan messages as they arrive (real-time), and to scan all types of file attachments.

Here are some questions you can ask yourself to help decide whether to open an e-mail message or attachment.

Do you know the person who sent you the e-mail message?

Is the message from a person or organization that you know and trust? If the message is from someone you've never heard of, be cautious. If it appears to be from someone you know, be suspicious of odd or inappropriate subject lines such as RE: Your archive, or attachments that contain program files (executable files) such as price.exe. Many viruses can mimic e-mail addresses to make it look like the message is from someone you know.

Have you received e-mail from this sender before?

If you know the person or company sending the message, but you've never received e-mail from them before, make sure you know why you're getting a message now. Check the text in the Subject line and the file name of the attachment, if there is one. If any of that text seems suspicious, delete the message or make sure it is scanned using up-to-date antivirus software before opening it.

Were you expecting e-mail from this sender?

Were you expecting a message or attachment from the sender with the subject or file name? If not, send a separate e-mail message to the sender (don't click Reply) and ask if he or she really sent this e-mail message.

Does the subject line or attachment file name make sense?

Junk e-mail and viruses often use random characters or words in the subject line or attachment file name to bypass content or spam filters. An unexpected message from a friend that has gibberish in the subject line might be sent by a virus that mimics (or spoofs) your friend's e-mail address. Subject line messages that urge you to do something, for example, Important! Open the attachment immediately! might indicate that the e-mail message might not be safe to open. An attachment with a double file name extension, such as Sample.jpg.exe, is not a file that someone would normally send, and could be a virus.

Important

  • Before you open any e-mail that has an attachment, make sure that your antivirus program is up to date and that it's turned on (this allows it to scan attachments).


When to trust a software publisher

A software publisher is a person or company that creates or packages software. The publisher can be the website you are downloading a file from or a software retailer. Before deciding to trust a software publisher, ask yourself the following questions.

Is the software from a trusted source?

Choose software from a publisher you already trust, such as a widely recognized company or website. Consider a company or website you've had a satisfactory experience with previously, or one that has been recommended by someone you trust.

Do you need the software, and do you know what it does?

Some websites will try to get you to download software that you don't need. Research the software and find out why the website is asking you to download it.

Does the software have a digital signature?

If so, check the digital signature to be sure that it's valid, that the software publisher is the one you expected, and that the file has not been tampered with. You can view the digital signature by clicking the publisher link in the Internet Explorer security dialog box that is displayed when you download a file.

A digital signature can show you:

  • Whether the software has a current certificate. Make sure the certificate has not expired or been revoked, possibly indicating a problem with the company or software.
  • The identity of the software publisher.
  • Whether the program has been tampered with (possibly by a virus). If the program file has been changed, the digital signature will be invalid. This will be shown in the security report when you click the Security Status bar to right of the Address bar. The security report will show you who the publisher is, and whether the file has been tampered with.


Block or unblock a publisher

To block or unblock a publisher

Internet Explorer lets you block or allow publishers of downloadable software. The Publisher is identified by the digital signature applied to the file that is downloaded. If the file is unsigned, changing these settings will have no effect. For more information about digital signatures and certificates, click Related Topics.

To block a publisher

If a file is being downloaded to your computer, you might see a security warning dialog box. If it has a More options button, you have the ability to prevent this publisher from downloading more software to your computer.

  1. On the security warning message, click More options.
  2. Click Never install software from publisher name.

To unblock a publisher

  1. Open Internet Explorer.
  2. Click the Tools button, and then click Internet Options.
  3. Click the Content tab, and then click Publishers.
  4. Click the Untrusted Publishers tab, click the publisher you want to unblock, click Remove, and then click Yes to confirm that you want to unblock that publisher.
  5. Click Close, and then click OK.


Pop-up Blocker: frequently asked questions

Here are answers to some common questions about pop-ups and Pop-up Blocker.

What is a pop-up window?

A pop-up is a small web browser window that appears on top of the website you're viewing. Pop-up windows often open as soon as you visit a website and are usually created by advertisers.

What is Pop-up Blocker?

Pop-up Blocker is a feature in Internet Explorer that lets you limit or block most pop-ups. You can choose the level of blocking you prefer, from blocking all pop-up windows to allowing the pop-ups that you want to see. When Pop-up Blocker is turned on, you will get an Information bar message saying "Pop-up blocked. To see this pop-up or additional options click here."

How do I turn Pop-up Blocker on or off?

Pop-up Blocker is turned on in Internet Explorer by default. To turn it off or to turn it on again if you've already turned it off, follow these steps:

To turn Pop-up Blocker on or off

  1. In Internet Explorer, click the Tools button, point to Pop-up Blocker, and then do one of the following:
    • To turn off Pop-up Blocker, click Turn Off Pop-up Blocker.
    • To turn on Pop-up Blocker, click Turn On Pop-up Blocker.

Can I see a pop-up that Internet Explorer blocked?

Yes. Follow these steps:

  1. In Internet Explorer, navigate to a website with a pop-up, and then click the Information bar when it notifies you that a pop-up window has been blocked.
  2. Do one of the following:
    • Click Temporarily allow Pop-ups.
    • Click Always Allow Pop-ups from This Site. In the dialog box that appears, click Yes.

You can allow a pop-up to be displayed by pressing CTRL+ALT as you click a link to open a website that has pop-ups.

How can I choose to allow pop-ups from a specific website?

By default, Internet Explorer displays pop-ups that appear as a result of you clicking a link or button. Pop-up Blocker blocks pop-ups that are displayed automatically (without you clicking a link or button). If you want to allow a specific website to display automatic pop-ups, follow these steps:

  1. In Internet Explorer, click the Tools button, point to Pop-up Blocker, and then click Pop-up Blocker Settings.
  2. In the Address of website to allow box, type the address (or URL) of the website you want to see pop-ups from, and then click Add.
  3. Repeat step 2 for every website you want to allow pop-ups from. When you are finished adding websites, click Close.

I turned on Pop-up Blocker but I still see some pop-ups. Why?

The following are some common reasons why you might still be seeing pop-ups:

  • You might have software, such as adware or spyware, on your computer that is opening pop-up windows. To stop these pop-ups, you will have to identify the software that is opening them, and then remove it or change its settings to stop it from opening pop-up windows. For information about detecting and removing adware and spyware, see Spyware: frequently asked questions.
  • Some windows with active content are not blocked.
  • Internet Explorer will not block pop-ups from websites that are in the Local intranet or Trusted sites content zones. If you want the pop-ups from these websites to be blocked, you have to remove the websites from these zones. For more information, see "Understanding security zones" in Related Topics.
  • Internet Explorer will not block pop-ups from sites that have been added to the list of sites you allow pop-ups from.

    To remove a website from your list of sites that allow pop-ups

    1. In Internet Explorer, click the Tools button, point to Pop-up Blocker, and then click Pop-up Blocker Settings.
    2. In the Address of website to allow box, click the website you want to remove from the list, and then click Remove.
    3. Repeat step 2 for every website you want to remove from the list of websites that can display pop-ups. When you are finished, click Close.

I don't want to see pop-ups, even if they are opened when I click a link or button on a website. Can I set Internet Explorer to block all pop-ups?

Yes. Follow these steps:

To block all pop-ups

  1. In Internet Explorer, click the Tools button, point to Pop-up Blocker, and then click Pop-up Blocker Settings.
  2. Under Blocking level, select High: Block all pop-ups, and then click Close.

If you want to see pop-ups that are blocked when you have this setting turned on, hold down CTRL+ALT while the window opens.

How do I change the Pop-up Blocker settings?

  1. In Internet Explorer, click the Tools button, point to Pop-up Blocker, and then click Pop-up Blocker Settings.
  2. Make any changes that you would like, and then click Close.

How do I make Pop-ups display in a tab?

By default, pop-ups display in separate windows. If you prefer to have pop-ups display in tabs, follow these steps:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then, under Tabs, click Settings.
  3. In the Tabbed Browsing Settings dialog box, click Always open pop-ups in a new tab, and then click OK twice.


What's a digital signature?

A digital signature is an electronic security mark that can be added to files. It allows you to verify the publisher of a file and helps verify that the file has not changed since it was digitally signed.

What if a file does not have a valid digital signature?

If the file does not have a valid digital signature, there is no way for you to be sure that the file is actually from the source it claims to be from, or that it has not been tampered with (possibly by a virus) since it was published. It's safer to avoid opening the file unless you know for certain who created it and whether the contents are safe to open. Click Related Topics for information about various file types.

Does a valid digital signature mean that the file is safe?

No, a valid digital signature does not verify that the contents of the file are harmless. You must decide if you should trust the contents of the file based on the identity of the publisher and where you are downloading the file from. Click Related Topics for information about deciding whether you should open a file you've downloaded.


What's the risk of letting websites open programs on my computer?

The risk is that some website addresses might contain malicious content that could potentially harm your computer by opening programs other than Internet Explorer. Internet Explorer can help protect your computer by limiting the access that these websites have to the programs on your computer. You should only allow websites that you trust to open programs outside of Internet Explorer.

When a website attempts to open a program on your computer (such as a spreadsheet, presentation, or word-processing program), a dialog box appears that displays the name of the website and the name of the program that the website is attempting to open.

If you do not trust the website, or if you did not expect the website to open another program, or even if you do not recognize the listed program and do not want to open it, click Cancel in the dialog box that appears. And make sure that the Always ask check box is selected to ensure that you continue to be notified in the future whenever a website attempts to open a program other than Internet Explorer on your computer.


How does Internet Explorer help protect me from cross-site scripting attacks?

Internet Explorer's Cross-Site Scripting (XSS) Filter can help prevent one website from adding script code to another website. XSS Filter watches how websites interact, and when it recognizes a potential attack, it will automatically block script code from running. When this happens, you will see a message in the Information bar letting you know that the webpage was modified to help protect your privacy and security.

If the modified webpage does not work properly, try going to the home page of the website and navigating to the webpage directly. If the page still does not work correctly, contact the website's administrator.


Using secure Internet sites for transactions

Many Internet sites are set up to prevent unauthorized people from seeing the information that is sent to or from those sites. These are called secure sites. Internet Explorer supports the security protocols used by secure sites. When you visit a secure website, the site automatically sends you its certificate. A certificate is a unique document issued by a trusted source that identifies the website. Internet Explorer displays a lock icon in the Security Status bar to the right of the Address bar. You can click the lock to view a security report for the website that displays the information in the certificate.

If you are about to send information (such as your credit card number) to a site that is not secure, Internet Explorer will warn you. If the site claims to be secure but its security credentials are in question, Internet Explorer will warn you that the site might have been tampered with or might be misrepresenting itself.


Using certificates for privacy and security

A certificate is a digital document that helps verify the identity of a person or website. Certificates are issued by companies known as certification authorities. You can use certificates to help protect your personally identifiable information on the Internet and to help protect your computer from unsafe software.

Internet Explorer uses two different types of certificates:

  • A personal certificate helps verify that you are who you say you are. This information is used when you send personal information over the Internet to a website that requires a certificate verifying your identity. You can help control the use of your identity by having a private key on your computer. When used with e-mail programs, security certificates with private keys are also known as digital IDs.
  • A website certificate helps identify that a specific website is genuine. It helps to ensure that another website does not assume the identity of the original secure site. When you are sending personal information over the Internet, it is a good idea to check the certificate of the website to make sure that you are communicating with the site that you expect. When you are downloading software from a website, you can view certificates to help verify that the software is coming from a known, reliable source and that it has not been tampered with in transit.

How do security certificates work?

Security certificates work by electronically associating an identity (for example, a person sending an e-mail message) with a particular message, file, or website. This helps ensure, for example, that a message can only be opened by the person to whom it was sent. The certificate provides identity authentication that is verified by a certification authority, for the message, file, or website.

When you connect to a secure website, the site sends its certificate to Internet Explorer. Internet Explorer examines the certificate to help ensure that it was issued by a certification authority and has not expired.

Certificates can also be used to encrypt (scramble) a message or file. This helps to make sure that only the person to whom the message is sent can read it and to verify the identity of the person who sent the message to the person who receives it.

Where do you get your own security certificates?

Security certificates are issued by independent certification authorities. There are different classes of security certificates, each one providing a different level of credibility. You can obtain a security certificate from many different certification authorities.


Cookies: frequently asked questions

Cookies are small text files that some websites put on your computer to store a variety of information about you and your preferences. Here are answers to some common questions about cookies.

What are cookies used for?

Websites use cookies to offer a personalized experience to users and to gather information about website use. Many websites also use cookies to store information that provides a consistent experience between sections of the site, such as a shopping cart or customized pages. With a trusted website, cookies can enrich your experience by allowing the site to learn your preferences or allowing you to skip having to sign in every time you go to the website. However, some cookies, such as those saved by banner ads, might put your privacy at risk by tracking sites you visit.

Can I block cookies?

Yes, you can block or allow cookies on all websites or you can choose which websites' cookies are allowed. For more information, click Related Topics.

Should I block all cookies?

Not necessarily. Blocking all cookies can help protect your privacy, but it might limit your experience on some websites. Be selective about which websites you allow cookies for. You can start by blocking all cookies, then allow cookies as needed for websites that you trust.

How do I delete cookies?

To delete all cookies, follow these steps:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Delete.
  3. Select the Cookies check box, and then click Delete.

Notes

  • Deleting all cookies might cause some webpages to work incorrectly.
  • For more information about cookies, including information about how to delete an individual cookie, click Related Topics.

What are Temporary cookies?

Temporary cookies (or session cookies) are removed from your computer after you close Internet Explorer. Websites use them to store temporary information, such as items in your shopping cart.

What are Persistent cookies?

Persistent cookies (or saved cookies) remain on your computer after you close Internet Explorer. Websites use them to store information, such as your sign-in name and password, so that you don't have to sign in each time you go to a particular site. Persistent cookies can remain on your computer for days, months, or even years.

What are First-party cookies?

First-party cookies come from the website that you're viewing and can be either persistent or temporary. Websites might use these cookies to store information that they'll reuse the next time you go to that site.

What are Third-party cookies?

Third-party cookies come from other websites' advertisements (such as pop-up or banner ads) on the website that you're viewing. Websites might use these cookies to track your web use for marketing purposes.

Where are cookies stored?

Cookies are stored is in a folder named Cookies which is stored inside the Documents and Settings folder. By default, the path is C:\Documents and Settings\your user name\Cookies.


Content Advisor: frequently asked questions

Here are answers to some common questions about Internet Explorer Content Advisor.

What is Content Advisor?

Content Advisor is a tool for controlling the types of content that your computer can access on the Internet. After you turn on Content Advisor, only rated content that meets or exceeds your criteria can be viewed. You can adjust the settings to suit your preferences.

What settings can I control with Content Advisor?

You can do the following:

  • View and adjust the ratings settings to restrict or allow content in each of the following categories: language, nudity, sex, and violence.
  • Create a list of websites that should always be blocked, regardless of how their content is rated.
  • Create a list of websites that can always be viewed, regardless of how their content is rated.
  • View and change the ratings systems Content Advisor uses.

Is Content Advisor turned on by default?

No, you must turn on Content Advisor if you want to use it.

How do I turn on Content Advisor?

To turn on Content Advisor

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then, under Content Advisor, click Enable.

    If you've never turned on Content Advisor before, continue to the next step. If you've previously turned on Content Advisor, type your supervisor password and click OK until you return to Internet Explorer. Content Advisor is now turned on and you should not continue to the next step.

  3. Click a category in the list, and then move the slider to set the limits you want to use.
  4. Repeat this process for each category you want to limit, and then click OK.
  5. Type a supervisor password, confirm it, and type a hint that will remind you what the password is. Click OK.

Note

  • To prevent others from visiting objectionable websites that don't use ratings labels, click the Approved Sites tab, and change the settings as appropriate.

What happens if I lose my supervisor password?

If you forget or lose your supervisor password, go to the Microsoft Support website (http://support.microsoft.com/contactus/?ws=support) for assistance.

When Content Advisor is first turned on, what level of restriction does it have?

Content Advisor is set to the most conservative (least likely to offend) settings when you first turn it on. In addition to blocking objectionable content, it also blocks any unrated content. You can adjust these settings to match your preferences.

How do I allow people to view content that is restricted or unrated?

To allow others to view restricted or unrated content

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then, under Content Advisor, click Enable. If you've previously enabled Content Advisor, click Settings, and then type the supervisor password.
  3. To allow others to view restricted content, click the General tab, and then select the Supervisor can type a password to allow users to view restricted content check box.
  4. To allow others to view unrated content, select the Users can see sites that have no rating check box, and then click OK.
  5. If a supervisor password has not previously been set up for Content Advisor, you will be prompted to create one.

Note

  • Allowing unrated websites might allow users to browse to objectionable content.

How do I change what type of content is allowed?

To change the type (or level) of content that is allowed

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then do one of the following:
    • If you've never turned on Content Advisor before, under Content Advisor, click Enable.
    • If you've turned on Content Advisor before, click Settings, type the supervisor password, and then click OK.
  3. Click a category of content in the list, and then move the slider to set the limits you want. Repeat this for each category you want to change, and then click OK.
  4. If a supervisor password has not previously been set up for Content Advisor, you will be prompted to create one. Fill in the requested password and hint information, and then click OK.
  5. Click OK to close.


What is phishing?

Online phishing (pronounced like the word fishing) is a way to trick computer users into revealing personal or financial information through a fraudulent e-mail message or website. A common online phishing scam starts with an e-mail message that looks like an official notice from a trusted source, such as a bank, credit card company, or reputable online merchant. In the e-mail message, recipients are directed to a fraudulent website where they are asked to provide personal information, such as an account number or password. This information is then usually used for identity theft. For information about how to help protect yourself against these types of scams, click Related Topics.


SmartScreen Filter: frequently asked questions

Here are answers to some common questions about Internet Explorer SmartScreen Filter.

What is phishing?

Online phishing (pronounced like the word fishing) is a way to trick computer users into revealing personal or financial information through an e-mail message or website. A common online phishing scam starts with an e-mail message that looks like an official notice from a trusted source, such as a bank, credit card company, or reputable online merchant. In the e-mail message, recipients are directed to a fraudulent website where they are asked to provide personal information, such as an account number or password. This information is then typically used for identity theft.

What is malicious software?

The terms malicious software and malware refer to programs that pose a security or privacy risk by demonstrating illegal, viral, fraudulent, or malicious behavior. For example, viruses, worms, and Trojan horses are malicious software.

What is SmartScreen Filter and how can it help protect me?

SmartScreen Filter is a feature in Internet Explorer that helps detect phishing websites. SmartScreen Filter can also help protect you from installing malicious software or malware, which are programs that demonstrate illegal, viral, fraudulent, or malicious behavior.

SmartScreen Filter helps to protect you in three ways:

  • It operates in the background as you browse the web, analyzing webpages and determining if they have any characteristics that might be suspicious. If it finds suspicious webpages, SmartScreen will display a message giving you an opportunity to provide feedback and advising you to proceed with caution.
  • SmartScreen Filter checks the sites you visit against an up-to-the-hour, dynamic list of reported phishing sites and malicious software sites. If it finds a match, SmartScreen Filter will show you a red warning notifying you that the site has been blocked for your safety.
  • SmartScreen Filter also checks files downloaded from the web against the same dynamic list of reported malicious software sites. If it finds a match, SmartScreen Filter will show a red warning notifying you that the download has been blocked for your safety.

Use of SmartScreen Filter is governed by the Microsoft Service Agreement. For more information, read the Microsoft Service Agreement online.

What does it mean when I see a message that asks: "Are you trying to visit this site?"

Internet Explorer displays this message when a suspicious website has some of the typical characteristics of an unsafe website, but is not on the list of reported unsafe websites. The website might be legitimate, but you should be cautious about entering any personal or financial information unless you are certain that the site is trustworthy. You can help Microsoft evaluate this website by providing appropriate feedback using the links provided in the message.

What information does SmartScreen Filter send to Microsoft?

SmartScreen Filter uses an SSL (Secure Socket Layer) web connection to send website addresses to Microsoft. For more information about what data is sent and how it is used, go to the Internet Explorer Privacy Statement online.

How do I check a website manually?

You can check websites from Internet Explorer by going to a website that you want to check, clicking the Safety button, pointing to SmartScreen Filter, and then clicking Check This Website.

What does it mean when a website is blocked and flagged in red as a reported unsafe website?

A reported unsafe website has been confirmed by reputable sources as fraudulent or linking to malicious software and has been reported to Microsoft. Microsoft recommends you do not give any information to such websites.

One of the sites I visit is being flagged by SmartScreen Filter, but it's not an unsafe website. What can I do?

From the warning, you can choose to report this site as a safe site. Click the Report that this site does not contain threats link to go online to the Microsoft feedback website, and then follow the instructions.

How do I report a phishing website?

Follow these steps to report a phishing website:

  1. In Internet Explorer, go to the phishing website.
  2. Click the Safety button, click SmartScreen Filter, and then click Report This Website.
  3. Use the webpage that is displayed to report the website.

Should I believe a website that tells me to ignore the SmartScreen Filter warning?

No. SmartScreen Filter uses reputable information to alert you to phishing and fraudulent websites. In addition, website owners can contact Microsoft if their websites are mistakenly flagged as phishing sites. If a website tells you to ignore a SmartScreen Filter warning, do not ignore the warning and do not enter any personal or financial information.

How does SmartScreen Filter avoid falsely identifying websites as unsafe sites?

SmartScreen Filter only blocks sites that have been verified as unsafe sites by reviewers at Microsoft or by employees at third-party data providers. SmartScreen Filter also offers a web-based feedback system to help users and website owners report any errors as quickly as possible. These reports are verified and mistakes are corrected.

Can I create a customized list of trusted sites for SmartScreen Filter?

Yes, corporate computer administrators and individual users can add websites to their list of trusted sites, and then turn SmartScreen Filter off for all websites in the Trusted sites security zone.

To add a website to your list of trusted websites and turn SmartScreen Filter off for that site

  1. In Internet Explorer, navigate to the website that you want to add to the list of trusted sites.
  2. Click the Tools button, and then click Internet Options.
  3. Click the Security tab, and then click Trusted sites.
  4. Click the Sites button. The website address should appear in the Add this website to the zone box.
  5. If the site is not a secure site (HTTPS), clear the Require server verification (https:) for all sites in this zone check box.
  6. Click Add, and then click Close.
  7. On the Security tab, click Custom level.
  8. In the Security Settings dialog box, scroll to find Use SmartScreen Filter, and then click Disable.
  9. Click OK, and then click OK again.

Why is Internet Explorer telling me that the SmartScreen Filter service is unavailable?

When the SmartScreen Filter service is not available, websites you visit during that time cannot be checked against an online list of websites that have been reported to Microsoft. The service is unavailable if your computer loses its Internet connection. Make sure you are connected to the Internet and try again. If you are connected to the Internet but you haven't updated Internet Explorer recently, you might have an older version that is no longer supported by the SmartScreen Filter service. To check for updates, click the Safety button, and then click Windows Update or download the latest version from the Internet Explorer 8 webpage.

How do I turn SmartScreen Filter off?

To turn off SmartScreen Filter, follow these steps:

  1. In Internet Explorer, click the Safety button, point to SmartScreen Filter, and then click Turn Off SmartScreen Filter.
  2. In the Microsoft SmartScreen Filter dialog box, click OK.

How do I turn SmartScreen Filter back on?

Follow these steps to turn on SmartScreen Filter:

  1. In Internet Explorer, click the Safety button, point to SmartScreen Filter, and then click Turn On SmartScreen Filter.
  2. In the Microsoft SmartScreen Filter dialog box, click OK.

What can I do to help protect myself from online phishing?

Here are some quick tips that might help protect you from online phishing:

  • Be defensive about your personal information.
  • Navigate to trusted websites by typing the web address directly into the Address bar.
  • Never give out personal information in an e-mail, instant message, or pop-up window.
  • Do not click links in e-mail and instant messages from strangers or any link that looks suspicious. Because even messages from friends and family can be faked, check with the sender to be sure they actually sent the message.
  • Only use websites that provide privacy statements or information about how they use your personal information.
  • Routinely review your financial statements and credit history and report any suspicious activity.
  • Keep Windows and Internet Explorer updated. To do this, click the Tools button, and then click Windows Update.

What can I do to help protect myself from malicious software?

  • Turn on SmartScreen Filter.
  • Keep your computer's software updated and current. Both your operating system and your antivirus program should be updated on a regular basis.
  • Only download software updates from reputable sources. For Windows operating systems, use Windows Update. For other software, always use the legitimate websites of the company or person who produces it.
  • Always think before you install something, be sure to weigh the risks and benefits, and be aware of the fine print. Does the lengthy license agreement that you don't want to read conceal a warning that you are about to install malicious software?
  • Install and use a firewall. You can use Windows Firewall in Control Panel, or install an Internet security program that contains a firewall.

What should I do if I think I've entered my personal or financial information into a phishing website?

Immediately doing the following might help:

  • Change the passwords or PINs on all your online accounts.
  • Place a fraud alert on your credit reports. Check with your bank or financial advisor if you're not sure how to do this.
  • Contact the bank or the online merchant directly. Do not follow the link in the fraudulent e-mail.
  • If you know of any accounts that were accessed or opened fraudulently, close those accounts.
  • For more information on how to help protect yourself online, visit the Microsoft security at home website.

What do I do if I discover that I've been a victim of fraud?

Immediately doing the following might help:

  • File a report with the local police.
  • Place a fraud alert on your credit reports. Check with your bank or financial advisor if you're not sure how to do this.
  • Change the passwords or PINs on all your online accounts.
  • Contact the bank or the online merchant directly. Do not follow the link in the fraudulent e-mail.
  • If you know of any accounts that were accessed or opened fraudulently, close those accounts.
  • For more information on how to help protect yourself online, visit the Microsoft security at home website.

What can I do if I suspect my computer has unwanted malicious software installed?

You can download the Microsoft Windows Malicious Software Removal Tool from the Microsoft website, which checks computers running Windows Vista, Windows XP, Windows 2000, and Windows Server 2003 for malicious software infections and helps remove any infection found. Microsoft releases an updated version of this tool on the second Tuesday of each month, and as needed to respond to security incidents. The tool is available from Microsoft Update, Windows Update, and the Microsoft Download Center.


Spyware: frequently asked questions

Here are answers to some common questions about spyware.

What is spyware?

Spyware is software that can display advertisements (such as pop-up ads), collect information about you, or change settings on your computer, generally without obtaining your consent.

How can I tell if I have spyware on my computer?

You most likely have some form of spyware on your computer if:

  • You notice new toolbars, links, or favorites that you do not want and did not place in your web browser.
  • The default home page, mouse pointer, or search program changes.
  • You type the address for a specific website (for example, a search engine), but are taken to another website without notice.
  • You see lots of pop-up ads, even if you're not connected to the Internet.
  • The computer performs slowly or seems unstable.

Some spyware might not have any symptoms. Its purpose is to collect information from you and your computer. Installing an antispyware program, such as Microsoft Windows Defender, can help you scan your computer to find and remove spyware. To install Windows Defender, go to the Windows Defender (http://www.microsoft.com/athome/security/spyware/software) page on the Microsoft website.

Where does spyware come from?

Spyware can be installed by websites, downloaded programs, or a program you might install from a CD-ROM or floppy disk. Spyware is most commonly installed through free software, such as file sharing software, screen savers, or search toolbars.

Can spyware be installed without my knowledge?

Yes, some spyware can be installed from a website directly through an embedded script or program in a webpage. However, if you keep Windows updated and keep the security settings in Internet Explorer at recommended levels, that threat can be minimized.

What do I do when a pop-up won't go away until I agree to install a program or change my home page?

Some websites will repeatedly display pop-ups asking you to install a toolbar or change your home page. When this happens, try closing the browser window. If the pop-up reappears, right-click the Internet Explorer window button in the taskbar at the bottom of your screen, and then click Close Group. As a last resort, close any other programs you have open, and restart your computer.

How can I prevent spyware from infecting my computer?

Always run an antispyware and antivirus program, such as Microsoft Windows Defender. antispyware programs can prevent some spyware from being installed on your computer and they can also scan your system automatically to find and remove spyware that might already be installed. Antivirus programs often have spyware protection, so be sure to run an antivirus program and keep it updated.

Keeping Windows up to date is also important. Security updates are often issued to help prevent spyware from being installed.

When you visit websites, do not automatically agree to download anything the site offers. If you download free software, such as file sharing programs or screen savers, read the license agreement carefully. Look for clauses where you must accept advertising and pop-ups from the company, or that the software will send certain information back to the software publisher. For more information, go to the Windows Defender (http://www.microsoft.com/athome/security/spyware/software) page on the Microsoft website.

How do I remove spyware?

The best way to remove spyware is with an antispyware product, such as Microsoft Windows Defender, which scans and deletes spyware from your computer. To install Windows Defender, go to the Windows Defender (http://www.microsoft.com/athome/security/spyware/software) page on the Microsoft website. For more information about removing spyware, click Related Topics.


SmartScreen Filter: Information for administrators and website owners

Here are answers to some common questions about SmartScreen Filter.

How does SmartScreen Filter avoid giving false warnings or incorrectly blocking websites?

To minimize false warnings or incorrectly blocked sites, SmartScreen Filter only blocks sites that have been verified as phishing sites or sites containing malicious software. SmartScreen Filter also offers a web-based feedback system to help customers and website owners report potential errors. These reports are verified by reviewers and false warnings are corrected quickly.

As a website owner or representative, how do I correct a warning or a block on my site?

You can immediately submit a request for a correction. SmartScreen Filter provides a web-based feedback system for customers and website owners to report potential false warnings or blocks as quickly as possible. From a red warning, click Report that this site does not contain threats. This will take you to a feedback page where you can indicate you are a site owner or representative. Follow the instructions and provide the information to submit a website for review.

What can I do to help minimize the chance of my website being flagged by SmartScreen Filter?

There are several things you can do that can help minimize the chance of your website being flagged as suspicious. Here are some of the best practices to use when designing your website:

  • If you ask users for personal information, use Secure Sockets Layer (SSL) certification with a current server certificate issued by a trusted certification authority.
  • Make sure that your webpage doesn't expose any cross-site scripting (XSS) vulnerabilities. Protect your site by using anti-cross-site scripting functions such as those provided by the Microsoft Anti-Cross Site Scripting Library. To download or get more information, see Microsoft Anti-Cross Site Scripting Library online.
  • Use the fully qualified domain name. All domains should reverse to actual domain names, not numeric IP addresses. This means a URL should look like "microsoft.com" and not "207.46.19.30."
  • Avoid using the @ symbol before the fully qualified domain name in your URL. The @ symbol is commonly used to create deceptive URLs and is therefore suspicious to SmartScreen Filter.
  • Don't encode or tunnel your URLs unnecessarily. If you don't know what this means, you probably aren't doing it.
  • If you post external or third-party hosted content, make sure that the content is secure and from a known and trusted source.

Is SmartScreen Filter configurable with Group Policy?

Yes, the SmartScreen Filter feature is fully controllable as part of Group Policy. If you are not using Group Policy, you can control sites through Internet Explorer security zones.

SmartScreen Filter interrupts the ability to navigate to and download from sites known to host malicious content. Users can elect to ignore SmartScreen Filter warnings and continue navigation. You can use Group Policy to prevent users from overriding SmartScreen Filter warnings.

You can also configure SmartScreen Filter not to check sites in the Trusted sites zone. By default, SmartScreen Filter checks these sites, but you can turn checking off for this zone. You can then add your own custom list of sites to the Trusted sites zone for your enterprise, including sites a company has decided are "safe" or "trusted." These sites are trusted locally by SmartScreen Filter and are never checked automatically.

Can I customize a list of trusted sites for SmartScreen Filter in Internet Explorer 8?

You can configure SmartScreen Filter not to check websites listed in the Trusted sites zone. By default, SmartScreen Filter checks these sites, but you can turn checking off for this zone by following these steps:

  1. Open Internet Explorer
  2. Click the Tools button, and then click Internet Options.
  3. Click the Security tab.
  4. Click the Trusted sites icon, and then click Custom level.
  5. In the Security Settings dialog box, scroll to find Use SmartScreen Filter, and then click Disable.
  6. Click OK, and then click OK again.

When you add websites to the Trusted sites zone, SmartScreen Filter will not check them automatically. For more information about adding websites to the Trusted sites zone, see Security zones: adding or removing websites.


Viruses: frequently asked questions

Here are answers to some common questions about viruses, worms, and Trojan horses.

What is a virus?

A virus is a program that replicates itself. It spreads by making copies of itself on a computer or by inserting computer code into program or operating system files. Viruses don't always damage files or computers, but they usually affect a computer's performance and stability. For a virus to infect a computer or to spread, you usually have to do something, such as open an infected e-mail attachment.

Are all viruses harmful?

Yes, to varying degrees. Virus damage can range from slowing computer performance to a loss of information and programs. In the worst case, viruses delete or modify information and programs on your computer. Some e-mail viruses send confidential information in messages when spreading. Even when a virus is not directly damaging information, the process of replication can slow your computer and Internet connection.

What is a worm?

A worm is computer code that spreads without user interaction. Most worms begin as e-mail attachments that infect a computer when they're opened. The worm scans the infected computer for files, such as address books, or temporary webpages, that contain e-mail addresses. The worm uses the addresses to send infected e-mail, and often mimics (or spoofs) the address line in subsequent e-mail messages so that those infected messages appear to be from someone you know. Worms then spread automatically through e-mail and networks, often overwhelming those systems before the cause is known. Worms aren't always destructive to computers, but they usually cause computer and network performance and stability problems.

What is a Trojan horse?

A Trojan horse is a malicious software program that hides inside other program. It enters a computer hidden inside a legitimate program, such as a screen saver. It then puts code into the operating system, which enables a hacker to access the infected computer. Trojan horses do not usually spread by themselves; they are spread by viruses, worms, or downloaded software.

What is a blended threat?

A blended threat is a combination of some or all of the malicious programs discussed in the sections above. Blended threats often begin when someone interacts with a virus (such as opening an unsafe e-mail attachment). The virus automatically propagates using worm behavior, and then installs a Trojan horse on the infected computer.

How do I prevent viruses?

Install an antivirus program. To be most effective, an antivirus program should always be turned on, should scan incoming e-mail, and should scan file access. To find more information, click Related Topics.

How do I know if my computer has a virus?

There is no single indicator of a virus infection, but some of the more common effects include poor computer performance, pop-up ads displaying (even when you have turned on a pop-up blocker or disconnected from the Internet). To find more information, click Related Topics.

How do I check for and remove viruses?

To check for viruses and remove them from your computer, you need to run antivirus software. To find more information, click Related Topics.


How can I tell if my computer has a virus?

If you can answer "yes" to any of the following questions, your computer might have a virus.

  • Is your computer running very slowly?

    A common symptom of a virus is much slower than normal computer performance. However, there can be other reasons for slow performance, including a hard disk that needs defragmenting, a computer that needs more memory (RAM), or the existence of spyware or adware. For more information about spyware, or to install antispyware software, go to the Windows Defender (http://www.microsoft.com/athome/security/spyware/software/default.mspx) page on the Microsoft website.

  • Are you getting unexpected messages or are programs starting automatically?

    Some viruses can cause damage to Windows or to some of your programs. The results of this damage might include messages appearing unexpectedly, programs starting or closing automatically, or Windows shutting down suddenly.

  • Is your modem or hard disk working overtime?

    An e-mail virus works by sending many copies of itself by e-mail. One indicator of this is that the activity light on your broadband or external modem is constantly lit; another is the sound of your computer's hard disk continually working. These are not always symptoms of a computer virus, but when combined with other problems, can indicate a virus infection.

To check for viruses, scan your computer with an antivirus program. New viruses appear every day, so keeping your antivirus program updated is important. For more information about computer security, go to the Security at Home (http://www.microsoft.com/athome/security/default.mspx) page on the Microsoft website.


How do I remove a computer virus?

If you think that your computer might have a virus, there are a couple of things you can do to try to remove it.

Install and use antivirus software. The most effective way to remove viruses (and to prevent viruses from being installed on your computer) is to install and use antivirus software. Antivirus software scans your computer for viruses and deletes them if possible. Antivirus software is available from many software companies and sources online. Visit the Security at Home (http://www.microsoft.com/athome/security/default.mspx) website for more information about security and virus prevention.

Use the Malicious Software Removal Tool. Microsoft offers the Malicious Software Removal Tool, which is updated once a month. Visit the Malicious Software Removal Tool (http://www.microsoft.com/security/malwareremove) website to install the tool and learn more about it. The tool scans your computer for most new viruses and malicious software. After you run the tool, you will get a report that describes any malicious software found on your computer and lists all the viruses it scanned for. You can click a virus name to view a description of it and to see other related information.


How can I help protect my computer from viruses?

Protecting your computer from viruses and other threats isn't difficult, but you have to be diligent.

Install an antivirus program

Installing an antivirus program and keeping it up to date can help defend your computer against viruses. Antivirus programs scan for viruses trying to get into your e-mail, operating system, or files. New viruses appear daily, so check the antivirus manufacturer's website frequently for updates. Most antivirus programs are sold with annual subscriptions, which can be renewed as needed. For a list of popular antivirus programs, go to the Microsoft website (http://update.microsoft.com) and search for "antivirus partners."

Do not open e-mail attachments

Many viruses are attached to e-mail messages and will spread as soon as you open the e-mail attachment. It's best not to open any attachment unless it is something you are expecting. >Microsoft Outlook and Outlook Express help block potentially dangerous attachments.

Keep Windows updated

Periodically, Microsoft releases special security updates that can help protect your computer. These updates can help prevent viruses and attacks from hackers by closing possible security holes. The best way to make sure that Windows stays updated is to turn on Automatic Updates. To do this, go to the Microsoft Update (http://update.microsoft.com) website.

Use a firewall

Windows Firewall or any other firewall can help alert you to suspicious activity if a virus or worm attempts to connect to your computer. It can also help block viruses, worms, and hackers from attempting to copy potentially harmful programs to your computer.


What you should know about opening files from the Internet or e-mail

The most common way for computer viruses to spread is through files that you get from the Internet or e-mail. So before you download a file or click an e-mail attachment, consider:

Does that file have a virus?

You won't know unless you check. Make sure you have an up-to-date antivirus program installed and set to scan all incoming e-mail attachments and downloaded files. If your antivirus program does not scan incoming attachments and downloaded files, then download any files and manually scan them before opening them. Keeping your antivirus program up to date improves its chances of catching the latest known virus.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, go to www.microsoft.com and search for "antivirus partners." (http://www.microsoft.com/security/partners/antivirus.asp) website.

What do you know about that e-mail attachment?

Before you open an e-mail message or attachment, consider:

  • Do you know and trust the person who sent the e-mail message? If you get e-mail from a person or business you've never heard of before, you should be cautious.
  • Have you exchanged e-mail with this person before? If you get e-mail from someone you know but have never corresponded with, ask yourself if there is any reason you're getting this message now—especially if the message has a file attachment or contains a link to a website.
  • Does the message on the subject line make sense coming from the sender? If the subject line does not make sense, it might indicate that the subject line was generated by a virus.

If the answer to all of the questions above is no, it's probably best to delete the message.

If you know the sender of the message but the message looks suspicious, don't hesitate to send a different message to the sender asking if they really sent the e-mail to you. It's much easier to check before you open the message than it is to clean viruses off of your computer.

Can I trust every website?

No. Not every Internet website is safe. Be cautious of a website if:

  • You were referred to the site by e-mail from someone you don't know.
  • The site contains objectionable material, such as pornography.
  • The site makes offers that seem too good to be true.
  • You are asked to provide a credit card number but there is no indication that the website has secure transactions.
  • The site offers free membership but asks you to provide extensive personal information that does not seem necessary or that you do not want to provide.

More trustworthy sites tend to:

  • Be certified by an Internet trust organization such as BBBonline, TRUSTe, or WebTrust. Look for their logo on the site and click the logo to make sure it is authentic.
  • Provide a privacy statement that you can understand and that you are comfortable with.
  • Provide a way to contact the creator or organization—a physical location, phone number, e-mail address, or mailing address.
  • Have a clearly posted return policy (when applicable) that allows you to return the merchandise if you are not satisfied.
  • Offer proof of secure transactions, such as a statement that your credit card information will be encrypted, or a symbol in the browser status area that indicates the transaction is secure.

Is it safe to download that file?

You can help protect your computer by thinking carefully before you download a file.

  • Heed any warnings. When a website attempts to download a file to your computer, Internet Explorer will display a message about saving, running, or installing the file. If the message contains a yellow caution icon, then the file has been identified as a type that might pose a risk.
    • Make sure the message shows the file source (publisher name). If the publisher can't be identified, it is safer to delete the file unless you know for certain who created it.
    • Make sure you completely trust the website providing the file.
    • Make sure the file is something you requested or are expecting.
  • Consider the content. Picture, music, and plain-text files are sometimes less likely to be harmful. These file types have names that end with a three-letter extension such as .jpg, .gif, .mp3, or .txt.


Recognizing dangerous file types

Dangerous file types are those that have the potential to contain viruses or spyware that might damage your information or the programs on your computer. The types of files that are considered dangerous are usually program files (.exe), macros, or .com files. The vast majority of files with these extensions do not contain viruses. However, when you download or receive these types of files in e-mail, you should not open them unless you trust the source or you were expecting the file.

The following are the most common file name extensions used by e-mail viruses and other malicious software. When you receive files with these extensions, save them to a folder on your computer and scan them immediately with up-to-date antivirus software before opening them.

Extension | File type
.exe | Program
.com | MS-DOS program
.pif | Shortcut to MS-DOS program
.bat | Batch file
.scr | Screen saver file

Notes

  • Some viruses use files with two extensions to make dangerous files look like safe files. For example, Document.txt.exe or Photos.jpg.exe. The extension farthest to the right is the one that Windows will try to open. It is extremely rare that a legitimate file would have two extensions, so avoid downloading or opening this type of file.
  • There are files that are safer to download than program or macro files, such as text (.txt) or image (.jpg, .gif, .png) files. However, you should still be wary of unknown sources, as some of these files have been known to have specially crafted formats that can exploit weaknesses in computer systems.


Delete webpage history

As you browse the web, Internet Explorer stores information about the websites you visit, as well as information that websites frequently ask you to provide (such as your name and address). Internet Explorer stores the following types of information:

  • Temporary Internet files
  • Cookies
  • A history of the websites you've visited
  • Information that you've entered into websites or the Address bar
  • Passwords

Usually, it's helpful to have this information stored on your computer—it can improve your web browsing speed and also save you from having to type the same information over and over. But you might want to delete that information if, for example, you're using a public computer and don't want any of your personal information to be left behind.

To delete all browsing history

  1. In Internet Explorer, click the Safety button, and then click Delete Browsing History.
  2. Select the check box next to each category of information you want to delete.
  3. Select the Preserve Favorites website data check box if you do not want to delete the cookies and files associated with websites in your Favorites list.
  4. Click Delete. This could take awhile if you have a lot of files and history.

Notes

  • You should close Internet Explorer when you're done to clear cookies that are still in memory from your current browsing session. This is especially important when using a public computer.
  • Deleting your browsing history does not delete your list of favorites or subscribed feeds.
  • You can use Internet Explorer's InPrivate Browsing feature to avoid leaving a history as you browse the web. For more information, see What is InPrivate Browsing?
  • You can delete all settings that have changed since Internet Explorer was first installed, including browsing history. For more information, see Reset Internet Explorer to the default settings.


Internet Explorer Information bar: frequently asked questions

Here are answers to some common questions about the Information bar

Which messages are displayed in the Information bar?

The following table lists the messages that might appear in the Information bar along with a description of what each message means.

Message | What it means
Internet Explorer stopped the previous page from installing an ActiveX control on your computer. Click here to go back and install this software. | A webpage tried to install an ActiveX control and Internet Explorer blocked it. If you want to install the ActiveX control, click the Information bar, and then click Install Software. Because ActiveX controls are potentially hazardous to your computer, you should be certain that you trust the publisher of the ActiveX control before you decide to install it.
Pop-up blocked. To see this pop-up or additional options, click here. | Pop-up Blocker has blocked a pop-up window. You can turn Pop-up Blocker off or allow pop-ups temporarily by clicking the Information bar.
This website is using a scripted window to ask you for information. If you trust this website, click here to allow scripted windows. | Internet Explorer has blocked a website from using a small program (called a script) to display a separate window. Hackers sometimes use scripted windows to mimic legitimate windows, such as login screens, that appear on websites. If you trust the website and want to allow the scripted window, click the Information bar, and then click Temporarily Allow Scripted Windows. To always allow scripted windows, select the Allow websites to prompt for information using scripted windows check box.
To help protect your security, Internet Explorer blocked this site from downloading files to your computer. Click here for options. | A webpage tried to download a file that you might not have requested. If you want to download the file, click the Information bar, and then click Download File. Because files can contain software that can affect the performance of your computer or access your information, you should be certain that you know what the file contains and that you trust its publisher before you download it.
An add-on for this website failed to run. Check the security settings in Internet options for potential conflicts. | A webpage tried to use an ActiveX control or script but your security settings did not allow it. If you trust the publisher of the ActiveX control or script, you can allow it to run by removing the website address from the Restricted sites list. If the website is not on the Restricted sites list, you can add it to the Trusted sites list. For more information, see Understanding security zones. If that doesn't work, try deleting the temporary Internet files. If you are unable to change these settings, your computer administrator might not allow you to make the change.
Internet Explorer has blocked this site from using an ActiveX control in an unsafe manner. As a result, this page may not display correctly. | A website tried to access an ActiveX control on your computer without your permission.
To help protect your security, Internet Explorer has restricted this webpage from running scripts or ActiveX controls that could access your computer. Click here for options. | A webpage being displayed on your computer tried to run a script or ActiveX control. If you want to allow the control to run, click the Information bar, and then click Allow Blocked Content.
This content might not be displayed properly. The file was restricted because the content doesn't match its security information. Click here for options. | Internet Explorer blocked a file from displaying because its actual contents did not match the expected contents. If you want to display this content, click the Information bar, and then click Show Restricted Content. Because showing this content might pose a security risk to your computer, you should be certain that you know what the file will do before you show it.
The previous site might require the following add-on: Name from Publisher. If you trust the website and the add-on and want to install it, click here. | A webpage tried to install an add-on that has a digital signature. This signature lets you identify the publisher of the add-on to decide if you want to install it. If you want to install the add-on, click the Information bar.
Internet Explorer is currently running with add-ons disabled. Click here to manage, disable, or remove your add-ons. | Internet Explorer is running with add-ons turned off. While add-ons are disabled, you can click the Information bar to open Manage Add-ons, where you can choose which add-ons are enabled when Internet Explorer is restarted normally. To restart Internet Explorer with add-ons enabled, click the Start button, and then click Internet Explorer.
Intranet settings are now disabled in Internet Explorer by default. Click for more options. | Internet Explorer detected an intranet webpage address, but intranet security permissions are not enabled. Click the Information bar for more information or see What do I need to know about intranet security settings?
Your security setting level puts your computer at risk. Click for more options. | Your security settings are below the levels recommended by Microsoft. To reset the security settings to the recommended levels, click the Information bar, and then select Fix Settings for Me.
This site requires the following updated add-on: Name from: Publisher. Click here to install it from their website. | An installed add-on needs to be updated. This happens when you upgrade to a different version of Internet Explorer. To update the add-on, click the Information bar.
This web address contains letters or symbols that cannot be displayed with the current language settings. Click here for options. | The web address (or URL) contains characters that cannot be displayed in your current language. To enable another language, click the Information bar and then click Change language settings. Be cautious when enabling additional languages. Some letters and symbols can be used to mimic characters in other languages, though the website address is different. This ability can be used to impersonate another website for the purpose of identity theft or fraud. Because of this, you should only add a language you are familiar with. For more information, see What are International Domain Names?
This webpage is trying to communicate with your computer using a protocol that your security settings won't allow. Click here for options. | Web browsers and other Internet programs primarily use protocols like HTTP, HTTPS, and FTP to communicate. Other protocols exist for special tasks, such as streaming video or sending e-mail. For security reasons, Internet Explorer restricts some protocols to certain security zones. If you trust a website that is using a restricted protocol, you can add it to your Trusted Sites zone. For information about how to do this, see Understanding security zones.
Your web browser has modified this page to help prevent cross-site scripting. Click here for more information. | Often used for phishing scams, cross-site scripting (XSS) occurs when a website injects malicious code into another trusted webpage. The purpose is usually to record data you type into a webpage, such as passwords and sensitive financial information, which it sends back to the malicious website. When you view the infected page, you might not see any difference from the trusted webpage, increasing the potential that your personal information could become compromised. Internet Explorer blocks this malicious code automatically.
To help protect your security, Internet Explorer has blocked this website from displaying content with security certificate errors. Click here for options. | Some content on the webpage was being delivered using a faulty certificate. Security certificate problems might indicate an attempt to fool you or intercept any information you send to the website or server. You can click the Information bar to display the content (not recommended). For more information on certificate errors, click the Information bar, then click What's the risk.

What is the Internet Explorer Information bar?

The Information bar is the place where Internet Explorer displays information about security, downloads, blocked pop-up windows, and other activities. It is located at the top of the webpage.

When will I see the Information bar?

If Internet Explorer is still using its original settings, you'll see the Information bar in the following circumstances:

  • If a website tries to install an ActiveX control on your computer or run an ActiveX control in an unsafe manner.
  • If a website tries to open a pop-up window.
  • If a website tries to download a file to your computer.
  • If a website tries to run active content on your computer.
  • If your security settings are below recommended levels.
  • If you access an intranet webpage, but have not turned on intranet address checking (for more information, see Changing intranet security settings).
  • If you started Internet Explorer with add-ons disabled.
  • If you need to install an updated ActiveX or add-on program.
  • If the webpage address can be displayed with native language letters or symbols but you don't have the language installed.
  • If your security settings won't allow a specific protocol.
  • If Internet Explorer has prevented a cross-scripting attack.

How do I use the Information bar?

When you see a message in the Information bar, click the message to see more information or to take action.

Can I turn off the Information bar?

Yes, you can, but we don't recommend it. If you do want to turn it off, you have to turn it off for each type of message.

To turn off Information bar messages about blocked pop-up windows

  1. Open Internet Explorer.
  2. Click the Tools button, point to Pop-up Blocker, and then click Pop-up Blocker Settings.
  3. Clear the Show Information Bar when a pop-up is blocked check box, and then click Close.

To stop the Information bar from blocking file and software downloads

  1. Open Internet Explorer.
  2. Click the Tools button, and then click Internet Options.
  3. Click the Security tab, and then click Custom level.
  4. Do one or both of the following:
    • To turn off the Information bar for file downloads, scroll to the Downloads section of the list, and then, under Automatic prompting for file downloads, click Enable.
    • To turn off the Information bar for ActiveX controls, scroll to the ActiveX controls and plug-ins section of the list, and then, under Automatic prompting for ActiveX controls, click Enable.
  5. Click OK, click Yes to confirm that you want to make the change, and then click OK again.


Web browser add-ons: what you need to know

Web browser add-ons add features (for example, extra toolbars, animated mouse pointers, stock tickers, and pop-up ad blockers) to your web browser.

Where do add-ons come from?

Many add-ons come from the Internet, and they usually require that you give your permission before they are installed on your computer. Some, however, might be installed without your knowledge. This can happen if the add-on was part of another program that you installed. Some add-ons are installed with Microsoft Windows.

How can I see which add-ons are installed?

To see all installed add-ons

  1. In Internet Explorer, click the Tools button, and then click Manage Add-ons.
  2. Under Add-on Types, click Toolbars and Extensions.
  3. Under Show, select one of the following options:
    • To display a complete list of the add-ons that reside on your computer, click All add-ons.
    • To display only those add-ons that were needed for the current webpage or a recently viewed webpage, click Currently loaded add-ons.
    • To display add-ons that were pre-approved by Microsoft, your computer manufacturer, or a service provider, click Run without permission.
    • To display only 32-bit ActiveX controls, click Downloaded Controls (32-bit).
  4. When you are finished, click Close.

There are several add-ons listed in the Add-on Manager that I did not install. How did they get on my computer?

Some add-ons are pre-approved and can be installed on your computer originally. Pre-approved add-ons can come from Microsoft, your computer manufacturer, your Internet Service provider, or are previously installed by you or your network administrator. To see the pre-approved add-ons that are installed on your computer, do this:

To view pre-approved add-ons

  1. In Internet Explorer, click the Tools button, and then click Manage Add-ons.
  2. Under Show, click Run without permission.
  3. You will now see a list of all pre-approved add-ons. When you are finished looking at the list, click Close.

What can I do if I think an add-on is causing trouble?

Add-ons are typically fine to use, but sometimes they force Internet Explorer to shut down unexpectedly. This can happen if the add-on was created for an earlier version of Internet Explorer or has a programming error.

Here's what you can do:

  • Disable it. If an add-on causes repeated problems, you can disable it through Manage Add-ons.
  • Report it. When prompted, you might want to report the problem to Microsoft. The report is anonymous and requires nothing from you except your permission. These reports are used to improve our products and to encourage other companies to update and improve theirs.

Can I remove Add-ons or ActiveX controls?

You can only remove ActiveX controls that you have downloaded and installed. You cannot remove ActiveX controls that were pre-installed or add-ons of any kind, but you can disable them. To remove an ActiveX control that you have installed, use Manage Add-ons. If the add-on cannot be removed in Manage Add-ons, you might be able to uninstall it through Control Panel.

To remove ActiveX controls you have installed

  1. In Internet Explorer, click the Tools button, and then click Manage Add-ons.
  2. Under Add-on Types, click Toolbars and Extensions.
  3. Under Show, click Downloaded controls to display all ActiveX controls.
  4. Click the ActiveX control you want to remove, and then click More information.
  5. In the More information dialog box, click Remove.
  6. Repeat steps 4 and 5 for every control you want to delete. When you are finished, click Close.

How can I disable a browser add-on?

Before you disable a browser add-on, keep in mind that some webpages, or Internet Explorer itself, might not display properly if an add-on is disabled. We recommend that you only disable an add-on if it repeatedly causes Internet Explorer to close.

To permanently disable add-ons

  1. In Internet Explorer, click the Tools button, and then click Manage Add-ons.
  2. Under Show, click All add-ons.
  3. Click the add-on you want to disable, and then click Disable.
  4. Repeat step 3 for every add-on you want to disable. When you are finished, click Close.

Follow the steps below to run Internet Explorer with all add-ons temporarily disabled. Add-ons will be disabled only until you restart Internet Explorer normally.

To temporarily disable all add-ons

  • In Windows, click the Start button, click All Programs, point to Accessories, point to System Tools, and then click Internet Explorer (No Add-ons).

Notes

  • You can also start Internet Explorer without add-ons by right-clicking the Internet Explorer icon on the desktop and then clicking Start Without Add-ons.

  • If you find that disabling all add-ons solves the problem you were having, you might want to disable the add-ons permanently by disabling each one individually in Manage Add-ons.

How do I re-enable an add-on?

You might want to re-enable a browser add-on if you disabled an add-on but want to go to a site that requires it, or if disabling the add-on caused general display problems with webpages or Internet Explorer.

To re-enable a browser add-on

  1. In Internet Explorer, click the Tools button, and then click Manage Add-ons.
  2. Under Show, click All add-ons.
  3. Click the add-on you want to enable, and then click Enable.
  4. Repeat step 3 for every add-on you want to enable. When you are finished, click Close.


How do browser add-ons affect my computer?

Add-ons, also known as ActiveX controls, browser extensions, browser helper objects, or toolbars, can improve your experience on a website by providing multimedia or interactive content, such as high-quality animations. However, some add-ons can cause your computer to stop responding or display content that you don't want, such as pop-up ads.

If you suspect that browser add-ons are affecting your computer, you might want to disable all add-ons to see if that solves the problem. To disable all add-ons, right-click the Internet Explorer icon on the desktop, and then click Start Without Add-ons. If you don't have an Internet Explorer icon on the desktop, follow these steps:

To disable all add-ons temporarily

  1. In Windows, click Start, click All Programs, point to Accessories, point to System Tools, and then click Internet Explorer (No Add-ons).

To disable add-ons in Add-on Manager

  1. In Internet Explorer, click the Tools button, and then click Manage Add-ons.
  2. Under Show, click All Add-ons.
  3. Click the add-on you want to disable, and then click Disable.
  4. Repeat step 3 for every add-on you want to disable. When you are finished, click Close.


Using the Internet Explorer 8 Add-on Manager

You can view and manage your toolbars and extensions, search providers, Accelerator providers, and InPrivate Filtering lists by using Manage Add-ons.

To open Manage Add-ons

  1. In Internet Explorer, click the Tools button, and then click Manage Add-ons.
  2. From here, you can view or manage any of the following add-on types:
    • Toolbars and Extensions. View, enable, or disable toolbars, ActiveX controls, browser helper objects (BHOs), and browser extensions.
    • Search Providers. View, change defaults, and add or remove search providers. You can also prevent programs from changing your default search provider.
    • Accelerators. View, change defaults, and add or remove Accelerator providers.
    • InPrivate Filtering List. View status and manage your list of blocked websites.

Manage Add-ons displays add-on information in columns that you can choose to show or hide. Some add-on types have more columns than are displayed by default.

To add or remove columns in Manage Add-ons

  1. In Internet Explorer, click the Tools button, and then click Manage Add-ons.
  2. Under Add-on Types, click a category.
  3. Right-click any of the column headings, and then point to Columns to see the list of available columns.
  4. Click the column you want to add.
  5. Repeat steps 3 and 4 for each additional column you want to add.

The following tables explain the columns that are available for each of the add-on types listed in Manage Add-ons:

Toolbars and Extensions

This column | Displays this information
Name | The friendly name of the add-on.
Application | The name of the program that the add-on is working with. This will always be Internet Explorer.
Publisher | The name of the company or website (if known) that published or created the add-on.
Status | Indicates whether the add-on is enabled or disabled. Note that enabled add-ons are not always running or in memory, such as when an add-on has not been used during your browsing session.
Type | Identifies the kind of add-on, such as a browser helper object (BHO) or ActiveX control.
Last Accessed | The date and time the add-on was last used. For add-ons such as ActiveX controls, this often is the date and time you opened your current browsing session.
File Date | The date and time the file containing the add-on was created.
Used | The number of times that the add-on has been accessed by Internet Explorer or a website.
Blocked | The number of times that the add-on was prevented from running.
Class ID | A unique identifier for each add-on that is used by Internet Explorer and Windows.
File | The file name of the add-on, which typically has a .DLL extension.
In Folder | The folder where the add-on file is stored on your computer.
Version | The publisher's version number. If you are having problems with an add-on or control that might be out of date, it can be helpful to compare this number with the latest version number on the publisher's website.
Load time | The average amount of time in seconds that an add-on took to load and finish initializing, based on the last 10 load times. Add-ons load when a new window or tab is opened.

Search Providers

This column | Displays this information
Name | The name of the search provider that appears in the Internet Explorer search box.
Status | The default search provider.
Listing order | The order in which search providers appear when you click the search box or the arrow next to the search box.
Search suggestions | Indicates whether the search provider offers search suggestions. These are related search terms that the provider is offering.
Search address | The web address where your search terms will be sent.
Suggestions address | The web address where a given search provider will send what you're typing to retrieve search suggestions.

Accelerators

This column | Displays this information
Name | The name that is displayed on the Accelerator menu and New Tab page.
Address | The address the Accelerator will go to when you select it.
Category | The type of service that the Accelerator provides to your copied text, such as Blog, Define, Map, or Translate.
Status | Indicates whether an Accelerator provider is the default for the category, and whether it's enabled or disabled.

InPrivate Filtering List

This column | Displays this information
Status | Indicates whether a web address is blocked or allowed.
Address | The address of content that is being shared across multiple websites.
File | The file name of the content being shared.


Disable a browser add-on

If you choose to disable an add-on, keep in mind that some webpages, or Internet Explorer, might not display properly if an add-on is disabled. We recommended that you only disable an add-on if it repeatedly causes Internet Explorer to close.

To disable an add-on

  1. Open Internet Explorer.
  2. Click the Tools button, and then click Manage Add-ons.
  3. Click Toolbars and Extensions
  4. Click the add-on you want to disable, click Disable, and then click Close.

You can start Internet Explorer with all add-ons disabled. This is useful if you are having a problem with Internet Explorer and want to temporarily disable all add-ons so you can see if they're causing the problem.

To temporarily disable all add-ons

  • In Windows, click Start, click All Programs, click Accessories, click System Tools, and then click Internet Explorer (No Add-ons).

Note

  • You can also start Internet Explorer without add-ons by right-clicking the Internet Explorer icon on the desktop and then clicking Start Without Add-ons.


Re-enable a browser add-on

  1. Open Internet Explorer.
  2. Click the Tools button, and then click Manage Add-ons.
  3. Under Add-on Types, click the type of add-on you want to enable.
  4. Click the add-on you want to enable, click Enable, and then click Close.


Starting Internet Explorer with all add-ons disabled

If you're having problems with Internet Explorer and you think that they might be caused by add-ons, you can start Internet Explorer with all add-ons temporarily disabled. The next time you start Internet Explorer, the add-ons will be turned on again. If you find that disabling all add-ons solves the problem you were having, you might want to disable the add-ons permanently. To learn how to do this, click Related Topics.

To start Internet Explorer without add-ons

  1. In Windows, click Start, click All Programs, and then click Accessories.
  2. Click System Tools, and then click Internet Explorer (No Add-ons).

Notes

  • To allow add-ons to run again, close Internet Explorer and restart it normally.
  • You can also start Internet Explorer without add-ons by right-clicking the Internet Explorer icon on the desktop, and then clicking No Add-ons.


See all Internet Explorer add-ons

  1. In Internet Explorer, click the Tools button, and then click Manage Add-ons.
  2. Click the list under Show, and then do one of the following:
    • To display all add-ons that are currently loaded into memory, click Currently loaded add-ons.
    • To display all add-ons that have been used since Internet Explorer was installed or reset, click All add-ons.
    • To display all add-ons that have been pre-approved by Microsoft, your computer manufacturer, or your Internet service provider (if you are using a private branded version of Internet Explorer), click Run without permission.
    • To display a list of ActiveX controls only, click Downloaded controls.

Notes

  • To sort the list of add-ons, click the heading label. For example, click Name if you want to sort the list of add-ons alphabetically by name.
  • If you want to turn off an add-on, click it in the list, and then click Disable. It might be helpful to disable an add-on if you suspect that it is not working correctly.


Customize the Internet Explorer toolbars

Internet Explorer has several toolbars, including the Menu bar, the Favorites bar, and the Command bar. There is also the Address bar, where you can type a web address, and the status bar, which displays messages such as a webpage's download progress. All of these toolbars can be customized in one way or another.

To show or hide toolbars

You can show or hide the Menu bar, Favorites bar, Command bar, and status bar. Here's how:

  • In Internet Explorer, click the Tools button, point to Toolbars, and then click the toolbar you want to show or hide.

To change buttons on the Command bar

  1. In Internet Explorer, right-click the Command bar, point to Customize, and then click Add or Remove Commands.
  2. Make one or more of the following changes:
    • To add a button, click the button you want to add in the Available toolbar buttons list, and then click Add.
    • To remove a button, click the button you want to remove in the Current toolbar buttons list, then click Remove.
    • To change the order in which buttons are displayed, click a button in the Current toolbar buttons list, and then click either Move Up or Move Down.
    • To restore the Command bar buttons to their default settings, click Reset.
  3. When you're done, click Close.

    You should see your changes immediately. If you've added a lot of buttons, you might need to resize the Command bar to see them all.

To show or hide text on Command bar buttons

  • In Internet Explorer, right-click the Command bar, point to Customize, and then do one of the following:
    • To display a label on every button, click Show All Text Labels.
    • To display a label on some of the buttons, click Show Selective Text.
    • To turn off all text, click Show Only Icons.

To make Command bar icons larger

  • In Internet Explorer, right-click the Command bar, point to Customize, and then click Use Large Icons.

    To make the icons small, follow this procedure and click Use Large Icons again.

To resize the Command bar

  1. In Internet Explorer, right-click the Command bar, and then click Lock the Toolbars to clear the check mark (if the check mark is already gone, skip this step).
  2. Drag the Command bar separator Picture of the separator left or right.
  3. When you're done, right-click the Command bar, and then click Lock the Toolbars.

To add a link to the Favorites bar

  • Navigate to the webpage that you want to add to the Favorites bar, and then do one of the following:
    • Click the Add to Favorites Bar button Picture of the Add to Favorites Bar button.
    • Drag the icon for the page from the Address bar to the Favorites bar.
    • Drag a link from a webpage to the Favorites bar.

To arrange links on the Favorites bar

  • To arrange links on the Favorites bar, drag them to a new location.

To remove a link from the Favorites bar

  • To remove a link from the Favorites bar, right-click the link, and then click Delete.


Why do fonts look blurry in Internet Explorer?

If screen fonts look different in Internet Explorer than they do in other parts of Windows (for example, if they're blurry or bolded), it might be because because of ClearType. ClearType is a software technology developed by Microsoft that improves the readability of text on Liquid Crystal Display (LCD) monitors, such as those used on laptops and flat panel screens. ClearType can sometimes appear blurry on Cathode Ray Tube (CRT) monitors or un-tuned LCD displays. By default, ClearType is always turned on in Internet Explorer, regardless of how Windows is configured, though you can change it.

If your fonts are not displaying as clear as you'd like, you can try optimizing ClearType for your monitor. Go to the Microsoft Typography ClearType (http://www.microsoft.com/typography/cleartype/tuner/Step1.aspx) website, and then follow the instructions for tuning ClearType. The website installs an ActiveX control to help you tune ClearType to your monitor, or you can download a tool that can be used offline instead.

If you still do not like the how ClearType looks in Internet Explorer and you want to turn it off, follow these steps to have Internet Explorer use the same settings as Windows. Once you do this, you can turn ClearType off (or back on) by using the Windows Control Panel.

To have Internet Explorer use the same ClearType settings as Windows

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab, scroll to the Multimedia section, clear the Always use Clear Type for HTML check box, and then click OK.

    The changes will take effect the next time you start Internet Explorer.


Change Internet Explorer language settings

You can add multiple languages to Internet Explorer to display webpage and Address bar text correctly. Keep in mind that installing languages in Internet Explorer only makes those languages available in websites and the Address bar. To change the language used for menus and buttons in Internet Explorer, you need to install a version of Internet Explorer that is written in the language you prefer.

To enable a language to Internet Explorer

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then click Languages.
  3. In the Language Preference dialog box, click Add.
  4. In the Add Language dialog box, select a language from the list, and then click OK.
  5. Repeat steps 3 and 4 until you have added all of the languages you want to use.
  6. Click OK twice.

Notes

  • If you speak several languages, you should arrange them in order of preference (priority). If a website is available in multiple languages, the content will be displayed in the language that has the highest priority. To reorder the languages, click a language and then use the Move up or Move down buttons to arrange the languages in order of priority.
  • Be cautious when enabling additional languages. Some letters and symbols can be used to mimic characters in other languages, though the website address is different. This ability can be used to impersonate another website for the purpose of identity theft or fraud. Because of this, you should only add a language you are familiar with. For more information, see What are International Domain Names?

Most webpages contain information that tells the web browser what language and character set to use when displaying the page. This type of information is referred to as language encoding. Internet Explorer can usually determine the correct language encoding, even if the webpage does not include language encoding information, as long as the Language Encoding Auto-Select feature is turned on. Here's how to turn it on:

To automatically detect a website's language

  1. In Internet Explorer, navigate to a webpage you want to select a language for.
  2. Right-click the webpage, point to Encoding, and then click Auto-Select.
  3. If you are prompted to download language support components, click Download.

If Auto-Select cannot determine the correct language encoding, and you know what language encoding it should be, you can manually select it.

To manually select the language encoding for a webpage

  1. In Internet Explorer, navigate to a webpage you want to select a language for.
  2. Right-click the webpage, point to Encoding, point to More, and then click the appropriate language.
  3. If you are prompted to download language support components, click Download.

If your computer needs a new font to display text written in a specific language, Internet Explorer can download the font automatically. To turn on this feature, follow these steps:

To automatically download fonts

If your computer needs a new font to display text written in a specific language, Internet Explorer can download the font automatically. This feature is turned on by default, but you can follow these steps to turn it on again if someone turned it off.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab, and then click Custom level.
  3. In the Security Settings dialog box, scroll down to the Downloads section, and then, under Font download, choose one of the following options:
    • To turn off automatic font installation, click Disable.
    • To allow automatic font installation, click Enable.
    • To have Internet Explorer ask you whether to install a font, click Prompt.
  4. Click OK twice.

Notes

  • If the Auto-Select feature or a specific language pack is not installed on your computer, Internet Explorer prompts you to download the necessary files.
  • You can add a Language Encoding button Picture of the Language Encoding button to the Command bar to make switching between languages quicker. For more information, see Customize the Internet Explorer toolbars.


Turn off multimedia in Internet Explorer

By default, Internet Explorer displays multimedia (such as pictures, videos, or sounds) used on webpages. You can turn off multimedia if you want to increase the speed at which the page loads or if you use a screen reader. Here's how:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab.
  3. In the Settings section, under Multimedia, clear any of the following check boxes to turn off that type of multimedia:
    • Play animations in webpages
    • Play sounds in webpages
    • Show pictures

Notes

  • If the Show pictures check box is cleared, you can still display an individual picture by right-clicking its icon, and then clicking Show Picture.
  • If the pictures on the current page are still visible after you clear the Show pictures check box, click the Refresh button Picture of the Refresh Current Page button.


Create more space for temporary Internet pages

To create more space for temporary Internet pages

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Settings.
  3. In the Disk space to use text box, type the amount of disk space (in megabytes) that you want to be set aside for temporary storage space, and then click OK twice.


Using accessibility features in Internet Explorer

The following features make Internet Explorer more accessible for people with disabilities.

Keyboard access

All features in Internet Explorer are accessible through the use of either the keyboard or the mouse.

With Internet Explorer, you can use the keyboard to explore the web. Press TAB to move forward between screen elements and SHIFT+TAB to move backward. By pressing TAB or SHIFT+TAB, you can navigate through the following parts of the screen:

  • Links that are text or images
  • Hot spots on image maps
  • The Address bar
  • The tab row
  • Frames

You can also press F7 to use Caret Browsing. Caret Browsing allows you to select text and move around within a webpage using the standard navigation keys on your keyboard—HOME, END, PAGE UP, PAGE DOWN, and the arrow keys.

For more information about keyboard access, see Internet Explorer keyboard shortcuts, and How can I select text and move around a webpage with my keyboard?

Highlighting box

As you select or click a link or image, a thin border appears around it so you can see what is selected.

Customize the font size, formatting, and screen colors

You can specify the font type and size and the foreground and background colors that are used to display webpages. You can also specify the color used for links in webpages.

These customizations are useful if you have low vision, need larger fonts, or need high-contrast colors.

For more information, see Changing webpage fonts and background colors.

Use AutoComplete

This feature saves you time when you type web addresses or complete entries on webpages by displaying a list of previous matching entries as you type.

To turn AutoComplete on or off

  1. Click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then, under AutoComplete, click Settings.
  3. Select the check box beside each AutoComplete option you want to turn on, and then click OK twice.

How can I improve legibility when printing webpages?

To improve legibility when printing webpages, it might be helpful to stop printing background colors and images. That way, the text will stand out more clearly.

  1. In Internet Explorer, click the arrow next to the Print button Picture of the print button, and then click Page Setup.
  2. In the Page Setup dialog box, clear the Print Background Colors and Images check box, and then click OK.

Advanced options that make Internet Explorer more accessible

Internet Explorer has a variety of advanced accessibility options. Here's how to turn them on:

  1. In Internet Explorer, click the Tools button, click Internet Options, and then click the Advanced tab.
  2. Select from the following options:
    • Always expand ALT text for images

      Select this check box to display all of the text that is associated with an image. This is useful if you have turned pictures off and rely on a screen reader to describe images.

    • Move system caret with focus/selection changes

      If you use a screen reader, you can use this option to move the insertion point as the focus changes. Some screen readers or screen magnifiers use the insertion point or system caret to determine which area of the screen to read or magnify.

    • Use smooth scrolling and Enable page transitions

      If you use a screen magnification or screen reader program, you might want to clear these check boxes under the Browsing section.

    • Show pictures and Play animations in webpages

      If you have low vision, you might want to clear these check boxes to improve performance. If you are sensitive to screen flashing, you might also want to clear these check boxes.

    • Play sounds in webpages

      If you have cognitive disabilities, you might want to clear this check box to prevent distractions. If you are blind, you might want to clear this check box or selectively download sounds so that they do not interfere with a screen reader reading text aloud.

  3. When you are finished making changes, click OK.


Display webpage text in a different font

To display webpage text in a different font

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, click Fonts.
  3. In the Webpage font and Plain text font lists, click the fonts you want.
  4. Click OK twice.

Note

  • These font preferences will only be used if the website you are visiting does not already specify the fonts that should be used. To learn how to override website font and color settings, click Related Topics.


Override website font and color settings

If you want to have the fonts and colors you specify in Internet Explorer to be used for all websites, regardless of the fonts that have been set by the website designer, follow these steps.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, click Accessibility.
  3. Select the Ignore colors specified on webpages, Ignore font styles specified on webpages, and Ignore font sizes specified on webpages check boxes, and then click OK twice.


Reset Internet Explorer to the default settings

By resetting Internet Explorer settings, you return it to the state it was in when it was first installed on your computer. This is useful for troubleshooting problems that might be caused by settings that were changed after installation. When you delete personal settings, some webpages that rely on previously stored cookies, form data, passwords, or previously installed browser add-ons might not work correctly. Resetting Internet Explorer to its default settings does not delete your favorites, feeds, Web Slices, and a few other personalized settings. See the table below for a complete list of all settings and information about whether they are reset or maintained.

Resetting Internet Explorer's settings is not reversible. After a reset, all previous settings are lost and cannot be recovered. Rather than resetting everything, you might want to reset specific settings or delete your webpage history. For more information, see the links at the bottom of this topic.

The following table describes what will happen to various settings when you reset Internet Explorer.

Settings categories Items affected
Settings that are deleted
  • Disabled toolbars and add-ons
  • Websites added to intranet, trusted, or restricted zones
  • Websites added for special cookie handling under the Privacy tab
  • Websites allowed to use pop-ups under Pop-up Blocker settings
Settings that are reset to Windows, manufacturer, Internet provider, or corporate defaults
  • Home page (for more information on backing up your home page tabs, click Related Topics)
  • Search providers, tabbed browsing settings
  • Colors, languages, fonts, and accessibility settings (General tab)
  • Security settings for all zones (Security tab)
  • Advanced tab settings
  • Privacy tab settings
  • Pop-up blocker, AutoComplete, SmartScreen Filter, and Zoom settings
  • Page setup, toolbar, and text size settings
  • Feeds settings (sync and notification, not feeds themselves)
  • ActiveX controls that are not on the pre-approved list (reset to opt-in state)
  • Toolbars, browser helper objects, and browser extensions are disabled
Settings that are deleted (Delete personal settings is selected)
  • Browser history, temporary Internet files, cookies, form data, and stored passwords
  • Typed URL information, menu extensions
  • InPrivate Filtering data
  • Explorer most recently used list
Settings and items that are maintained
  • Favorites
  • Feeds and Web Slices
  • Content Advisor settings
  • Pre-approved ActiveX controls
  • Temporary Internet file (cache) path settings
  • Certificate information
  • Internet Programs (e-mail, instant messenger, and other programs associated with Internet use)
  • Internet connection, proxy, and VPN settings
  • Default web browser setting
  • Toolbars are not restored

To reset Internet Explorer to the default settings

  1. Close any Internet Explorer or Windows Explorer windows that are currently open.
  2. Open Internet Explorer.
  3. Click the Tools button, and then click Internet Options.
  4. Click the Advanced tab, and then click Reset.
  5. Select the Delete personal settings check box if you would like to remove browsing history, search providers, Accelerators, home pages, and InPrivate Filtering data.
  6. In the Reset Internet Explorer Settings dialog box, click Reset.
  7. When Internet Explorer finishes restoring the settings, click Close, and then click OK.
  8. Close Internet Explorer.

    Your changes will take effect the next time you open Internet Explorer.

Notes

  • If you close all visible windows, but still get an error message when trying to reset, you might have programs running that are not visible. Restart Windows, open Internet Explorer, and try resetting again.
  • To back up your home page or home page set before resetting Internet Explorer defaults, see Change your Internet Explorer home page.
  • If any of the categories fail to reset, it is because Internet Explorer could not access a file or registry setting. This can be caused by insufficient security privileges, files or settings being used by another program, or low memory or high CPU usage. You can either continue to use Internet Explorer without resetting these settings, or restart your computer and try to reset again.
  • If you are using Internet Explorer on a server and have turned off hardening (stronger security settings for use on servers), reset will go to client level security. You must reinstall hardening if you want the increased security level.
  • To learn how to re-enable add-ons, click Related Topics.


What is a proxy server?

A proxy server is computer that functions as an intermediary between a web browser (such as Internet Explorer) and the Internet. Proxy servers help improve web performance by storing a copy of frequently used webpages. When a browser requests a webpage stored in the proxy server's collection (its cache), it is provided by the proxy server, which is faster than going to the web. Proxy servers also help improve security by filtering out some web content and malicious software.

Proxy servers are used mostly by networks in organizations and companies. Typically, people connecting to the Internet from home will not use a proxy server.


Change proxy server settings

Proxy settings are used to tell Internet Explorer the network address of an intermediary server (known as a proxy server) that is used between the browser and the Internet on some networks. Changing proxy settings is something you usually only have to do if you are connecting to the Internet through a corporate network. By default, Internet Explorer automatically detects proxy settings. However, you might need to manually set a proxy with information supplied by your network administrator. Here's how:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Connections tab, and then click LAN settings.
  3. Select the Use a proxy server for your LAN check box.
  4. In the Address box, type the address of the proxy server.
  5. In the Port box, type the port number.
  6. If your network requires separate proxy addresses for different services, such as HTTP, HTTPS, or FTP, click the Advanced button, and then type the individual proxy server addresses to use.
  7. When you are finished making changes, click OK until you return to Internet Explorer.

Note

  • In some corporate environments, proxy settings might be preset or turned off by the administrator.


View the source code for a webpage

Webpages are created using code that tells your web browser what to display and how to display it. By viewing a webpage's source code, you can see how the webpage is structured, help uncover misleading links, or see where a web form is really sending your information. When you view source code, it is displayed in Notepad.

To view a webpage's source code

  1. In Internet Explorer, browse to the webpage you want to view.
  2. Right-click the background or text of a webpage or frame.
  3. Click View Source.

Note

  • If the page was created with frames, you'll have to repeat the steps above on each frame to see all of the source code for the webpage. To see the source for the overall frame that contains the individual windows, press ALT+V to display the View menu, and then click Source.


What are International Domain Names?

International Domain Names (IDN), are web addresses that are displayed in non-ASCII character sets or alphabets in the Internet Explorer Address bar. This allows websites to display their address using their native language and character set.

For security purposes, Internet Explorer will display International Domain Name web addresses in a standard ASCII text encoding by default.

The standard text format is used because it's possible for letters and symbols in some languages to be used to impersonate English language websites for phishing scams. If you browse to a website with a native language address, but you don't have the language available, the Information bar will display the message "This web address contains letters or symbols that cannot be displayed with the current language settings. Click here for options."

If you frequently visit websites that are written in languages that you cannot currently view, you might want to install additional languages in Internet Explorer. When the message appears on the Information bar, click Change language settings, and follow the prompts on your screen.


Why won't

Why won't Windows allow me to change a system setting?

If your computer is part of a network at an organization such as a school or a business, your organization's system administrator might have disabled or even removed certain settings by using Group Policy. Group Policy is a feature of Windows that lets system administrators manage users' access to Windows features. If you suspect that Group Policy is preventing you from changing a setting that you need to access, contact your system administrator.

For more information about Group Policy settings, visit the Microsoft TechNet (http://technet.microsoft.com) website.


Find out which version of Internet Explorer you're using

To find out which version of Internet Explorer you're using, the cypher strength (SSL) it is using, the product identification number, or to see when the latest update was applied, follow these steps.

  1. Open Internet Explorer.
  2. Click the Help button, and then click About Internet Explorer.


Where can I find advanced information about Internet Explorer?

Information Technology professionals can configure and distribute customized installations of Internet Explorer by using the Internet Explorer Administration Kit (IEAK). Information about the IEAK and Group Policy settings can be found online. More advanced information for IT professionals and developers can be found online on the Internet Explorer home page, Microsoft newsgroups, and at the Microsoft Software Developers Network.

  • Microsoft TechNet (http://www.microsoft.com/technet/prodtechnol/ie)
  • Internet Explorer (http://www.microsoft.com/windows/ie)
  • Microsoft newsgroup community (http://www.microsoft.com/communities/newsgroups/list/en-us)
  • Internet Explorer Developer Center (http://msdn.microsoft.com/ie)


Change the number of days that webpages are kept in the browsing history

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab.
  3. Under Browsing history, click Settings.
  4. Under History, specify the number of days you would like Internet Explorer to remember the webpages you have visited. If you don't want a webpage history kept, set the number of days to 0.
  5. Click OK twice.

Note

  • You can clear the webpage browsing history at any time. To learn how to do so, click Related Topics.


What happened to Profile Assistant?

The Profile Assistant feature has been removed from Internet Explorer. For information about keeping your personal and financial information private on the web, click Related Topics.


About certificate errors

A certificate is an electronic document that can help identify a website's owner and can help you make decisions about trusting the site with personal or financial information. Certificates are issued by certification authorities whose responsibility it is to confirm the identity of the website owner or organization.

Why do certificate errors occur?

Certificate errors occur when there is a problem with a certificate or the server's use of the certificate. Internet Explorer can help keep your information more secure by warning you about certificate errors.

How do I know if there is a certificate error?

Usually, a blocking page will appear that will warn you about the problem with the certificate. If you choose to ignore the error and continue, the Address bar will turn red and a notification will appear in the Security Status bar (next to the Address bar).

I'm getting errors on websites I always visit, what should I do?

If you encounter a certificate error at a website you have visited before without errors, it's possible the website is not configured correctly. Try retyping the address you are using. For example, if you are typing the address as https://example.com, try changing it to https://www.example.com.

It is also possible that the website's certificate has expired and the owner or operator needs to renew the certificate in order to continue using it.

Is it ever safe to ignore a certificate warning and continue to a website?

A website's certificate provides identification of the web server. If the certificate has an error, it might indicate that your connection has been intercepted or that the web server is misrepresenting its identity.

What happens when I continue to a website that has a certificate warning?

If you ignore the warning page, and continue to a website that has presented a certificate containing errors, Internet Explorer will remember the certificate. You will not get error for that certificate until Internet Explorer is restarted.

What do the different certificate errors mean?

The following table contains a list of common certificate errors and information about what they mean.

Error message | What it means
This website's security certificate has been revoked | Do not trust this website. This error message often indicates that the security certificate was obtained or used fraudulently by the website. The encryption key that is specified in the certificate might have been compromised or the user listed in a certificate does not have authority to use it (for example, the company was sold). The certification authority that issued the certificate keeps a list of revoked certificates and that list is checked by Internet Explorer.
This website's address does not match the address in the security certificate | This error indicates the website is using a digital certificate that was issued to a different web address. This error can also occur if a company owns several websites and uses a certificate that was issued for one web address for another site (for example, for a different department or division).
This website's security certificate is out of date | This error occurs when the current date is either before or after the time period during which the certificate is valid. Websites must renew their certificates with a certification authority to stay current. Outdated certificates can be a security risk. After a certificate expires, the certification authority that issued the certificate is no longer responsible for ensuring that the certificate is not misused.
This website's security certificate is not from a trusted source | This error occurs when the certificate has been issued by a certification authority that is not recognized by Internet Explorer. It is unlikely that this error will occur on a legitimate business or banking site. Phishing sites often attempt to use fake certificates that will trigger this error.
Internet Explorer has found a problem with this website's security certificate | This error occurs when Internet Explorer finds a problem with a security certificate that does not fit any other error conditions. The error can potentially occur because a certificate has been corrupted, tampered with, is written in an unknown format, or is unreadable. You should not trust the identity of the site if the certificate has this error.


Get help with HTTP error messages

HTTP errors are sent to your web browser from a website in response to a request to view a webpage. If the webpage cannot be displayed, Internet Explorer will display either the actual error page sent by the website or a friendly error message built into Internet Explorer. Below you will find some of the most common errors and ideas for how to solve the problem that's causing them.

The following table lists the most common HTTP errors that Internet Explorer will display. For information about HTTP protocols, error codes, and causes, visit the World Wide Web Consortium (W3C) (http://www.w3.org/Protocols) website.

HTTP error message | What it means
The webpage cannot be found (HTTP 400) | Internet Explorer is able to connect to the web server, but the webpage cannot be found because of a problem with the web address (URL). Usually, this is caused because the website address is typed incorrectly. Make sure the address is correct, and try again.
The website declined to show this webpage (HTTP 403) Internet Explorer is able to connect to the website, but Internet Explorer does not have permission to display the webpage. This can happen for a variety of reasons; here are some of the most common:
  • The website's administrator has to give you permission to view the page or the web server does not accept public webpage requests. If this is a website that you should have access to, contact the website administrator.
  • The webpage you're trying to view is generated by a program, such as a shopping cart or search engine, and the folder on the server the program is contained in is not correctly configured by the website administrator.
  • You have typed a basic web address (for example, www.example.com), but the website does not have a default webpage (such as index.htm or default.html). Additionally, the website does not allow directory listing, which allows you to view files in a web folder.
The webpage cannot be found (HTTP 404) | Internet Explorer is able to connect to the website, but the webpage is not found. This error is sometimes caused because the webpage is temporarily unavailable (in which case, you could try again later) or because the webpage has been deleted.
The website cannot display the page (HTTP 405) | Internet Explorer is able to connect to the website, but the webpage content cannot be downloaded to your computer. This is usually caused by a problem in the way the webpage was programmed.
Internet Explorer cannot read this webpage format (HTTP 406) | Internet Explorer is able to receive information from the website but the information is not in a format that Internet Explorer can display.
The website is too busy to show the webpage (HTTP 408 or 409) | The server took too long to display the webpage or there were too many people requesting the same page. Try again later.
That webpage no longer exists (HTTP 410) | Internet Explorer is able to connect to the website, but the webpage cannot be found. Unlike HTTP error 404, this error is permanent and was turned on by the website administrator. It is sometimes used for limited-time offers or promotional information.
The website cannot display the page (HTTP 500) | The website you are visiting has a server problem that prevents the webpage from displaying. This often occurs as a result of website maintenance or because of a programming error on interactive websites that use scripting.
The website is unable to display the webpage (HTTP 501 or 505) Error 501 (HTTP 501 - Not Implemented) means that the website you're visiting is not set up to display the content your browser is requesting. For example, the browser is asking for a file with a video extension (.AVI), but is telling the website it's looking for an HTML page.

Error 505 (HTTP 505 - Version Not Supported) means the website does not support the version of the HTTP protocol your browser uses (HTTP/1.1 being the most common) to request the webpage.

Websites display HTTP errors in one of two ways: by showing a custom webpage or by sending a simple error number to Internet Explorer. If a website offers a custom webpage for the error, Internet Explorer will always display it. If a website sends a simple error number instead of a custom webpage, Internet Explorer will read the error number and display an error message that provides a bit more information than the number alone (these errors are also known as friendly error messages). Follow the steps below to tell Internet Explorer to turn off these friendly error messages and simply display the error number sent by the website.

To turn off friendly HTTP error messages

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab, and then scroll down to the Browsing section.
  3. Clear the Show friendly HTTP error messages check box, and then click OK.


What should you do about Internet Explorer script errors?

In most cases, you can ignore them. Script error messages are displayed by Internet Explorer when there is a problem with the Javascript or VBScript code on the website you are viewing. Occasionally a script error can be caused by an error in downloading a webpage, but more often it is an error in the webpage itself.

To be sure it isn't an error in downloading, refresh the webpage by clicking the Refresh(F5) button Picture of the Refresh Current Page button. If the error persists, and you are not a developer testing a website, you should click No to ignore the error.

To avoid script errors in the future, you can turn off script debugging in Internet Explorer. Script error debugging is turned off by default. If it has been turned on, follow these steps to turn it off again.

To turn off script debugging in Internet Explorer

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab.
  3. In the Settings list, under Browsing, select Disable Script Debugging (Internet Explorer) and Disable Script Debugging (Other), and then click OK.


Add a webpage to your list of favorite pages

  1. In Internet Explorer, go to the webpage that you want to add to your Favorites list.
  2. Click the Favorites button, and then click Add to Favorites.
  3. Type a new name for the page if you want to, specify the folder that the favorite should be created in, and then click Add.

Notes

  • To go to one of your favorite pages, click the Favorites button, navigate to the folder that contains the link, and then click the page you want to open.
  • For information about how to organize your list of favorites into subfolders, see Related Topics.


Add a page to the Favorites bar

The Favorites bar is displayed at the top of the Internet Explorer window and is a convenient place to store links to webpages that you use frequently.

  1. If the Favorites bar is not already displayed, turn it on. To do this, click the Tools button, point to Toolbars, and then click Favorites Bar.
  2. Navigate to the webpage that you want to add to the Favorites bar, and then do one of the following:
    • Click the Add to Favorites Bar button Picture of the Add to Favorites Bar button.
    • Drag the icon for the page from the Address bar to the Favorites bar.
    • Drag a link from a webpage to the Favorites bar.

Note

  • You can organize the links by dragging them to different locations on the Favorites bar.


Making webpages available for offline viewing

The offline viewing feature has been removed from Internet Explorer. For information, see What happened to offline favorites?


Change AutoComplete settings

You can choose the type of web form information that Internet Explorer will retain and automatically fill in for you. For example, you can choose whether the Internet Explorer AutoComplete feature will remember web addresses, information that you fill out in web forms, or passwords. You can delete this information at any time.

To change AutoComplete settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab.
  3. Under AutoComplete, click Settings.
  4. Select the check boxes for the AutoComplete options you want to use.
  5. Click OK twice.

If you would like to delete the names, passwords, or other information that is saved in Internet Explorer, you can do so. Here's how:

To delete the information stored by AutoComplete

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then click Delete.
  3. Do any of the following:
    • To delete information from web forms, select the Form data check box.
    • To delete passwords, select the Passwords check box.
    • To delete web addresses from the Address bar, select the History check box.
  4. Click Delete, and then click OK.


Learning how to browse the web faster and more easily

Learning a few basic things, such as how to use the buttons on the Internet Explorer toolbar, can make browsing the web easier and faster.

To start browsing the web, click any link on your home page, which is the page that appears when you open Internet Explorer. You can see whether an item on a page is a link by moving the mouse pointer over the item. If the pointer changes to a hand, the item is a link. A link can be a picture, a 3-D image, or colored text (usually underlined). If you press the CTRL key when you click, the link will open in a new tab. Click the new tab to view the webpage.

Now you're ready to find a website on your own.

To open a webpage or folder

In addition to surfing the web, Internet Explorer lets you access files and folders on your computer.

  • To go to a webpage, type the Internet address (for example, www.microsoft.com) in the Address bar, and then press ENTER.
  • To browse through folders from the Address bar, type the drive letter or drive letter and folder name (for example, C:\ or C:\My_Novel), and then press ENTER. The folder contents will be displayed in a new window.

To find a webpage about a specific topic

You can find a great deal of information on a wide range of topics by searching the Internet.

To search for a specific topic

  1. Click in the search box in the upper-right corner of Internet Explorer.

    Picture of the search box

  2. Type a keyword (for example, "dogs"), and then press ENTER.

You can choose the search provider that you want Internet Explorer to use.

To search by using a different search provider

  1. Click the arrow to the right of the search box Picture of the Search Options button, and then click a different provider.

    Your search will be repeated with the new provider.

To change the default search provider

  1. Click the arrow to the right of the search box Picture of the Search Options button, and then click Manage Search Providers.
  2. Click the provider you want to use for searches, click Set as default, and then click Close.

To return to webpages you recently visited

  • To return to the last page you viewed, click the Back Picture of the Back button button.
  • To return to the page you were on before you clicked the Back button, click the Forward Picture of the Forward button button.
  • To see a list of the last few pages you visited, click the Recent Pages button Picture of the Recent Pages button. The Recent Pages button is the small arrow to the right of the Forward button.

To go to a specific webpage

  • To return to the page that appears each time you open Internet Explorer, click the Home button Picture of the Home button.
  • To select a webpage from your list of favorites, click the Favorites button, and then click the Favorites tab.
  • To select a webpage from the list of those you visited recently, click the Recent Pages button Picture of the Recent Pages button. The Recent Pages button is the small arrow to the right of the Forward button.
  • As you type an address in the Address bar, Internet Explorer will display matches from webpages you've previously visited. you can use the up and down arrow to select one and press ENTER.
  • For more on finding webpages you've previously visited, see Find recently visited webpages.

What to do if a webpage isn't working

  • If a page you are trying to view is taking too long to open, click the Stop button Picture of the Stop button on the right side of the Address bar. If the page has stopped loading, you can click the Refresh button Picture of the Refresh button to try again.
  • If you get a message that a webpage cannot be displayed, or you want to make sure you have the latest version of the page, click the Refresh button Picture of the Refresh button.
  • Websites that were designed for earlier versions of Internet Explorer might not display correctly in the current version. However, you can often improve how a website will look in Internet Explorer by using a new feature called Compatibility View. For more information on Compatibility View, see Why don't some websites display correctly in Internet Explorer 8?


View security certificates

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab.
  3. Under Certificates, click Certificates or Publishers to view the list of trusted certificates.
  4. When you are finished viewing the information, click Close, and then click OK.


Change the colors used for webpages

You can chose the colors that Internet Explorer uses for webpage text, backgrounds, and links.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then click Colors.
  3. Clear the Use Windows colors check box.
  4. Do any of the following:
    • To change the color that is used for text, click the box to the right of Text, click the color you would like to use for text, and then click OK.
    • To change the color that is displayed in the background, click the box to the right of Background, click the color you would like to use, and then click OK.
    • To change the color used for links you have already visited, click the box to the right of Visited, click the color you want to be used for visited links, and then click OK.
    • To change the color used for links you have not visited, click the box to the right of Unvisited, click the color you want to be used for unvisited links, and then click OK.
    • To change the color that a link will become when you point at it, select the Use hover color check box, click the box to the right of Hover, click the color you would like links to change to when the mouse pointer hovers over them, and then click OK.
  5. Click OK to close the dialog box.

Note

  • These color preferences will only be used if the website you are visiting does not already specify the colors that should be used. To learn how to override website font and color settings, click Related Topics.


Changing webpage fonts and background colors

When web authors and designers create webpages, they often specify particular typefaces, fonts, colors, sizes, and background colors. These settings are specified for each item or they are set in a style sheet, which is a type of template for specifying how different styles should appear throughout a webpage or site.

You can override any or all of these settings, which is useful if you have limited or low vision.

For more information, click Related Topics.


Update ActiveX add-ons

Internet Explorer does not allow you to manually update ActiveX controls. You will be prompted if an existing ActiveX control requires an update for this version of Internet Explorer. If you want to update any ActiveX controls, visit the website where you originally downloaded the control and search for an update.


Delete AutoComplete entries from the Address bar list

To delete AutoComplete entries from the Address bar list

AutoComplete stores entries you've made for web addresses, forms, and passwords, and remembers them if you begin to type them again later. To delete all web address entries from the Address bar, you have to clear the History folder. Here's how:

  1. In Internet Explorer, click the Safety button, and then click Delete Browsing History.
  2. Select the History check box, click Delete to delete the history, and then click OK.

Note

  • To delete a single address from the list of suggestions that appear when you type a web address, highlight the address, and then click the red X.


What should you do when

What should you do when Windows blocks the installation of an ActiveX control?

You probably should not install that ActiveX control. Windows will block the installation of an ActiveX control if your Internet Explorer security settings are at the default levels and the ActiveX control does not have a valid digital signature.

A valid digital signature verifies the identity of the publisher (the company, website, or individual that is distributing the file), as well as the fact that the file has not been tampered with since it was signed. If the file has no valid digital signature, you cannot be certain that the file is actually from the source it claims to be from, or that it has not been tampered with. You should not open the file unless you trust the publisher and know that the contents are safe to open.

What are ActiveX controls?

ActiveX controls are small computer programs that are used to create interactive web content, such as animation sequences and online tools. They are used extensively on the Internet, and generally make web browsing more enjoyable. In some cases, however, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage information on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.


Should you install an ActiveX control that has no valid digital signature?

Probably not. A valid digital signature helps to verify the identity of the publisher (the individual, company, or website that is distributing the file) and indicates that the file has not been tampered with since it was signed. Unless you know for certain what the control will do to your computer, you should not install it.

What are ActiveX controls?

ActiveX controls are small computer programs that are used to create interactive web content, such as animation sequences and online tools. They are used extensively on the Internet, and generally make web browsing more enjoyable. In some cases, however, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage information on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

Before installing any ActiveX control, consider the following:

  • Were you expecting to receive this control?

    Are you surprised that this website is trying to download an ActiveX control? Has this website required you to use an ActiveX control in the past? If this action is unexpected, you should be very cautious. Make sure you know what the control is for and what it will do to your computer before you save or run the file.

  • Do you trust the website providing the control?

    Don't install an ActiveX control unless you absolutely trust the website that is giving you the control. Click Related Topics to learn more about deciding when to trust a website.

  • Do you know what the control is for and what it will do to your computer?

    The website providing the file should tell you what this ActiveX control is for and provide any special details you need to know before you install it. If this information is not available, you should not install the control.


Should you install ActiveX controls?

Should I install ActiveX controls?

Maybe. You should be cautious about installing ActiveX controls on your computer, even if they have a valid digital signature. While ActiveX controls can enhance web browsing, they might also pose a security risk, and it's best to avoid using them if the webpage will work without them. However, some websites or tasks might require them, and if the content or task is important to you, you will have to decide whether to install the ActiveX control.

What are ActiveX controls?

ActiveX controls are small computer programs that are used to create interactive web content, such as animation sequences and online tools. They are used extensively on the Internet, and generally make web browsing more enjoyable. In some cases, however, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage information on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

Before installing any ActiveX control, consider the following:

  • Were you expecting to receive this control?

    Are you surprised that this website is trying to download an ActiveX control? Has this website required you to use an ActiveX control in the past? If this action is unexpected, you should be very cautious. Make sure you know what the control is for and what it will do to your computer before you save or run the file.

  • Do you trust the website providing the control?

    Don't install an ActiveX control unless you absolutely trust the website that is giving you the control. Click Related Topics to learn more about deciding when to trust a website.

  • Do you know what the control is for and what it will do to your computer?

    The website providing the file should tell you what this ActiveX control is for and provide any special details you need to know before you install it. If this information is not available, you should not install the control.

Note

  • You might not be able to install ActiveX controls if the system administrator has disabled the ability to install them or if you are using a limited user account.


How to decide if you should open files that you download from the Internet

As yourself these questions before deciding to open files that you downloaded from the Internet.

Have you scanned the file for viruses?

You should scan all files you download before you open them.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, go to www.microsoft.com and search for "antivirus partners." If you have already installed antivirus software, make sure that it is up to date and actively scanning the files on your computer.

Did you ask for the file?

Did you click a link on a website to start this download, or did the file show up without any action on your part? If you did not start the download, you should be very cautious about the file. If you don't need the file, you should cancel the download. If you choose to save or open the file, make sure you know what it is for and what it will do to your computer before you proceed.

Do you trust the website providing the file?

Don't download any file unless you absolutely trust the source. Click Related Topics to find more information about making this decision.

Do you know what the file will do to your computer?

The website providing the file should tell you what the file is for and provide any special details you need to know about the file. If this information is not available, you should be cautious about downloading the file.

Note

  • If you choose to save or open the file, Windows will check the file for a digital signature. A valid digital signature helps verify the identity of the publisher (the individual, company, or website that is distributing the file) and helps confirm that the file has not been tampered with since it was signed.


Should you open a file that has no valid digital signature?

Probably not. A digital signature helps identify the publisher (the source or author) of the file and confirms that the file has not been tampered with since it was signed. If a file does not have a valid digital signature, you need to be more cautious. Only open the file if you really know and trust the source.

General suggestions

  • Scan the file with an antivirus program before you open it.
  • Make sure you know what the file is for and what it will do to your computer.
  • If you do not know or trust the source of the file, and you don't need the file, don't open it.


Should you trust e-mail attachments that have a valid digital signature?

It depends. A valid digital signature is helpful in deciding whether to trust a file or not, but you should still take a few other precautions.

How to decide which attachments to open

Before you open an attachment, make sure you have installed an antivirus program that is up to date and set to scan all incoming e-mail attachments and downloaded files. This helps provide greater protection against viruses.

Do you know and trust the sender of the e-mail message? If you get e-mail from a person or business you’ve never heard of before, you should be cautious.

Do you have reason to expect e-mail from the sender? If you get e-mail from someone you know but seldom correspond with, ask yourself if there is a good reason why you’re getting e-mail from them now—especially if the message has a file attachment or contains a link to a website. Some viruses spread themselves by sending e-mail from an infected computer to every e-mail address they find.

If you know the sender but the message looks suspicious, ask the sender if he sent the e-mail to you by either calling him or sending him a new e-mail message. Do not reply to the suspicious e-mail. It's much easier to check before you open the message than it is to clean a virus off your computer.

Does the message on the subject line make sense? If the subject line does not make sense, it might have been generated automatically by a site that sends junk e-mail, and you’ll be safer if you delete the message.

Has the file been scanned and cleared by an up-to-date antivirus program on your computer? Installing an antivirus program that is set to actively receive updates and scan all incoming files can help protect your computer. If the program detects a virus, don’t open the file—just delete it.

If the answer is yes to all of the questions above, the file is probably fine. But if the answer to all or even some of the questions above is no, it's probably best to delete the message.

What a digital signature does and doesn’t tell you about a file

A valid digital signature tells you two things about a file: who published the file and whether the file has been tampered with since it was signed. When you know who is publishing the file, you can make a better decision about whether to trust the file. Don't open the file if it has been changed in any way since it was signed.

Beyond that, a digital signature cannot guarantee that a file will not harm your computer. That’s why, when you start to open certain file types from e-mail, Windows will ask if you want to open the file—even if it has a valid digital signature.

Why e-mail attachments should be handled with care

Some types of files can contain viruses or code with the potential to damage your computer or leave it at risk for future attack. As a security precaution, Windows XP Service Pack 2 (SP2) or later helps check e-mail attachments for two things: the file type and the presence of a valid digital signature. You should not open the file unless you trust the publisher and know that the contents are safe to open.

Note

  • If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, go to www.microsoft.com and search for "antivirus partners."


Should you run downloaded software that has no valid digital signature?

Probably not. A valid digital signature identifies the publisher of the software and verifies that the software has not been tampered with since it was signed. Without a valid digital signature, you have no way to verify that the software is what it claims to be.

If you have software on your computer that you downloaded from the Internet, don't open or run it without asking these questions:

Did you ask for the software?

Did you click a link on a website to start this download, or did the software show up without any action on your part? If you didn't start the download, you should be very cautious. If you don't need the software, cancel the download. If you choose to run the software, make sure you know what it is for and what it will do to your computer before you proceed.

Do you know who published the software?

If the file has no valid digital signature, you cannot be certain that the software is actually from the source it claims to be from, or that it has not been tampered with. You should not run the software unless you trust the publisher, have scanned it for viruses, and know what the software will do to your computer.

Do you know what the file will do to your computer?

The website providing the file should tell you what the file is for and any special details you need to know about the file to run it. Be sure to read any terms of use or license agreements, and look for anything you don't agree with, such as having to accept unsolicited advertising, or that the program sends data back to the publisher. If this information is not available, you should be cautious about downloading the file.

Note

  • It's always a good idea to scan downloaded software with an up-to-date antivirus program before running it, regardless of the answers to the questions above.


What you should know about file downloads and digital signatures

Some downloaded files can potentially damage your computer. To help protect your computer, you will be asked to confirm that you want to open the downloaded file, even if the file has a valid digital signature. A valid digital signature identifies the publisher of the file and tells you whether the file has been tampered with since it was signed, but it does not guarantee that the file will not harm your computer.

How can you decide if you should open a downloaded file? Ask these questions:

Have you scanned the file for viruses?

You should scan all files you download with an antivirus program before you open them. When you download the file, you will be given the option to open the file immediately (Run) or to save the file to your computer before you open it. Save the file to your computer and scan it with an antivirus program before opening it.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, go to www.microsoft.com and search for 'antivirus partners.' If you have already installed antivirus software, make sure that it is up to date and actively scanning the files on your computer.

Did you ask for the file?

Did you click a link on a website to start this download, or did the download begin without any action on your part? If you did not start the download, you should be very cautious about the file. If you don't need the file, cancel the download. If you choose to save or open the file, make sure you know what it is for and what it will do to your computer before you proceed.

Do you know who published the file?

A valid digital signature tells you the identity of the publisher (the company, website, or individual that is distributing the file) and whether the file has been tampered with since it was signed.

If the file has no valid digital signature, you cannot be certain that the file is actually from the source it claims to be from, or that it has not been tampered with. You should not open the file unless you trust the publisher, have scanned it for viruses, and know that the contents are safe to open.

Do you know what the file will do to your computer?

The website providing the file should tell you what the file is for and provide any special details you need to know about the file to run it. Be sure to read any terms of use or license agreements, and look for anything you don't agree with, such as having to accept unsolicited advertising, or that the program sends your personal information back to the publisher. If this information is not available, you should be cautious about downloading the file.


What you should know about active content

Active content (for example, things like stock tickers, video, or animation) can enhance your browsing experience. It relies on either ActiveX controls or computer code (called a script) to work properly.

ActiveX controls can sometimes malfunction or display content that you don’t want. They can also be used to collect information from your computer without your permission, damage information on your computer, install software without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

When you encounter a webpage (or insert a CD) that is trying to run active content on your computer, you should receive a message prompting you to decide whether you want to allow the content to run. If you are certain that you want to allow the active content, click Yes in the message box. By clicking Yes, you allow the active content to run on the webpage or CD you’re viewing on that occasion. If you leave the page and return to it later, you will receive the message again. You can avoid being prompted every time by allowing any website to run scripts and ActiveX controls, however you should be extremely careful about doing this, as it might put your computer at risk for malicious software.

To allow any website to run scripts and ActiveX controls on your computer

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab, and then, in the Settings list, scroll down to the Security section.
  3. Select the Allow active content to run in files on My Computer check box, and then click OK.

To allow any CD to run scripts and ActiveX controls on your computer

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab, and then, in the Settings list, scroll down to the Security section.
  3. Select the Allow active content from CDs to run on My Computer check box, and then click OK.


Is it safe to open files that are downloaded from the Internet?

It depends. You should always treat files you download from the Internet with caution. Much depends on what you know about the file, its source, and its contents. Here are some ways to help make an informed decision about whether to open the file.

  • Look for warning messages. Internet Explorer displays a message when a website attempts to download a file to your computer. If the message contains a yellow caution icon, then the file has been identified as a type that could pose a risk because it might contain computer code (possibly a program or computer virus).
  • Scan the file with antivirus software before you open it. Save the file to your computer and then scan the file with an up-to-date antivirus program before opening it, rather than opening the file directly from the Internet.
  • Be more cautious with files that are not pictures, music, or plain text files. While pictures, music, or plain text file types (their names frequently end with one of these three-letter extensions: .jpg, .gif, .mp3, or .txt) are less likely to contain computer code or a virus, you should still be cautious with them. Look very carefully at the file name and extension because many viruses use double extensions, such as mypictures.jpg.exe, to trick people into running them. With all other file types, you should be even more cautious.

It might be safe to open the file if all of the following are true:

  • When you run the file from the download dialog box, the message shows the publisher's name. If the publisher cannot be identified, it is safer to delete the file unless you know who created it and what it will do to your computer.
  • You completely trust the publisher. For example, if you have received files from this publisher before or they were recommended by a trusted person.
  • You requested the file. If a file starts downloading automatically or is offered when you didn't specifically request it, cancel the download.


Unblock a publisher

Why is this publisher blocked?

Someone who uses or manages this computer specifically chose to block files distributed by this publisher. To open or run this file, you will need to unblock the publisher. You should only try to open this file if you trust the publisher, have scanned it for viruses, and you are sure the file is safe. Please use extreme caution when unblocking a publisher. If a publisher is blocked by your computer administrator, it might be for a very good reason.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab, and then click Publishers.
  3. Click the Untrusted Publishers tab, click the publisher you want to unblock, and then click Remove.
  4. Click Yes to confirm that you want to unblock that publisher.
  5. Click Close, and then click OK.


Should you open files from the Internet or e-mail that you have saved to your computer?

It depends. You should take a few precautions before opening a file that you saved from the Internet or received as an e-mail attachment. If the file is a program or computer code, such as an .exe file, Windows will display a message to alert you that the file could be harmful to your computer. If this happens, ask these questions before you open the file:

Have you scanned the file for viruses?

You should scan all files you download with an up-to-date antivirus program before you open them.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, go to www.microsoft.com and search for "antivirus partners." If you have already installed antivirus software, make sure that it is up to date and actively scanning the files on your computer. Viruses are released on an almost daily basis, so keeping your antivirus program current is important.

Do you know who created the file?

If you choose to save or open the file, Windows will check the file for a digital signature. A valid digital signature helps to tell you the identity of the publisher (the company, website, or individual distributing the file) and whether the file has been tampered with since it was signed.

If the file has no valid digital signature, you cannot be certain that the file is actually from the source it claims to be from, or that it has not been tampered with. Avoid opening the file unless you have scanned it for viruses and know that the contents are safe.

Do you know what the file will do to your computer?

The publisher of the file should have provided information explaining what this file is for and any special details you need to know about the file to open it. Be sure to read any terms of use or license agreements, and look for anything you don't agree with, such as having to accept unsolicited advertising, or that the program sends information back to the publisher. If this information is not available, you should be cautious about running the file.


Downloading files

Because some files can contain viruses or otherwise harm your computer, you should be cautious when downloading files from the Internet. As a general rule, it is better to save a file or program to disk and scan it with an antivirus program before running it than to run it directly from the web. Here are some precautions you can take when downloading files from the web:

  • Save the file to your computer before opening it.
  • Check the file with a virus scanner. This helps catch potentially dangerous programs before they damage your computer or your files.

To help increase your computer's security, make sure the Always ask before opening this type of file check box is selected. If you feel confident that this type of file or program is always safe to open or run directly from the Internet, you can clear this check box.

Note

  • The Always ask before opening this type of file check box is not available for some types of files, such as files with the extensions .exe or .com, which run programs or commands. When this check box is not available, you will always be asked before opening this type of file.


Change webpage text size

You can make webpages easier to read by changing the text size. If you change the text size, graphics and controls will remain in their original size but the text size will change.

To change webpage text size

  1. Open Internet Explorer.
  2. Click the Page button, click Text Size, and then click the size you want.

Notes

  • To increase the size of everything on a webpage, including graphics and controls, use the zoom feature. To learn how to zoom, click Related Topics.
  • This will change the size of text displayed in webpages, unless the text size was explicitly set by the person who created the page. To learn how to override text settings set by the person who created the webpage and use the fonts you pick instead, click Related Topics.
  • In addition to changing the font size, you can pick the specific font typeface you want to use. To learn how, click Related Topics.


Understanding FTP

FTP stands for File Transfer Protocol. FTP is used to make files and folders publicly available for transfer over the Internet. In some cases, you will need to get permission from the computer's administrator to log on and gain access to files on the computer. But often you'll find that you can use FTP to gain access to certain networks or servers without having either an account or by being an official password holder. These anonymous FTP servers can contain a broad range of public information.

The Internet address (also known as a URL) for an FTP server looks slightly different from the URL you use for a typical webpage. For example, Microsoft has an FTP server at ftp://ftp.microsoft.com, where you can download files ranging from product fixes, updated drivers, and utilities, to Microsoft Knowledge Base articles and other documentation.

How much access you have to files and folders on FTP servers depends on whether you gain access to the servers through a proxy server or directly, and what kind of permissions you have with the FTP server.

  • Access through some proxy servers is limited to viewing or downloading files. In some cases, you cannot rename, upload, or delete files or folders. Check with your administrator to see whether you can bypass the proxy server or whether a full-service FTP proxy server is available.
  • If you gain access to FTP sites directly, you can work with files and folders on the FTP servers much like you work with them on your own computer. You can view, download, upload, rename, and delete files and folders. If you need permission from the FTP server to perform any of these actions, you will be prompted to provide your user name and password.

To access FTP sites directly

  1. In the Internet Explorer Address bar, type the Internet address (URL) for the FTP site you want to connect to (for example, ftp://ftp.microsoft.com/) and then press ENTER.
  2. The FTP site opens in the main Internet Explorer window. In this window, you can do one or more of the following:
    • To open a file or folder, click it.
    • To download a file or folder, right-click it, and then click Save Target As.
  3. If you have rights on the FTP site, you can also open the site in a Windows Explorer window. To open the site in this way, click the Page button, and then click Open FTP site in Windows Explorer. In the new window, do one of the following:
    • To download a file or folder, right-click it, and then click Copy to Folder.
    • To log on as a different user, click the File menu, and then click Login As.
    • To rename or delete items in an FTP folder, or paste items into an FTP site (upload), use the same methods you use with Windows Explorer or My Computer.

Notes

  • On some FTP sites, you can only view or download files. Only the people who run or own the site can rename, delete, or upload files. If you don't have appropriate rights, you will get an error message.
  • On many FTP sites, you are automatically logged on anonymously, so you can view or download files. To upload, rename, or delete files, you may need to log on using a special user name and password. Also, different areas of the same site may require different logons.
  • You cannot move files within or between FTP sites. You can move files from an FTP site to a temporary location on your computer or a network drive, and then upload them to another FTP site or different folder on the same site.
  • Some programs allow you to open files from or save files to FTP servers by typing an FTP address when you open or save a file.


Why does Internet Explorer block the use of some ActiveX controls?

Internet Explorer blocks a website from using an ActiveX control on your computer if the website tries to use the ActiveX control in a way that might not be safe.

What are ActiveX controls?

ActiveX controls and web browser add-ons are small programs that are used extensively on the Internet. They can make browsing more enjoyable by providing toolbars, stock tickers, video, animated content, and more. These programs can malfunction, however, or give you content you don't want. In some cases, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage information on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install ActiveX controls or add-ons if you completely trust the publisher and the website offering it.

What should I do when Internet Explorer blocks the use of an ActiveX control?

You should always be cautious about allowing websites to install or use ActiveX controls on your computer. If an ActiveX control is not essential to your computer activity, try to avoid installing it. If you are trying to decide whether to install a particular add-on or ActiveX control, ask yourself these questions:

  • Do you trust the website providing the control?

    Don't install an ActiveX control unless you trust the website that is providing it. For information about how to decide if you can trust a website, see below.

  • Do you know what the control is for and what it will do to your computer?

    The website should tell you what this add-on or ActiveX control is for and provide any special details you need to know before you install it. If this information is not available, you should not install the control.

If you still want to install or run the ActiveX, click the Information bar, and then follow the prompts.


What should I do when Internet Explorer blocks the installation of an ActiveX control?

You should always be cautious about allowing websites to run ActiveX controls on your computer. If an ActiveX control is not essential to your computer activity, try to avoid installing it.

If you are trying to decide whether to install a particular ActiveX control, ask yourself these questions:

  • Do you trust the website providing the control?

    Don't install an ActiveX control unless you trust the website that is providing it. Click Related Topics for information about how to decide if you can trust a website.

  • Do you know what the control is for and what it will do to your computer?

    The website should tell you what this ActiveX control is for and provide any special details you need to know before you install it. If this information is not available, you should not install the control.

What to do if you see the following message: This site might require the following add-on: Name. From: Publisher. Click here to install.

This message appears when a webpage tries to install an add-on that has a valid digital signature.

If you trust the publisher and want to install this add-on on your computer, click the Information bar to install it.

What to do if you see the following message: To help protect your security, Internet Explorer stopped this site from installing an ActiveX control on your computer. Click here for options.

This message appears when a webpage tries to install an ActiveX control that you did not request and that does not have a valid digital signature.

To install the ActiveX control anyway (not recommended):

  1. Click the Information bar.
  2. Click Install software.


Why does Internet Explorer block some files from being downloaded?

Internet Explorer will block a file from downloading if it appears that you did not request the file. This might happen if a website tries to download files to your computer without your permission or if you requested a file but the download did not start immediately.

Before downloading any file, ask yourself these questions:

  • Did you ask for this file?

    Did you click a link on a website to start this download, or did the download begin without any action on your part? If you did not start the download, you should be very cautious about the file. If you don't need the file, cancel the download. If you choose to save or run the file, make sure you know what it is for and what it will do to your computer before you proceed.

  • Do you trust the website providing the file?

    Don't download any file unless you absolutely trust the website or publisher it is from. Click Related Topics for more information about making this decision.

  • Do you know what the file is for and what it will do to your computer?

    The website providing the file should describe what the file is for and provide any special details you need to know about the file to run it. If this information is not available, be cautious about downloading the file.

What to do when a file is blocked

When a file is blocked, a message will appear on the Information bar. If you are sure that you want to download the file, click the Information bar, and then click Download File. When you are prompted to download the file, read the information in the dialog box very carefully. Make sure the file is from a website you trust.


Why does Internet Explorer restrict some file content?

Internet Explorer restricts file content if that content could be harmful to your computer. When you visit a website or download a file, the computer that contains the page or file you want to see provides security information about that file. If the contents of the file don't match the security information, the file will open as a plain text file. This might cause the file to display differently than you would expect, but it can help protect your computer.

To view restricted content, click the Information bar, and then click Show Restricted Content.


What is active content and why does Internet Explorer restrict it?

Active content is interactive or animated content used on websites. It includes ActiveX controls and web browser add-ons, which are small programs that are used extensively on the Internet. Active content can make web browsing more enjoyable by providing toolbars, stock tickers, video, animated content, and more.

Why does Internet Explorer restrict active content?

Internet Explorer restricts this content because occasionally these programs can malfunction or give you content you don't want. In some cases, these programs can be used to collect information about you, damage information on your computer, install software without your consent, or allow someone else to control your computer remotely. Given these risks, you should only allow active content if you completely trust the publisher or the website it's coming from.

How can I allow active content?

If Internet Explorer restricts active content that you are sure you want to allow, click the Information bar, and then click Allow blocked content.


Working with temporary Internet files

As you view webpages, the files and pictures associated with those pages are stored in the Temporary Internet Files folder on your computer. This speeds up the display of pages you frequently visit or have already seen because Internet Explorer can open them from your computer instead of from the web.

Increasing the space that is set aside for this folder can increase how fast previously visited pages are displayed, but it decreases the amount of space available for other files on your computer. You can choose how much space is set aside for temporary Internet files and you can delete the files that are currently saved in that space.

To set the space allowed for temporary Internet files

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Settings.
  3. In Disk space to use, set the maximum amount of disk space allowed for temporary Internet files. We recommend setting this somewhere between 50 and 250 megabytes (MB).
  4. Click OK twice.

To delete temporary Internet files

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Delete.
  3. Select the Temporary Internet files check box. Select the Preserve favorite website data check box to keep files associated with your saved favorites.
  4. Click Close, and then click OK.


Why do I need to activate controls on webpages I visit?

You actually don't need to activate webpage controls anymore. Updates were made to all versions of Internet Explorer to ensure that you no longer need to click webpage controls (such as media players) to activate them and make them work.


Change Internet Explorer Advanced settings

What can I set in Advanced settings?

The Advanced tab contains settings for various Internet Explorer options, organized by category. Most of these settings can be changed elsewhere in Internet Explorer, but you might find it helpful to change them from this central location. If a setting has an asterisk (*) next to it, you will have to close Internet Explorer and restart it before that change will take effect.

To change Internet Explorer Advanced settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Advanced tab.

What does Restore Advanced Settings do?

This feature resets Internet Explorer advanced settings to their default settings (as they were when you first installed Internet Explorer).

What does Reset Internet Explorer settings do?

This feature restores Internet Explorer to the condition it was in when you first installed it. It is typically used to troubleshoot problems with performance or getting online. Although this option will reset nearly every user setting in Internet Explorer, it doesn't delete your favorites, feeds, or Group Policy settings. For more information, see Reset Internet Explorer to the default settings.


Make Internet Explorer the default web browser

You can choose which web browser is used to view Internet content. For example, if you receive an e-mail message that contains a link to a website, you can choose which web browser is used to open that link. If Internet Explorer is not currently your default web browser, but you want it to be, follow these steps:

  1. Open Internet Explorer
  2. Click the Tools button, and then click Internet Options.
  3. Click the Programs tab, and then click Make default.
  4. Click OK to return to Internet Explorer, and then close Internet Explorer.


Change or choose a search provider in Internet Explorer

You can choose which provider you would like to use when you search for information on the Internet. You can change the search provider for a specific search (Internet Explorer uses that search provider until you choose another one or until you close Internet Explorer) and you can specify which search provider you prefer to be used by default. When you first install Internet Explorer, you might have only one provider installed.

Some search providers offer search suggestions to help make your searches faster. When you start typing a search term into the search box or Address bar, a list of possible other search terms will appear. You can continue typing, or use your arrow keys or mouse to choose one of the suggested terms.

To add new search providers

  1. Open Internet Explorer.
  2. Click the arrow to the right of the search box.
    Picture of the search box
  3. Click Find More Providers.
  4. Click the search provider you want to add. The Add Search Provider dialog box appears.
  5. If you want the provider that you just added to be used by default when searching from the Address bar or search box, select the Make this my default search provider check box.
  6. If the search provider offers search suggestions, select the Use search suggestions from this provider check box to receive search suggestions.
  7. Click Add.
  8. Repeat steps 3 through 7 for each provider you want to add.

To add search providers discovered on webpages

Some webpages offer search providers. These providers will appear in the search provider list for your current browsing session and are identified with a gold star next to them. If you want one of these search providers to be available in Internet Explorer all the time (not just for the current browsing session), follow these steps:

  1. Open Internet Explorer.
  2. Go to a website that offers a search provider.
  3. Click the arrow to the right of the search box.
    Picture of the search box
  4. Point to Add Search Providers to display a list of the search providers that Internet Explorer has discovered. Click the provider you want to add.
  5. Follow the instructions in the Add Search Provider dialog box.

To change the search provider temporarily (this session only)

  1. Open Internet Explorer.
  2. Click the arrow to the right of the search box.
    Picture of the search box
  3. Click the search provider you would like to use.
  4. In the search box, type the word or phrase you want to search for, and then press ENTER.

    This search provider will be used until you close Internet Explorer. When you restart Internet Explorer, the default search provider will be used.

To change the default search provider

  1. Open Internet Explorer.
  2. Click the arrow to the right of the search box.
    Picture of the search box
  3. Click Manage Search Providers.
  4. Click the search provider you would like to set as the default, click Set as default, and then click Close.

To remove a search provider

  1. Open Internet Explorer.
  2. Click the arrow to the right of the search box.
    Picture of the search box
  3. Click Manage Search Providers.
  4. Click the search provider you would like to remove, click Remove, and then click Close.


Change Internet Explorer Connections settings

From the Connections tab, you can make changes to your Internet and network settings. The following topics help explain how you can make changes to these settings.

  • Change proxy server settings
  • Why is my Internet connection so slow?
  • What is an Internet Service Provider (ISP)?

To change Internet Explorer Connections settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Connections tab.

For more information about connections and network settings, search for "connection" or "Internet" in Windows Help and Support Center.


Change Internet Explorer Content settings

Internet Explorer content settings let you make changes to how Internet Explorer screens content and how it uses certificates, AutoComplete, and feeds (RSS).

How do I change my Internet Explorer content settings?

To change Internet Explorer content settings, follow these steps:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab.

What is Content Advisor?

Content Advisor is a tool that blocks or allows specific websites, based on the site's content rating. For more information, see Content Advisor: frequently asked questions.

What are certificates settings?

Certificates provide website identification and encryption for secure connections. These settings enable you to remove personal security information that is stored when you use a smart card or public computer kiosk (to clear the SSL state, in other words). You can also view or manage the certificates that are installed on your computer. For more information, go to the Windows Help and Support center, and search for "certificates."

What is AutoComplete?

AutoComplete is a feature in Internet Explorer that remembers the information you have typed into the Address bar, web forms, or password fields, and which automatically fills in that information if you start to type the same thing again later. This saves you from having to type the same information over and over. For more information on how to turn AutoComplete on or off, see Change AutoComplete settings.

What are feeds?

Feeds, also known as RSS feeds, contain frequently updated content published by a website. They are usually used for news and blog websites, but are also used for distributing other types of digital content, including pictures, audio, or video. For more information, see Using web feeds (RSS).


About “Cannot find server or DNS error” messages

What is DNS?

The Domain Name System (DNS) is a technology that translates Internet address names into numerical addresses (IP addresses) so that the address can be found on the Internet. For example, if you type www.microsoft.com into Internet Explorer, the name is translated into a numerical address and that address is used to connect you to the Microsoft website. Internet Explorer automatically requests the translation from a DNS server every time you go to a new web address.

Why does this error occur?

This error occurs when Internet Explorer tries to access a website and fails. This can happen for a number of reasons, including the following:

  • Your computer is not connected to the Internet.
  • The website address (URL) was not typed correctly.
  • The DNS server does not have a record of the website or the web server is not connected.

What should I do when I get a DNS error?

First, make sure that you typed the web address correctly in the Address bar. If the spelling is correct, go to a different website to make sure your computer is connected to the Internet. If your computer is connected to the Internet and you have spelled the name correctly, the DNS server does not have a record of the website or the website is unavailable. You might want to try again later.


Downloading files from the Internet: frequently asked questions

Here are answers to some common questions about downloading files from the Internet.

What does it mean to download a file?

When you download a file, you transfer it from the Internet to your computer. The most commonly downloaded files are programs, updates, or other kinds of files such as game demos, music and video files, or documents. Downloading can also mean copying information from any source to a computer or other device, such as copying your favorite songs to a portable music player.

What are the risks when downloading files?

Whenever you download a file, there is always a small risk that the file will contain a virus or a program that can damage your computer or your information. Here are some precautions you can take to help protect your computer when you download files:

  • Install and use an antivirus program. Antivirus programs scan files before opening them and notify you if a file is potentially unsafe. Be sure to keep your antivirus program up to date.
  • Only download files from websites that you trust.
  • If a file contains a digital signature (a way to see who published the file, and whether it has been changed since it was signed), make sure that the signature is valid. If it's not, don't open the file. To see the digital signature, click the publisher link in the security dialog box that Internet Explorer displays when you first download the file.
  • Be cautious of certain file types. Some file types are less safe because they can potentially carry viruses. The main file types to treat with caution are program files (also referred to as executable files) with extensions such as .exe, .scr, .bat, .com, or .pif. Often, a potentially dangerous file is disguised as a less risky file type by having two file name extensions, such as filename.txt.exe. This example might look like a text file, but it's actually an executable file.

What's the risk of letting websites open programs on my computer?

The risk is that untrusted addresses or documents could contain malicious content, which, when opened by programs external to Internet Explorer, could potentially harm your computer. For more information on the risk, see What's the risk of letting websites open programs on my computer?

Why do I get so many warnings when I download a file?

These messages provide information to help you decide whether a file is okay to download or open. They give you a chance to cancel downloading a file if you don't trust the source, or to make sure that the file isn't downloaded without your knowledge or permission.

Can I download more than one file at a time?

Yes. Windows will allow you to download multiple files, with a separate progress window for each. The performance of your computer might vary with the speed of your Internet connection, or the servers you're downloading from.

Where are downloaded files saved?

When you download files, Windows usually saves them in the Downloads folder, which is located under your user name in the Users folder on the drive where Windows is installed (for example C:\users\your name\downloads). When you are saving the file, you can choose to save it to a different folder. Some different types of files are saved to different folders by default. For example, if you right-click a picture on a webpage and then choose Save Picture As from the menu, the picture will be saved to the Pictures folder by default. If you're not sure where the file was saved, you can search for it from the Start menu.

I am trying to install a program I downloaded. Why am I getting errors?

Some errors can be caused by the Windows installer software. For information about errors and how to troubleshoot the problem, see Knowledge Base article KB229683 (http://support.microsoft.com/kb/229683).

Why can't I open some files such as PDF documents in Internet Explorer?

Internet Explorer uses add-ons such as the Adobe Reader to view some files in the browser. You might have an older version of the add-on which needs to be updated to work with a newer version of Internet Explorer. Visit the website for the viewer that isn't working to download an update.

Why does it take so long to download a file?

  • Your Internet connection might be slow. If you have a dial-up connection, it takes a lot longer to download files than if you have a broadband connection, such as DSL or cable.
  • Your Internet Service Provider (ISP) might be offline or experiencing heavy Internet traffic. Wait a while, and then try again.
  • If you are on a corporate network, the network settings might be the problem. Check with your system administrator.
  • If you use a file or music sharing program, someone might be downloading a file from your computer. Try disabling file sharing services while you're downloading and see if the process gets faster.
  • You might have too many programs open at the same time. Try closing unnecessary programs.
  • Your computer might have spyware running. Try scanning your computer for spyware. Click Related Topics for more information on spyware.
  • Missing updates can affect your computer's performance. Go to the Windows Update (http://update.microsoft.com) website and check for updates.

What happens if a file I'm downloading gets interrupted or I need to pause and finish later? Do I have to start over?

Yes, you might need to start over. If you stop in the middle of downloading a file, it is possible that all of the necessary data might not be successfully transferred to your computer.

Can I cancel downloading a file if it's taking too long?

Yes. You can cancel a download at any time by clicking the Cancel button in the file download dialog box.

Why can't I download files in Outlook Express?

Some files that can potentially be harmful are blocked from being downloaded by Outlook Express. For more information, see Windows Help and Support.


Work with files on an FTP site

If you want to upload files, delete files, or rearrange the folder structure on an FTP site, you need to open the site in Windows Explorer rather than in Internet Explorer. For security reasons, you can only use Internet Explorer to open FTP sites and download files from them. To create a shortcut to an FTP site so that the site will automatically open in Windows Explorer, follow the steps below.

To create a shortcut to open an FTP site

  1. Click Start, and then click My Computer.
  2. In My Computer, click My Network Places, and then click Add a network place.
  3. In the wizard, select Choose another network location, and then click Next.
  4. Enter the name of the FTP site, with the full FTP:// in front of it, and then click Next.
  5. To use a name and password, clear that Log on anonymously check box. Type a user name, and then click Next.
  6. To have the FTP site open when you're done setting up the shortcut, just click Next. If you do not want the FTP site to open after you're done setting up the shortcut, clear the Open this network place when I click Finish check box. Click Finish.
  7. A shortcut to the FTP site appears in the My Network Places folder. You can drag that shortcut to your desktop so that it's easy to find later.

Note

  • When you first connect to the FTP site, you'll be prompted for a password. Select the Save password check box if you want Windows to remember that password and connect you directly to the site in the future.


Internet Explorer General tab

How do I set my home page?

Your home page is displayed when you first start Internet Explorer. For more information, see Change your home page.

How do I manage history and temporary Internet files?

The History and Temporary Internet files section lets you delete temporary Internet files, cookies, history, stored form entries, and stored passwords. For more information, see the following Help topics:

  • Working with temporary Internet files
  • Deleting cookies
  • Delete AutoComplete entries from the Address bar list

You can also prevent Internet Explorer from recording your browsing history by using InPrivate Browsing. For more information on InPrivate Browsing, see What is InPrivate Browsing?

What are search settings and how do I change them?

Search settings let you add or remove search providers that are used in the search box. You can also set a default search provider to be used in the search box and Address bar.

For more information, see Change or choose a search provider in Internet Explorer.

What can I do with tab settings?

Tabbed browser settings let you change how Internet Explorer works with tabs. For more information, see Tabbed browsing: frequently asked questions.

What do the Appearance settings do?

The appearance settings let you change how webpages are displayed and optimize Internet Explorer for better accessibility. You can choose from the following options:

Option | What it does
Colors | Lets you set your default text and background colors. For information about changing colors, see Change the colors used for webpages.
Fonts | Lets you change the fonts used when displaying webpages. For information about fonts, see To display webpage text in a different font.
Languages | Lets you choose the languages used when displaying webpages. For information about changing webpage languages, see To specify another language for webpage content.
Accessibility | Lets you choose and override default font, color, and style settings that are specified by webpages. For more information, see To override website font and color settings.


Import and export RSS feeds in Internet Explorer

You can export your list of RSS feeds from Internet Explorer to take the list to another computer or to use it in another program. Alternatively, you can import a list of RSS feeds from another program into Internet Explorer. Internet Explorer uses the standard OPML (Outline Processor Markup Language) file format, used by many RSS applications.

To export RSS feeds

Follow these steps on the computer that you're exporting your feeds from.

  1. Open Internet Explorer, click the Favorites button, click the arrow next to the Add to Favorites button, and then click Import and Export.
  2. In the Import/Export Settings dialog box, click Export to a file, and then click Next.
  3. Select the Feeds check box, and then click Next.
  4. By default, Internet Explorer creates a file called Feeds.opml in your My Documents folder. If you want to use a name other than Feeds.opml or to store the exported feeds in a folder other than My Documents, specify the new file and folder name.
  5. Click Export. If you already have a file by the same name, Internet Explorer will ask you to replace it. Click Yes if you want replace the file or click No and type in a new file name.
  6. Click Finish.

Note

  • If the folder you select cannot be written to, such as another user's My Documents folder, the export will fail. Retry the export with another folder.

To import RSS feeds

Follow these steps on the computer that you want to import your feeds to.

  1. Open Internet Explorer, click the Favorites button, click the arrow next to the Add to Favorites button, and then click Import and Export.
  2. In the Import/Export Settings dialog box, click Import from a file, and then click Next.
  3. Select the Feeds check box, and then click Next.
  4. By default, Internet Explorer imports from a file called Feeds.opml in your My Documents folder, but you can tell it to import feeds that are saved under another name. Click Browse and select a file, or type a location and file name to import, or click Next to accept the default.
  5. Select the folder where you want to place the imported feeds, and then click Import.
  6. Click Finish.


InPrivate: frequently asked questions

Here are answers to some common questions about InPrivate.

What is InPrivate Browsing?

InPrivate Browsing prevents Internet Explorer from storing data about your browsing session. This helps prevent anyone else who might be using your computer from seeing where you visited and what you looked at on the web. When you start InPrivate Browsing, Internet Explorer opens a new window. The protection that InPrivate Browsing provides is only in effect during the time that you use that window. You can open as many tabs as you want in that window, and they will all be protected by InPrivate Browsing. However, if you open another browser window, that window will not be protected by InPrivate Browsing. To end your InPrivate Browsing session, close the browser window. For more information, see What is InPrivate Browsing?

How do I turn on InPrivate Browsing?

To turn on InPrivate Browsing, do any of the following:

  • Click the Safety button, and then click InPrivate Browsing.
  • Open a new tab, and then, on the new tab page, click Open an InPrivate Browsing window.
  • Press CTRL+SHIFT+P.

What is InPrivate Filtering?

InPrivate Filtering helps prevent website content providers from collecting information about sites you visit. Here's how it works.

Many webpages use content—such as advertisements, maps, or web analysis tools—from websites other than the one you are visiting. These websites are called content providers or third-party websites. When you visit a website with third-party content, some information about you is sent to the content provider. If a content provider offers content to a large number of the websites you visit, the content provider could develop a profile of your browsing preferences. Profiles of browsing preferences can be used in a variety of ways, including for analysis and serving targeted advertisements.

Usually this third-party content is displayed seamlessly, such as in an embedded video or image. The content appears to originate from the website you originally went to, so you may not know that another website might be able to see where you are surfing. Web analysis or web measurement tools report website visitors' browsing habits, and are not always obvious to you. While these tools can sometimes appear as visible content (such as a visitor counter, for example), they are often not visible to users, as is often the case with web beacons. Web beacons are typically single-pixel transparent images whose sole purpose is to track website usage, and they do not appear as visible content.

InPrivate Filtering works by analyzing web content on the webpages you visit, and if it sees the same content being used on a number of websites, it will give you the option to allow or block that content. You can also choose to have InPrivate Filtering automatically block any content provider or third-party website it detects, or you can choose to turn off InPrivate Filtering.

How do I turn InPrivate Filtering on and off?

By default, InPrivate Filtering analyzes the websites you visit and the content providers they use, but does not automatically block them. You can choose to allow or block any content provider that InPrivate Filtering identifies as receiving information about your browsing. Alternatively, you can have InPrivate Filtering automatically block any content provider, or you can turn off InPrivate Filtering.

To turn on InPrivate Filtering for the first time, follow these steps:

  1. In Internet Explorer, click the Safety button, and then click InPrivate Filtering.
  2. Do one of the following:
    • Click Block for me to block websites automatically.
    • Click Let me choose which providers receive my information to choose content to block or allow.
  3. Click OK.

If you've already turned on InPrivate Filtering, follow these steps:

  1. In Internet Explorer, click the Safety button, and then click InPrivate Filtering.
  2. Do one of the following:
    • To automatically block websites, click Automatically block.
    • To manually block websites, click Choose content to block or allow.
    • To turn off InPrivate Filtering, click Off.
  3. Click OK.

How do I manually choose content to block or allow?

To manually block or allow content provider or third-party websites that could be in the position to know which websites you've visited, follow these steps:

  1. In Internet Explorer, click the Safety button, and then click InPrivate Filtering Settings.
  2. Click Choose content to block or allow, click one or more websites, and then click Allow or Block.
  3. When you're finished, click OK.


Changing intranet security settings

Here are answers to some common questions about intranets and intranet security.

What is an intranet?

An intranet is a private network, usually within a company or organization. An intranet uses the same protocols as the Internet and can contain the same types of content.

What's an intranet used for?

Intranets are commonly used to store internal, company-related content, such as information about company policies or employee benefits. Because security is tightly controlled by the administrator, the security settings for intranet content can be less restrictive than the settings used for content that comes from the Internet.

What's the difference between an intranet and the Internet?

One difference between the Internet and an intranet is the way pages are addressed. On the Internet, webpages typically are addressed through a full domain name, such as www.microsoft.com. Depending on how the administrator has configured the network, the domain name is usually not needed to access intranet sites and many webpages can be accessed by typing a common name (for example, http://benefits). If intranet security is enabled, Internet Explorer will recognize the difference between the addresses and use the appropriate security zone settings.

Do I need to set anything in Internet Explorer to have intranet security?

Not usually. When you first install Internet Explorer, it will check to see if you are on an intranet and set address checking appropriately. Your network administrator can also control whether Internet Explorer uses the intranet security zone settings. If Internet Explorer recognizes that you are on an intranet, you do not need to do anything else. If it does not recognize that you're on an intranet, follow these steps to to tell Internet Explorer that you are on one:

To tell Internet Explorer that you are on an intranet

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab, and then click Local intranet.
  3. Click the Sites button.
  4. In the Local intranet dialog box, clear the Automatically detect intranet network check box, if it is selected.
  5. Select all other check boxes, and then click OK twice.

Why do I get an Information bar notice about the intranet?

If you are connected to an intranet but receive an Information bar notice that an intranet address has been detected, it means that Internet Explorer did not automatically detect your intranet. To tell Internet Explorer that you are on an intranet, follow the steps in the section above.

How do I connect to my company's intranet?

To learn how to connect to your company's intranet, you'll need to talk to your network administrator or search for "network" in Windows Help and Support Center. The settings discussed above control how Internet Explorer works with intranet addresses, but those settings will not help you set up an intranet connection if one does not already exist.


What happened to the Internet Explorer Mail button?

In Internet Explorer 8, the Mail button has been replaced by the Read Mail button, which works similarly. If the Read Mail button does not appear on the Command bar, you can turn it on by following these steps:

To add the Read Mail button to the Command bar

  1. In Internet Explorer, right-click the Command bar, point to Customize, and then click Add or Remove Commands.
  2. Under Available toolbar buttons, click Read Mail, and then click Add.
  3. Click Close.

You should see your changes immediately. If your Command bar has a lot of buttons, you might need to resize the Command bar to see them all. For more information, see Customize the Internet Explorer toolbars.


Fill in passwords automatically

By default, Internet Explorer is set up to remember passwords automatically if you would like it to do so. When you first type a password into a web form, you will be asked if you would like Internet Explorer to remember the password. If you would like the password to be remembered, simply click Yes.

If you are not asked whether you would like the password to be remembered, you need to turn on the AutoComplete feature.

To turn on the AutoComplete feature

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Content tab.
  3. Under AutoComplete, click Settings.
  4. Select the User names and passwords on forms check box.
  5. If you would like Internet Explorer to ask you for permission to save new passwords, select the Ask me before saving passwords check box. If you want Internet Explorer to save passwords automatically and not ask for your permission for each new password, clear that check box.
  6. Click OK twice.

Note

  • If you want to delete the names, passwords, or other information that is saved in Internet Explorer, you can do so. To learn how, click Related Topics.


Change Internet Explorer Privacy settings

Being aware of how your private information is used when browsing the web is important to help prevent targeted advertising, fraud, and identity theft.

How do I change my Internet Explorer Privacy settings?

To change your Internet Explorer privacy settings, follow these steps:

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Privacy tab.

What cookie settings are available?

You can choose standard cookie settings, or block or allow cookies for specific websites. For more information about cookies, see Cookies: frequently asked questions.

What is Pop-up Blocker?

Pop-up Blocker is a feature in Internet Explorer that stops many unwanted pop-up windows from appearing. For more information, see Pop-up Blocker: frequently asked questions.


Change Internet Explorer Programs Settings

By using the Programs settings in Internet Explorer, you can change your default web browser and webpage editor, and manage Internet Explorer add-ons.

How do I find Internet Explorer's Programs settings?

To find Internet Explorer Programs settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Programs tab.

What does the Internet Programs setting do?

This option allows you to choose which programs are used for common Internet-related tasks (such as reading e-mail messages).

What do the default web browser settings do?

The default web browser settings allow you to specify which web browser will be used to open websites when you click a web link in a program or in a document. By default, Internet Explorer will be used.

What does Manage Add-ons do?

It allows you to view, enable, or disable the add-ons on your computer. Add-ons include things such as ActiveX controls, Browser Helper Objects (BHOs), and specialized toolbars. For more information about add-ons, see Web browser add-ons: what you need to know and How do browser add-ons affect my computer?


Remove spyware

To remove spyware

There are several solutions to try, from simple to more advanced. Follow these steps, in order, until the spyware is removed.

Use an antispyware scanner and removal tool

Antispyware scanners are often included in antivirus products. If you already have an antivirus product installed, check to see if it includes antispyware capabilities or if you can update the product to add them, and then run the scanner. If you don't have an antispyware tool, there are several available on the Internet. Choose one from a trusted source, or ask someone for a recommendation.

Uninstall spyware

Occasionally, it is possible to use Add or Remove Programs in the Windows Control Panel to uninstall spyware. Although many spyware programs use special installation methods to avoid showing up in the list of programs that can be removed, some will appear there.

Warning

  • Use this method with extreme caution. Please be careful and only remove programs that you can positively identify as spyware.

To uninstall spyware

  1. In Windows, click Start, click Control Panel, and then click Add or Remove Programs.
  2. Click Remove a program.
  3. Scan the list for programs that look like spyware. To identify these programs, look for programs that you did not install or do not want, or those with names related to any toolbars or dialog boxes the spyware has displayed.
  4. Click the program that you want to remove.
  5. Click Change/Remove and follow the prompts to remove that program.
  6. Continue to remove spyware programs by following steps 4 and 5 above.
  7. When you are finished removing spyware programs, close the Add or Remove Programs dialog box by clicking the Close button.

Be aware that some spyware might appear in the list of programs that can be removed. In addition, some spyware programs will not uninstall completely, even if they are listed, or they might request a fee for removal (which you should not pay). When you're done uninstalling spyware, check your system again with an antispyware scanner and removal tool.

Restore the computer to the state that it was in before spyware infected it

If you can pinpoint the date when the spyware was installed, you might be able to use Windows System Restore to return the computer to the state it was in before the problem started.

To restore the computer to a previous state

  1. In Windows, click Start, point to All Programs, point to Accessories, point to System Tools, and then click System Restore.
  2. Follow the prompts to complete the restoration process.

After restoring your system, go to the Windows Update (http://update.microsoft.com) website and check for updates as soon as possible. By restoring the computer to a previous state, it is possible that important system updates were deleted. It's important to reinstall those updates because they might protect the computer from being infected again.

Reinstall Windows

Some spyware has the ability to hide itself so well that it simply cannot be removed. If you still see evidence of spyware after trying the solutions above, you might need to reinstall Windows and your programs.

Warning

All of your files and programs will be deleted if you follow these steps. This will remove the spyware, but it will also erase all of the files on your computer and should only be tried as a last resort. If you must do this, be sure to carefully follow these steps.

To reinstall Windows

  1. Back up all of your files and information on external media (for example, CDs, DVDs, USB flash drives, or other media that is not on your computer's hard disk drive).
  2. Write down user names and passwords for Windows, e-mail programs, instant messaging programs, or any other programs you will need later.
  3. Gather all the software disks and product keys that came with your computer or with any of your hardware (such as a printer or scanner). Most manufacturers place the Windows product key on the outside of the computer. Other program's keys are usually on their CD cases, instruction manuals, or registration cards.
  4. Write down the brand and model of hardware devices such as video cards, audio cards, or printers in case you also need to install the software for them. You can find some of this information in Device Manager (click Start, click Control Panel, click Printers and Other Hardware, on the left, click System, click the Hardware tab, and then click Device Manager). If you bought your computer through a retail computer store or website, you might be able to search that website with the computer's model number, and find a hardware list.
  5. Reinstall Windows. If your computer came with a recovery disk, follow the instructions provided by the manufacturer. If no specialized recovery disk was provided, reinstall Windows from a product disk.
  6. After Windows is reinstalled, go to the Windows Update (http://update.microsoft.com) website and install the latest updates immediately. Applying the latest Windows updates can help prevent future spyware infections.
  7. Install up-to-date antivirus software. Most antivirus companies offer spyware detection and protection. If you don't have an antivirus program, visit the Microsoft Security at Home (http://www.microsoft.com/athome/security/default.mspx) website.


Reorganize your home page tabs

By default, home page tabs are ordered chronologically, with the most recently added webpage being the first tab. To reorder the home page tabs, follow these steps:

  • Open Internet Explorer.
  • Click the Tools button and then click Internet Options .
  • Click the General tab.
  • Under Home Page, select the home page your want to move, right-click it, and then click Cut.
  • Click at the beginning of the line where you want to move the home page address, and then press ENTER to create an empty line. Right-click the empty line, and then click Paste.
  • Repeat steps 4 and 5 for each home page you want to move.
  • Click OK to save your changes and exit.

You can use a text editor, such as Notepad or your word processor to edit and rearrange your home pages. To do this, follow steps 1 through 3 above to get to the General tab. Select all of the home pages, right-click one of the selected pages, and then click Cut. Open Notepad or your word processor and then paste the home page list. Organize the home page list in the order you prefer by cutting and pasting. When you're done, select the list and copy it back into the Home Page section in Internet Explorer.


What you should know about running scripts and ActiveX controls in Internet Explorer

Be cautious about allowing websites to run scripts or ActiveX controls on your computer. While these items can enhance web browsing, they can also be a security risk, and it’s best to avoid using them when you can. However, some websites or tasks might require them and you will have to decide whether to trust ActiveX controls that Internet Explorer blocks for your safety.

For more information about ActiveX controls and their possible security risks, click Related Topics.


Change Internet Explorer Security settings

The Internet Explorer Security tab is used to set and change options that can help protect your computer from potentially harmful or malicious online content.

How do I find the Internet Explorer Security settings?

If you aren't already looking at the Internet Explorer Security settings, follow these steps to find them:

To find Internet Explorer Security settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab.

What are the security zones?

Internet Explorer assigns all websites to one of four security zones: Internet, Local intranet, Trusted sites, or Restricted sites. The zone to which a website is assigned specifies the security settings that are used for that site.

The following table describes the four security zones in more detail.

Internet | The level of security set for the Internet zone is applied to all websites by default. The security level for this zone is set to Medium High (but you can change it to either Medium or High). The only websites for which this security setting is not used are those in the Local intranet zone or sites that you specifically entered into the Trusted or Restricted site zones.
Local intranet | The level of security set for the Local intranet zone is applied to websites and content that is stored on a corporate or business network. The security level for the Local intranet zone is set to Medium (but you can change it to any level).
Trusted sites | The level of security set for Trusted sites is applied to sites that you have specifically indicated to be ones that you trust not to damage your computer or information. The security level for Trusted sites is set to Medium (but you can change it to any level).
Restricted sites | The level of security set for Restricted sites is applied to sites that might potentially damage your computer or your information. Adding sites to the Restricted zone does not block them, but it prevents them from using scripting or any active content. The security level for Restricted sites is set to High and can't be changed.

Note

  • In addition to the default security levels, you can also customize individual security settings by clicking the Custom level button.

How do I assign a website to a security zone?

For information about adding or removing websites from security zones, see Security zones: adding or removing websites.

Can I change my privacy settings in this tab?

No. Privacy and cookie settings are changed on the Privacy tab.


Why is my Internet connection so slow?

No matter how fast your Internet connection is, there are times when things will slow down to a crawl. This article will help you sort out what kinds of things can go wrong, learn what you can do about them, and discover how to get the most from your Internet connection.

The type of connection you have makes a difference

The type of Internet connection you use is the most important factor in determining your connection speed. The three most common ways to connect to the Internet from home are dial-up, DSL, and cable. If you have a choice, cable is usually the fastest, but both DSL and cable are faster than dial-up.

Many Internet providers also offer Fiber Optic Service (FiOS), which connects to the Internet using light over an optical network. In your home, you still connect your computer through copper wiring. The advantage of FiOS is that it can provide higher speeds than traditional copper wire connections such as DSL or cable. Some Internet providers offer multiple options, depending on the area you are in. More populated areas are more likely to have FiOS available. Check with your phone company or Internet provider for more information.

If you use a dial-up connection, there are a couple of good ways to optimize your Internet speed. First, use the fastest modem you can. The fastest modem you can use will send and receive information at a rate of 56 kilobits per second (Kbps). You won't get a full 56 Kbps speed most of the time, but with a good phone line, you should approach at least 45-50 Kbps.

Second, make sure that your phone line is in good condition. If the telephone wiring in your home or business is old or deteriorating, you might be picking up stray signals or cross talk from other phone lines. These problems will slow your Internet connection because the modem will have to send the same information over and over until it is transmitted without interruption. Check your telephone wires to be sure they are not damaged, frayed, or twisted around power or other telephone cables. If you notice crackling in your phones, you might want to contact your phone provider to have them check the lines inside and outside your home to make sure they are in good condition.

Computer woes: spyware, viruses, and other programs

The health of your computer can affect your Internet connection. Spyware and viruses can definitely cause problems, but your Internet connection speed can also be affected by add-on programs, the amount of memory the computer has, hard disk space and condition, and the programs that are running.

Two of the most frequent causes of poor Internet performance are spyware and viruses. Spyware can slow your system by interfering with your browser and monopolizing your Internet connection. Spyware monitors your Internet use and keystrokes, which adds delays. The problem is compounded when there are multiple spyware programs running at the same time. If the problem is severe enough, you can lose connectivity altogether. To get your Internet performance back, you should regularly run an antispyware program to clean out any spyware infestation. For more information, see Spyware: frequently asked questions.

Computer viruses can also cause poor Internet performance. When a virus infects a computer, it installs computer code which will attempt to propagate itself, usually by sending copies of itself through e-mail. Some viruses can multiply at the rate of hundreds of e-mail messages per minute, which leaves little computing power and Internet connection bandwidth for anything else. Viruses often do not give any obvious indication that they are running, so it is best to run your antivirus software at all times. For more information about dealing with viruses, see Viruses: frequently asked questions.

Browser add-ons also cause performance problems. Browser add-ons are programs, such as multimedia add-ons, search bars, or other programs that usually appear on your browser's toolbar. Many browser add-ons can add to a rich browsing experience, offering multimedia or specialized document viewing. However, some add-ons can slow your Internet connection. If you suspect that add-ons are causing slow performance, try starting Internet Explorer in Add-ons disabled mode. Add-ons are disabled only for the session, but if you find your performance improves, you can use Manage Add-ons to turn them off permanently. To access Manage Add-ons from Internet Explorer, click the Tools button, and then click Manage Add-ons. For more information, see How do browser add-ons affect my computer?

Like all computer programs, Internet Explorer requires a certain amount of computing power, memory, and disk space to run efficiently. Every webpage you view is first downloaded to memory and then saved to temporary disk files. Running another program that is using lots of memory and computing power can compete with Internet Explorer and cause delays. If you find your Internet connection running slowly and you have other programs running, try closing them. If you want to run several programs, consider increasing the memory you have on your computer. Low disk space can also cause performance problems. You can increase your disk space by deleting temporary files from Internet Explorer. To learn how to delete temporary files, see Delete webpage history.

Occasionally, settings get changed in Internet Explorer that could possibly affect how Internet Explorer works. You can reset Internet Explorer to its default settings. For more information, see Reset Internet Explorer settings. Resetting Internet Explorer is not reversible, so you should read the list of settings that are affected before resetting.

Outside factors that affect connection speeds

Unfortunately, there are events and conditions that are outside your control. Even with a fast connection, external factors, such as busy websites or spreading computer viruses, can slow the entire web. Popular websites can become overwhelmed with users. For example, when a television commercial mentions a website, many people might try to visit the site at the same time. If the website isn't prepared to handle the traffic, you might encounter delays.

During times of heavy computer virus outbreaks, the Internet can slow down. Many viruses spread by causing computers to send out hundreds or thousands of copies of the virus. This can slow the Internet by sheer volume. You can see what major outbreaks are currently happening by visiting your antivirus vendor's website, or the Security at Home (http://www.microsoft.com/athome/security/default.mspx) website.

Local Internet congestion can also result in slower-than-normal connection speeds. These slowdowns occur when many people try to connect to the Internet at the same time, and they occur most often at peak activity times, such as after-school hours when students get home and connect to the web.

If you're on a corporate network, general network and proxy server use can affect your Internet performance. Most network administrators monitor Internet use, and will try to keep people from doing things like downloading large files during peak hours. If you find that your Internet access is slow at times, you might discuss it with your network administrator. For more information on proxy servers, see What is a proxy server?

Tips for wireless network users

When connecting to a wireless network (Wi-Fi), your Internet connection speed can be affected by both where your computer is located and whether other wireless devices are in the same area. Wireless networks operate on frequencies that are similar to those used by other devices, such as microwave ovens or cordless phones. Operating a 2.4 gigahertz (GHz) cordless phone next to your 2.4 GHz wireless laptop can cause interference, or completely block the wireless network connection. If you want to make phone calls while surfing the web, either use a wired telephone or cordless phone that operates at a different frequency than your wireless network.

Proximity to the wireless access point or router, as well as physical obstructions, can affect the quality of your Internet connection. To improve your connection speed, move closer to the access point and make sure that there are no physical obstructions between the access point and your computer.


Get information about Secure Sockets Layer (SSL) certificates

When you connect to a commerce website, such as a bank or bookseller, Internet Explorer uses a secure connection that uses Secure Sockets Layer (SSL) technology to encrypt the transaction. The encryption is based on a certificate that provides Internet Explorer with the information it needs to communicate securely with the website. Certificates also identify the website and owner or company.

You can view a certificate to validate the identity of a website before providing personal or financial information to an online business.

To validate the identity of a website

  1. Open Internet Explorer.
  2. Go to the website that you want to validate.
  3. Click the Lock icon Picture of the Lock icon, which is located to the right of the Address bar.

Basic certificate information (for example, the name and address of the website owner and information about who certified the site) will be displayed. To see additional information, click View certificates.

Note

  • If a lock icon does not appear in the Address bar in step 3 above, the connection is not secure and you should not enter personal or financial information.


Use your own style sheet to format webpages

If you want to specify how webpages will display, you can use your own style sheet. A style sheet is a template that defines the fonts and visual styles that are used on a webpage. Using your own style sheet is helpful if the original design of a webpage doesn't work well for accessibility reasons.

To pick a style sheet

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then click Accessibility.
  3. In the Accessibility dialog box, select the Format documents using my style sheet check box.
  4. Type the name of the style sheet you want to use, or click Browse and navigate to it.
  5. Click OK twice to finish.

Note

  • You must either write your own style sheets or get them from another source. For more information about creating style sheets, see the Worldwide Web Consortium (W3C) (http://www.w3.org/StyleSheets/Core/) website or the HTML Writers Guild (http://aware.hwg.org/tips/essay_kb_03.html) website.


View temporary Internet files

Webpages are stored in a temporary Internet files folder the first time you view them in your web browser. This speeds up the display of pages you frequently visit or have already seen, because Internet Explorer can open them from your hard disk instead of from the Internet.

To view temporary Internet files

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Settings.
  3. In the Settings dialog box, click View files.

To delete temporary Internet files

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Delete.
  3. In the Delete Browsing History dialog box, select the check boxes for the information you want to delete, click Delete, and then click OK.

Note

  • If you want to save a permanent copy of one of the files in the Temporary Internet Files folder, copy it to another folder. To copy a file while you're viewing temporary files, right-click the file, click Copy, and then paste the file into another folder.


Introducing Internet Explorer 8

Here are some ways that Internet Explorer makes browsing the web easier, safer, and more enjoyable.

Increased security and privacy

New security and privacy features allow you to browse the web more safely.

  • Microsoft SmartScreen Filter can help protect you from phishing attacks, online fraud, and spoofed websites, as well as websites that distribute malicious software. For more information, see SmartScreen Filter: frequently asked questions.
  • InPrivate Browsing enables you to surf the web without leaving a trail in Internet Explorer. This helps prevent anyone else who might be using your computer from seeing where you visited and what you looked at on the web. For more information, see What is InPrivate Browsing?
  • InPrivate Filtering helps you prevent websites from sharing your browsing habits. For more information, see InPrivate: frequently asked questions.
  • Higher security levels can help protect you from hackers and web attacks. The Internet Explorer Cross-site Scripting (XSS) Filter can help prevent malicious websites from stealing your personal information when you visit trusted sites. For more information, see How does Internet Explorer help protect me from cross-site scripting attacks?

New features

  • The new Safety button on the Internet Explorer Command bar brings together security and privacy features such as Windows Update, SmartScreen Filter, and InPrivate Browsing in one place. If the Safety button isn't showing, see Customize the Internet Explorer toolbars.
  • Searching the web is easier with the new search menu that offers search suggestions, history, and AutoComplete as you type into the search box. You can also quickly change search providers by clicking the arrow to the right of the search box and then choosing the search provider you want to use. For more information, see Change or choose a search provider in Internet Explorer and Tips for searching the Internet.
    Picture of the search box
    Internet Explorer search box
  • Highlight a word or phrase on a webpage, click the Accelerator button Picture of the Accelerator button, and instantly link to a service such as mapping, translation, or searching. For more information about using Internet Explorer Accelerators, see Using Accelerators to find addresses, define words, and do other tasks with selected text.
  • Website developers can use Internet Explorer Developer Tools to create websites without having to custom-tailor them for each browser, and can view and debug their webpages right in Internet Explorer. For more information, see Find more information on the Internet Explorer Developer Tools.
  • While developers are busy updating their websites for Internet Explorer 8, you can click the Compatibility View button Picture of the Compatibility View button to display websites that haven't been updated. For more information, see Why don't some websites display correctly in Internet Explorer 8?
  • When things don't work out with a website, and a tab crashes, Internet Explorer's crash recovery now automatically closes and attempts to recover the tab without affecting other open tabs.
  • Close a tab or window by accident? No problem. Internet Explorer now lets you re-open closed tabs with form data recovery when tabs are closed during your current browsing session. If you have tabs open when you close your browser window, you can choose to re-open your last browsing session the next time you open Internet Explorer. See Open tabs you've previously closed.
  • While browsing the web, Suggested Sites, a new web service, offers you suggestions of websites you might like based on your browsing history. For more information, see Suggested Sites: frequently asked questions.
  • Internet Explorer now supports W3C standards that enable web designers to provide alternate style sheets for websites. You can also turn off a style sheet on a webpage. For more information, see What are Internet Explorer styles?

Get the latest content with the Favorites bar

The Favorites bar enables you to add feeds, Web Slices, and favorites to the Favorites bar so you can see when updated content on your favorite websites changes. For more information, see Customize your Favorites bar.

Web Slices are website content—such as the current temperature, or a changing auction price—that you can monitor on your Favorites bar. When the Web Slice is updated, the link will appear in bold on the Favorites bar. You can then click the link to see the updated content. For more information, see Web Slices: frequently asked questions.

Help prevent online attacks by keeping Internet Explorer up to date

Keeping Windows and Internet Explorer up to date is one of the best ways to prevent trouble online. Microsoft issues updates periodically which can help prevent online attacks through known vulnerabilities. Microsoft provides these updates free of charge through Windows Update. If your computer is not set up to automatically receive updates, you can manually request these updates by using Internet Explorer. Click the Safety button, and then click Windows Update. Follow the instructions to check for updates.


What are Internet Explorer favorites?

Internet Explorer Favorites are links to websites that you visit frequently. By adding a website to your favorites list, you can go to that site by simply clicking its name, instead of having to type its address. If you are viewing a website and want to add it to your favorites list, click the Favorites button, and then click Add to Favorites. Type a new name for the page if you want to, specify the folder that the favorite should be created in, and then click Add. You can also save a favorite by pressing CTRL+D.


What is an Internet Service Provider (ISP)?

An Internet Service Provider (ISP) is a company that provides you with access to the Internet, usually for a fee. The most common ways to connect to an ISP are by using a phone line (dial-up) or broadband connection (cable or DSL). Many ISPs provide additional services such as e-mail accounts, web browsers, and space for you to create a website.


Tips for Netscape users

Whether you are switching from Netscape Navigator or just want to use more than one browser, it's easy to learn and use Internet Explorer. From keyboard shortcuts to bookmarks, you can make the transition simple and fast.

To see what's new in Internet Explorer, see Introducing Internet Explorer 8.


Make an existing favorite item available offline

The offline viewing feature has been removed from Internet Explorer. For more information, see What happened to offline favorites?


Change how a webpage looks when it prints

You can change settings that determine how a webpage will print by following these steps:

  1. Click the arrow to the right of the Print button Picture of the Print button, and then click Page Setup.
  2. In the Margins boxes, type the margin measurements in inches.
  3. Under Orientation, click either Portrait or Landscape to specify whether you want the page printed vertically or horizontally.

Using Headers and footers

Headers and footers enable you to add additional information on the top and bottom of webpages you print. You can add things like the date or time, page numbers, window title, or webpage address. You can include items on the left, center, or right of either the header or footer, or both.

To customize the header or footer of pages you print, follow these steps:

  1. In Internet Explorer, go to the webpage you want to print.
  2. Click the arrow to the right of the Print button, and then click Page Setup.
  3. In the Page Setup dialog box, click the lists under Headers and Footers, and then click the items you want to print.

Creating headers and footers

The following table describes how to display different kinds of information in the headers or footers of printed webpages. Unlike earlier versions of Internet Explorer, you don't need to use special codes to build your headers or footers. You only need to choose an option from one of the Header or Footer lists in the Page Setup dialog box.

To print this | Click this option in a Header or Footer list
Windows title | Title
Page address (URL) | URL
Date in short format (as specified by Regional and Language Options in Control Panel) | Date in short format
Date in long format (as specified by Regional and Language Options in Control Panel) | Date in long format
Time (as specified by Regional and Language Options in Control Panel) | Time
Time in 24-hour format | Time in 24hr format
Current page number | Page number
Total number of pages | Total pages
Page number of total pages | Page # of total pages

Creating custom headers or footers

You can create your own custom header or footer text by using ampersand codes. To create a fully customized header or footer, click one of the lists under Headers or Footers in the Page Setup dialog box, and then click Custom. In the Custom dialog box, type your own custom text along with these codes. For example, to print the date and city on the document you might type Printed in Seattle on &D. The following table shows the ampersand codes that are available:

To print this | Type this
Window title | &w
Page address (URL) | &u
Date in short format (as specified by Regional and Language Options in Control Panel) | &d
Date in long format (as specified by Regional and Language Options in Control Panel) | &D
Time (as specified by Regional and Language Options in Control Panel) | &t
Time in 24-hour format | &T
Current page number | &p
Total number of pages | &P
Right-aligned text (following &b) | &b
Centered text (between &b&b) | &b&b
A single ampersand (&) | &&

Note

  • If you want to set margins in millimeters instead of inches, you must change the Regional and Language Options in Control Panel.


E-mail a picture from a webpage

To e-mail a picture from a webpage

  1. In Internet Explorer, right-click the picture you want to send in e-mail.
  2. Click E-mail Picture.
  3. Choose whether you want to reduce the size of the picture when it is sent or keep it the same size, and then click Attach.
  4. Send the e-mail as you typically would.


Using the image toolbar in Internet Explorer

The image toolbar is no longer supported by Internet Explorer. See the links below for information about how to perform image toolbar tasks in this version of Internet Explorer.

To do this | See this topic
Save a picture from a webpage | To save a picture from a webpage
Print the image from a webpage | To print a picture from a webpage
Send the image in e-mail using your default e-mail program | To e-mail a picture from a webpage


Understanding privacy policies

A website's privacy policy tells you what kind of information the website collects, to whom it gives that information, and how it uses the information.

Many websites provide privacy statements as written documents that you can view on the Internet. Websites also might provide a Platform for Privacy Preferences (P3P) privacy policy. If a website has a P3P privacy policy, Internet Explorer can display it. Internet Explorer also might be able to compare your privacy settings to a representation of the P3P privacy policy to determine whether to allow the website to save information on your computer (in the form of small files called cookies).

For more information about cookies or the security and privacy features in Internet Explorer, click Related Topics.


View a website's computer-readable P3P privacy policy

View a website's P3P privacy policy

  1. In Internet Explorer, click the Safety button, and then click Webpage Privacy Policy.
  2. Double-click the website for which you want to view the privacy policy.
  3. When you are finished reviewing the privacy policy, click OK, and then click Close.

Notes

  • Internet Explorer can only display a website's privacy policy if the policy is written using Platform for Privacy Preferences (P3P) standards. Even if a website does not have a P3P privacy policy, it might have a written privacy statement that you can view on the Internet. Although Internet Explorer can display a website's P3P privacy policy, Internet Explorer cannot verify that the website complies with its own privacy policy.
  • After reviewing the P3P privacy policy, you can specify how you want Internet Explorer to handle cookies from the selected website. If you want Internet Explorer to determine whether or not to allow this website to save cookies on your computer by comparing the privacy policy with your privacy settings, select Compare cookies' Privacy Policy to my settings. If you want Internet Explorer to always allow cookies from this website to be saved on your computer, select Always allow this site to use cookies. If you want Internet Explorer to never allow cookies from this website to be saved on your computer, select Never allow this site to use cookies.
  • For more information about privacy policies or the security and privacy features in Internet Explorer, click Related Topics.


Understanding privacy reports

The Privacy Report in Internet Explorer allows you to view the P3P privacy policy for a website, find out if a website might contain information provided by a third-party website (a website other than the one you are viewing), or find out if Internet Explorer restricted any cookies from the website you are viewing.

To learn how to view a website's privacy policy, or to learn more about privacy settings or the security and privacy features in Internet Explorer, click Related Topics.


Helping to protect your computer from unsafe software

When you download or run programs from the Internet, you want to know that the program comes from a known, reliable source. Internet Explorer uses Microsoft Authenticode technology to help verify the identity of the program. Authenticode technology checks to see if the program has a valid certificate, that the identity of the software publisher matches the certificate, and that the certificate is still valid. Note that this does not prevent a poorly written program from being downloaded or run on your computer, but it helps reduce the chance of someone misrepresenting a program that is intended to be malicious or intentionally harmful.

You can specify different settings for the way Internet Explorer handles downloading programs and files, depending on the zone they are coming from.

For example, you might be confident that what you download within your corporate intranet is safe. So, you might set your security settings for your Local intranet zone to a low level to allow downloading with little or no prompting. If the source is in the Internet zone or the Restricted sites zone, you might want your security levels set to Medium or High. Then, you'd be prompted with information about the program's certificate before it is downloaded, or you might not be able to download it all.


Assign a website to a security zone

To assign a website to a security zone

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab, and then click a security zone: Local intranet, Trusted sites, or Restricted sites.
  3. Click the Sites button. If you clicked Local intranet in step 2, click Advanced.
  4. Type the Internet address (URL) for the website that you want to add to this zone, and then click Add.

    If you want to add a website to the list of trusted sites, but the site is not secured (the address begins with HTTP instead of HTTPS), clear the Require server verification (https:) for all sites in this zone check box before adding the address. If that option is selected, you can only add secure websites to the list.

  5. Repeat step 4 for each site you want to add to the zone.
  6. When you are finished adding sites, click Close, and then click OK.

Notes

  • You cannot add websites to the Internet zone. This zone automatically includes everything that does not belong to any other zone or is not stored on your computer.
  • To remove a website from a zone, complete steps 1 through 3. In the Websites list box, click the name of the website you want to remove, and then click Remove.
  • If you want Internet Explorer to help verify that the server for the website is secure before adding it to the Trusted sites zone, select the Require server verification (https:) for all sites in this zone check box.


Understanding cookies

For more information about cookies, see Cookies: frequently asked questions.


Deleting cookies

You can delete all or some cookies in Internet Explorer.

To delete a single cookie

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Settings.
  3. Click the View files button.
  4. Click the Name column heading to sort all the files alphabetically, and then scroll down until you see files that begin with the prefix Cookie:. All cookies will have that prefix, and they usually contain the name of the website that created the cookie.
  5. Right-click the cookie you want to delete, click Delete, and then click Yes.
  6. Close the window that contains the list of files, and then click OK twice to return to Internet Explorer.

To delete all cookies

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. On the General tab, under Browsing history, click Delete.
  3. Select the check box next to Cookies. If you only want to delete cookies, clear any other check boxes.
  4. Click Delete, and then click OK.

Note

  • Some websites store your member name, password, or other information about you in a cookie. If you delete that cookie, you might need to enter your personal information again the next time you visit the site.


Change your privacy settings

Cookies are files that are stored on your computer by some websites. They're usually used to keep track of information about you (for example, your user name, password, or the contents of your shopping cart). Internet Explorer privacy settings let you specify which cookies you want to allow to be stored on your computer.

To change your privacy settings

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Privacy tab, and then move the slider to the level of privacy you prefer.
Select this To specify this
Block All Cookies
  • Cookies from all websites will be blocked.
  • Cookies that are already on your computer cannot be read by websites.
High
  • Cookies from all websites that do not have a compact policy (a condensed, computer-readable privacy statement) will be blocked.
  • Cookies from all websites that use information that can be used to contact you without your explicit consent will be blocked.
Medium High
  • Cookies from third-party websites that do not have a compact policy (a condensed, computer-readable privacy statement) will be blocked.
  • Cookies from third-party websites that use information that can be used to contact you without your explicit consent will be blocked.
  • Cookies from first-party websites that use information that can be used to contact you without your implicit consent will be blocked.
Medium
  • Cookies from third-party websites that do not have a compact policy (a condensed, computer-readable privacy statement) will be blocked.
  • Cookies from third-party websites that use information that can be used to contact you without your implicit consent will be blocked.
  • Cookies from first-party websites that use information that can be used to contact you without your implicit consent will be deleted from your computer when you close Internet Explorer.
Low
  • Cookies from third-party websites that do not have a compact policy (a condensed, computer-readable privacy statement) will be blocked.
  • Cookies from third-party websites that use information that can be used to contact you without your implicit consent will be deleted from your computer when you close Internet Explorer.
Accept All Cookies
  • All websites will be allowed to save cookies on your computer.
  • Cookies that are already on your computer can be read by the websites that created them.

Notes

  • A first-party website is the website that you are currently viewing. A third-party website is a website other than the one you are currently viewing. Third-party websites usually provide some content on the website you are currently viewing. For example, many sites use advertising from third-party websites and those third-party websites might use cookies.
  • Some websites require cookies. If you select a privacy setting that does not allow cookies to be saved on your computer, you might not be able to view certain websites.
  • When you change your privacy settings, the changes might not affect cookies that are already on your computer. To help ensure that all of the cookies on your computer meet your privacy settings, you should delete all of the existing cookies on your computer. When you return to websites that previously had saved cookies on your computer, the websites that meet your privacy settings will save cookies on your computer again. The websites that do not meet your privacy settings will not be allowed to save cookies on your computer. For information about how to delete cookies, click Related Topics.
  • You can specify custom privacy settings for websites. For more information, click Related Topics.


Understanding unsigned controls

An unsigned control is software that does not have a valid software publisher's certificate. The certificate tells you who published the control and that it hasn't been tampered with since it was published.

When you know who published a control, you can decide whether to trust the publisher. Controls can contain computer code that can either inadvertently or deliberately damage your files. If a control is unsigned, you have no way of knowing who created it and whether to trust them.


Customize your privacy settings for an individual website

Cookies are files that are stored on your computer by some websites. They're usually used to keep track of information about you (for example, your user name, password, or the contents of your shopping cart). Internet Explorer privacy settings let you specify which cookies you want to allow to be stored on your computer.

To customize cookie settings for an individual website

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Privacy tab, and then click Sites.
  3. In Address of website, type the complete address (URL) of the website for which you want to specify custom settings. For example, http://www.microsoft.com.
  4. To specify that you want Internet Explorer to always allow cookies from the specified website to be saved on your computer, click Allow. To specify that you want Internet Explorer to never allow cookies from the specified website to be saved on your computer, click Block.
  5. Repeat steps 3 and 4 for each website you want to block or allow. When you are finished, click OK twice.

Notes

  • Some websites require cookies. If you choose not to allow cookies to be saved on your computer, some websites might not display correctly.
  • When you change your privacy settings, the changes might not affect cookies that are already on your computer. To help ensure that all of the cookies on your computer meet your privacy settings, you should delete all of the existing cookies on your computer. When you return to websites that previously had saved cookies on your computer, the websites that meet your privacy settings will save cookies on your computer again. The websites that do not meet your privacy settings will not be allowed to save cookies on your computer. For information about how to delete cookies, click Related Topics.


Set a security level for each zone

Internet Explorer provides four security zones that can be customized. Before you customize security zones, be aware that each security zone has a default setting, and your computer might be at risk if you set the security setting below the recommended level.

To set a security level for each zone

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab, and then click the zone that you want to set the security level for.
  3. Under Security level for this zone, do one of the following:
    • To use the default security level for that zone, click Default level, and then click OK.
    • To customize the security level for that zone, click Custom level, select the security options you would like to use, and then click OK twice.


Specify the programs you want Internet Explorer to use

You can specify which programs you want Internet Explorer to use for e-mail, newsgroups, your calendar, or Internet calls.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Programs tab, and then specify which program you want to be used for each of the options listed under Internet programs.
  3. When you are finished selecting the program associated with each task, click OK.


Specify another language for webpage content

To specify another language for webpage content

Some websites offer their content in several languages. To specify which language you prefer to view webpages in, follow these steps.

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the General tab, and then click Languages.
  3. Click Add.
  4. Select the language you want to add, and then click OK.
  5. Repeat steps 3 and 4 to add all of the languages you would like.
  6. Organize the languages by order of preference. If a website offers multiple languages, content will appear in the language that is highest on the list.
  7. When you are finished ordering the languages, click OK twice.


Change the settings for offline pages

The offline favorites feature has been removed from Internet Explorer. For more information, see What happened to offline favorites?


Uninstall Internet Explorer

If Internet Explorer is not working properly, it might be because some important files have been lost or damaged. In this case, it is often beneficial to uninstall Internet Explorer and then reinstall it.

  1. In Windows, click Start, click Control Panel, and then click Add or Remove Programs.
  2. Click Remove a program.
  3. In the list of currently installed programs, click Internet Explorer 8, and then click Remove.
  4. Follow the instructions on the screen to uninstall Internet Explorer.

    If you want to, you can now download and reinstall Internet Explorer 8 by visiting the Microsoft website and searching for Internet Explorer 8.

Note

  • If you had a previous version of Internet Explorer on your computer before you installed Internet Explorer 8, your computer will roll back to the previous version if you uninstall Internet Explorer 8.


Understanding Internet addresses

An Internet address (sometimes called a web address or URL) typically is composed of four parts:

  • A protocol name (a protocol is a set of rules and standards that enable computers to exchange information)
  • The location of the site
  • The name of the organization that maintains the site
  • A suffix that identifies the kind of organization it is (such as .com for a commercial organization)

For example, the address http://www.microsoft.com/ provides the following information:

Address part | What it means
http: | This web server uses Hypertext Transfer Protocol (HTTP).
www | This site is on the Internet (the World Wide Web).
microsoft | The web server is at Microsoft Corporation.
com | This is a commercial institution.

When you are viewing a webpage, the page's address appears in the Address bar in Internet Explorer.


Microsoft Product Support Services Online

Get the latest answers to technical questions over the Internet

Online Support from Microsoft Product Support Services

If you have a question and can't find the answer in Internet Explorer Help, go to Support Online. Select your product, type your question, and the site does the rest of the work for you. From technical articles in the Microsoft Knowledge Base to troubleshooting wizards and downloadable files, Support Online gathers the specific resources most likely to help you find the answer to your question.

To begin your search, go to the Support Online (http://support.microsoft.com) website.


Security zones: adding or removing websites

Internet Explorer assigns all websites to one of four security zones: Internet, Local intranet, Trusted sites, or Restricted sites. The zone to which a website is assigned specifies the security settings that are used for that site. You can choose which websites to assign to the Intranet, Trusted, or Restricted zones. By adding a website to a specific zone, you can control the level of security used on that site. For example, if you have a list of websites that you visit and you completely trust those sites, add those sites to the Trusted zone.

To add a website to a security zone

  1. In Internet Explorer, navigate to the website that you want to add to a specific security zone.
  2. Click the Tools button, and then click Internet Options.
  3. Click the Security tab, and then click a security zone (Local intranet, Trusted sites, or Restricted sites).
  4. Click Sites.
  5. If you clicked Local intranet in step 3, click Advanced.
  6. The website should be shown in the Add this website to the zone field. Click Add.

    If the site is not a secure site (HTTPS), clear the Require server verification (https:) for all sites in this zone check box.

  7. Click Close, and then click OK (or click OK twice if you clicked Local intranet in step 3).

To remove a website from a security zone

  1. In Internet Explorer, click the Tools button, and then click Internet Options.
  2. Click the Security tab, and then click a security zone (Local intranet, Trusted sites, or Restricted sites).
  3. Click Sites.
  4. If you clicked Local intranet in step 2, click Advanced.
  5. In Websites, click the website that you want to remove.
  6. Click Remove.
  7. Click Close, and then click OK (or click OK twice if you clicked Local intranet in step 2).